unit nidaqmx;

interface

uses Windows, ActiveX, Classes, Graphics, StdVCL, Variants, SysUtils, NIDAQmxCAPI_TLB;

function DAQmxLoadTask(taskName:PChar; taskHandle:PLongint):Longint; stdcall; 
function DAQmxCreateTask(taskName:PChar; taskHandle:PLongint):Longint; stdcall; 
function DAQmxAddGlobalChansToTask(taskHandle:Longint; channelNames:PChar):Longint; stdcall; 
function DAQmxStartTask(taskHandle:Longint):Longint; stdcall; 
function DAQmxStopTask(taskHandle:Longint):Longint; stdcall; 
function DAQmxClearTask(taskHandle:Longint):Longint; stdcall; 
function DAQmxWaitUntilTaskDone(taskHandle:Longint; timeToWait:Double):Longint; stdcall; 
function DAQmxIsTaskDone(taskHandle:Longint; isTaskDone:P<not supported>):Longint; stdcall; 
function DAQmxWaitForNextSampleClock(taskHandle:Longint; timeout:Double; isLate:P<not supported>):Longint; stdcall; 
function DAQmxTaskControl(taskHandle:Longint; action:DAQmxTaskMode):Longint; stdcall; 
function DAQmxGetNthTaskChannel(taskHandle:Longint; index:Longint; buffer:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxRegisterEveryNSamplesEvent(taskHandle:Longint; everyNsamplesEventType:DAQmxEveryNSamplesEventType; nSamples:Longint; options:Longint; callbackFunction:Longint; callbackData:Pointer):Longint; stdcall; 
function DAQmxRegisterDoneEvent(taskHandle:Longint; options:Longint; callbackFunction:Longint; callbackData:Pointer):Longint; stdcall; 
function DAQmxRegisterSignalEvent(taskHandle:Longint; signalID:DAQmxSignal2; options:Longint; callbackFunction:Longint; callbackData:Pointer):Longint; stdcall; 
function DAQmxIsReadOrWriteLate(errorCode:Longint):<not supported>; stdcall; 
function DAQmxCreateAIVoltageChan(taskHandle:Longint; physicalChannel:PChar; nameToAssignToChannel:PChar; terminalConfig:DAQmxInputTermCfg; minVal:Double; maxVal:Double; units:DAQmxVoltageUnits2; customScaleName:PChar):Longint; stdcall; 
function DAQmxCreateAICurrentChan(taskHandle:Longint; physicalChannel:PChar; nameToAssignToChannel:PChar; terminalConfig:DAQmxInputTermCfg; minVal:Double; maxVal:Double; units:DAQmxCurrentUnits2; shuntResistorLoc:DAQmxCurrentShuntResistorLocation1; extShuntResistorVal:Double; customScaleName:PChar):Longint; stdcall; 
function DAQmxCreateAIThrmcplChan(taskHandle:Longint; physicalChannel:PChar; nameToAssignToChannel:PChar; minVal:Double; maxVal:Double; units:DAQmxTemperatureUnits; thermocoupleType:DAQmxThermocoupleType1; cjcSource:DAQmxCJCSource1; cjcVal:Double; cjcChannel:PChar):Longint; stdcall; 
function DAQmxCreateAIRTDChan(taskHandle:Longint; physicalChannel:PChar; nameToAssignToChannel:PChar; minVal:Double; maxVal:Double; units:DAQmxTemperatureUnits; rtdType:DAQmxRTDType1; resistanceConfig:DAQmxResistanceConfiguration; currentExcitSource:DAQmxExcitationSource; currentExcitVal:Double; r0:Double):Longint; stdcall; 
function DAQmxCreateAIThrmstrChanIex(taskHandle:Longint; physicalChannel:PChar; nameToAssignToChannel:PChar; minVal:Double; maxVal:Double; units:DAQmxTemperatureUnits; resistanceConfig:DAQmxResistanceConfiguration; currentExcitSource:DAQmxExcitationSource; currentExcitVal:Double; a:Double; b:Double; c:Double):Longint; stdcall; 
function DAQmxCreateAIThrmstrChanVex(taskHandle:Longint; physicalChannel:PChar; nameToAssignToChannel:PChar; minVal:Double; maxVal:Double; units:DAQmxTemperatureUnits; resistanceConfig:DAQmxResistanceConfiguration; voltageExcitSource:DAQmxExcitationSource; voltageExcitVal:Double; a:Double; b:Double; c:Double; r1:Double):Longint; stdcall; 
function DAQmxCreateAIFreqVoltageChan(taskHandle:Longint; physicalChannel:PChar; nameToAssignToChannel:PChar; minVal:Double; maxVal:Double; units:DAQmxFrequencyUnits; thresholdLevel:Double; hysteresis:Double; customScaleName:PChar):Longint; stdcall; 
function DAQmxCreateAIResistanceChan(taskHandle:Longint; physicalChannel:PChar; nameToAssignToChannel:PChar; minVal:Double; maxVal:Double; units:DAQmxResistanceUnits2; resistanceConfig:DAQmxResistanceConfiguration; currentExcitSource:DAQmxExcitationSource; currentExcitVal:Double; customScaleName:PChar):Longint; stdcall; 
function DAQmxCreateAIStrainGageChan(taskHandle:Longint; physicalChannel:PChar; nameToAssignToChannel:PChar; minVal:Double; maxVal:Double; units:DAQmxStrainUnits1; strainConfig:DAQmxStrainGageBridgeType1; voltageExcitSource:DAQmxExcitationSource; voltageExcitVal:Double; gageFactor:Double; initialBridgeVoltage:Double; nominalGageResistance:Double; poissonRatio:Double; leadWireResistance:Double; customScaleName:PChar):Longint; stdcall; 
function DAQmxCreateAIVoltageChanWithExcit(taskHandle:Longint; physicalChannel:PChar; nameToAssignToChannel:PChar; terminalConfig:DAQmxInputTermCfg; minVal:Double; maxVal:Double; units:DAQmxVoltageUnits2; bridgeConfig:DAQmxBridgeConfiguration1; voltageExcitSource:DAQmxExcitationSource; voltageExcitVal:Double; useExcitForScaling:<not supported>; customScaleName:PChar):Longint; stdcall; 
function DAQmxCreateAITempBuiltInSensorChan(taskHandle:Longint; physicalChannel:PChar; nameToAssignToChannel:PChar; units:DAQmxTemperatureUnits):Longint; stdcall; 
function DAQmxCreateAIAccelChan(taskHandle:Longint; physicalChannel:PChar; nameToAssignToChannel:PChar; terminalConfig:DAQmxInputTermCfg; minVal:Double; maxVal:Double; units:DAQmxAccelUnits2; sensitivity:Double; sensitivityUnits:DAQmxAccelSensitivityUnits1; currentExcitSource:DAQmxExcitationSource; currentExcitVal:Double; customScaleName:PChar):Longint; stdcall; 
function DAQmxCreateAIMicrophoneChan(taskHandle:Longint; physicalChannel:PChar; nameToAssignToChannel:PChar; terminalConfig:DAQmxInputTermCfg; units:DAQmxSoundPressureUnits1; micSensitivity:Double; maxSndPressLevel:Double; currentExcitSource:DAQmxExcitationSource; currentExcitVal:Double; customScaleName:PChar):Longint; stdcall; 
function DAQmxCreateAIPosLVDTChan(taskHandle:Longint; physicalChannel:PChar; nameToAssignToChannel:PChar; minVal:Double; maxVal:Double; units:DAQmxLengthUnits2; sensitivity:Double; sensitivityUnits:DAQmxLVDTSensitivityUnits1; voltageExcitSource:DAQmxExcitationSource; voltageExcitVal:Double; voltageExcitFreq:Double; ACExcitWireMode:DAQmxACExcitWireMode; customScaleName:PChar):Longint; stdcall; 
function DAQmxCreateAIPosRVDTChan(taskHandle:Longint; physicalChannel:PChar; nameToAssignToChannel:PChar; minVal:Double; maxVal:Double; units:DAQmxAngleUnits1; sensitivity:Double; sensitivityUnits:DAQmxRVDTSensitivityUnits1; voltageExcitSource:DAQmxExcitationSource; voltageExcitVal:Double; voltageExcitFreq:Double; ACExcitWireMode:DAQmxACExcitWireMode; customScaleName:PChar):Longint; stdcall; 
function DAQmxCreateAIDeviceTempChan(taskHandle:Longint; physicalChannel:PChar; nameToAssignToChannel:PChar; units:DAQmxTemperatureUnits):Longint; stdcall; 
function DAQmxCreateTEDSAIVoltageChan(taskHandle:Longint; physicalChannel:PChar; nameToAssignToChannel:PChar; terminalConfig:DAQmxInputTermCfg; minVal:Double; maxVal:Double; units:DAQmxTEDSUnits; customScaleName:PChar):Longint; stdcall; 
function DAQmxCreateTEDSAICurrentChan(taskHandle:Longint; physicalChannel:PChar; nameToAssignToChannel:PChar; terminalConfig:DAQmxInputTermCfg; minVal:Double; maxVal:Double; units:DAQmxTEDSUnits; shuntResistorLoc:DAQmxCurrentShuntResistorLocation1; extShuntResistorVal:Double; customScaleName:PChar):Longint; stdcall; 
function DAQmxCreateTEDSAIThrmcplChan(taskHandle:Longint; physicalChannel:PChar; nameToAssignToChannel:PChar; minVal:Double; maxVal:Double; units:DAQmxTemperatureUnits; cjcSource:DAQmxCJCSource1; cjcVal:Double; cjcChannel:PChar):Longint; stdcall; 
function DAQmxCreateTEDSAIRTDChan(taskHandle:Longint; physicalChannel:PChar; nameToAssignToChannel:PChar; minVal:Double; maxVal:Double; units:DAQmxTemperatureUnits; resistanceConfig:DAQmxResistanceConfiguration; currentExcitSource:DAQmxExcitationSource; currentExcitVal:Double):Longint; stdcall; 
function DAQmxCreateTEDSAIThrmstrChanIex(taskHandle:Longint; physicalChannel:PChar; nameToAssignToChannel:PChar; minVal:Double; maxVal:Double; units:DAQmxTemperatureUnits; resistanceConfig:DAQmxResistanceConfiguration; currentExcitSource:DAQmxExcitationSource; currentExcitVal:Double):Longint; stdcall; 
function DAQmxCreateTEDSAIThrmstrChanVex(taskHandle:Longint; physicalChannel:PChar; nameToAssignToChannel:PChar; minVal:Double; maxVal:Double; units:DAQmxTemperatureUnits; resistanceConfig:DAQmxResistanceConfiguration; voltageExcitSource:DAQmxExcitationSource; voltageExcitVal:Double; r1:Double):Longint; stdcall; 
function DAQmxCreateTEDSAIResistanceChan(taskHandle:Longint; physicalChannel:PChar; nameToAssignToChannel:PChar; minVal:Double; maxVal:Double; units:DAQmxTEDSUnits; resistanceConfig:DAQmxResistanceConfiguration; currentExcitSource:DAQmxExcitationSource; currentExcitVal:Double; customScaleName:PChar):Longint; stdcall; 
function DAQmxCreateTEDSAIStrainGageChan(taskHandle:Longint; physicalChannel:PChar; nameToAssignToChannel:PChar; minVal:Double; maxVal:Double; units:DAQmxStrainUnits1; voltageExcitSource:DAQmxExcitationSource; voltageExcitVal:Double; initialBridgeVoltage:Double; leadWireResistance:Double; customScaleName:PChar):Longint; stdcall; 
function DAQmxCreateTEDSAIVoltageChanWithExcit(taskHandle:Longint; physicalChannel:PChar; nameToAssignToChannel:PChar; terminalConfig:DAQmxInputTermCfg; minVal:Double; maxVal:Double; units:DAQmxTEDSUnits; voltageExcitSource:DAQmxExcitationSource; voltageExcitVal:Double; customScaleName:PChar):Longint; stdcall; 
function DAQmxCreateTEDSAIAccelChan(taskHandle:Longint; physicalChannel:PChar; nameToAssignToChannel:PChar; terminalConfig:DAQmxInputTermCfg; minVal:Double; maxVal:Double; units:DAQmxAccelUnits2; currentExcitSource:DAQmxExcitationSource; currentExcitVal:Double; customScaleName:PChar):Longint; stdcall; 
function DAQmxCreateTEDSAIMicrophoneChan(taskHandle:Longint; physicalChannel:PChar; nameToAssignToChannel:PChar; terminalConfig:DAQmxInputTermCfg; units:DAQmxSoundPressureUnits1; maxSndPressLevel:Double; currentExcitSource:DAQmxExcitationSource; currentExcitVal:Double; customScaleName:PChar):Longint; stdcall; 
function DAQmxCreateTEDSAIPosLVDTChan(taskHandle:Longint; physicalChannel:PChar; nameToAssignToChannel:PChar; minVal:Double; maxVal:Double; units:DAQmxLengthUnits2; voltageExcitSource:DAQmxExcitationSource; voltageExcitVal:Double; voltageExcitFreq:Double; ACExcitWireMode:DAQmxACExcitWireMode; customScaleName:PChar):Longint; stdcall; 
function DAQmxCreateTEDSAIPosRVDTChan(taskHandle:Longint; physicalChannel:PChar; nameToAssignToChannel:PChar; minVal:Double; maxVal:Double; units:DAQmxAngleUnits1; voltageExcitSource:DAQmxExcitationSource; voltageExcitVal:Double; voltageExcitFreq:Double; ACExcitWireMode:DAQmxACExcitWireMode; customScaleName:PChar):Longint; stdcall; 
function DAQmxCreateAOVoltageChan(taskHandle:Longint; physicalChannel:PChar; nameToAssignToChannel:PChar; minVal:Double; maxVal:Double; units:DAQmxVoltageUnits2; customScaleName:PChar):Longint; stdcall; 
function DAQmxCreateAOCurrentChan(taskHandle:Longint; physicalChannel:PChar; nameToAssignToChannel:PChar; minVal:Double; maxVal:Double; units:DAQmxCurrentUnits2; customScaleName:PChar):Longint; stdcall; 
function DAQmxCreateDIChan(taskHandle:Longint; lines:PChar; nameToAssignToLines:PChar; lineGrouping:DAQmxLineGrouping):Longint; stdcall; 
function DAQmxCreateDOChan(taskHandle:Longint; lines:PChar; nameToAssignToLines:PChar; lineGrouping:DAQmxLineGrouping):Longint; stdcall; 
function DAQmxCreateCIFreqChan(taskHandle:Longint; counter:PChar; nameToAssignToChannel:PChar; minVal:Double; maxVal:Double; units:DAQmxFrequencyUnits3; edge:DAQmxEdge1; measMethod:DAQmxCounterFrequencyMethod; measTime:Double; divisor:Longint; customScaleName:PChar):Longint; stdcall; 
function DAQmxCreateCIPeriodChan(taskHandle:Longint; counter:PChar; nameToAssignToChannel:PChar; minVal:Double; maxVal:Double; units:DAQmxTimeUnits3; edge:DAQmxEdge1; measMethod:DAQmxCounterFrequencyMethod; measTime:Double; divisor:Longint; customScaleName:PChar):Longint; stdcall; 
function DAQmxCreateCICountEdgesChan(taskHandle:Longint; counter:PChar; nameToAssignToChannel:PChar; edge:DAQmxEdge1; initialCount:Longint; countDirection:DAQmxCountDirection1):Longint; stdcall; 
function DAQmxCreateCIPulseWidthChan(taskHandle:Longint; counter:PChar; nameToAssignToChannel:PChar; minVal:Double; maxVal:Double; units:DAQmxTimeUnits3; startingEdge:DAQmxEdge1; customScaleName:PChar):Longint; stdcall; 
function DAQmxCreateCISemiPeriodChan(taskHandle:Longint; counter:PChar; nameToAssignToChannel:PChar; minVal:Double; maxVal:Double; units:DAQmxTimeUnits3; customScaleName:PChar):Longint; stdcall; 
function DAQmxCreateCITwoEdgeSepChan(taskHandle:Longint; counter:PChar; nameToAssignToChannel:PChar; minVal:Double; maxVal:Double; units:DAQmxTimeUnits3; firstEdge:DAQmxEdge1; secondEdge:DAQmxEdge1; customScaleName:PChar):Longint; stdcall; 
function DAQmxCreateCILinEncoderChan(taskHandle:Longint; counter:PChar; nameToAssignToChannel:PChar; decodingType:DAQmxEncoderType2; ZidxEnable:<not supported>; ZidxVal:Double; ZidxPhase:DAQmxEncoderZIndexPhase1; units:DAQmxLengthUnits3; distPerPulse:Double; initialPos:Double; customScaleName:PChar):Longint; stdcall; 
function DAQmxCreateCIAngEncoderChan(taskHandle:Longint; counter:PChar; nameToAssignToChannel:PChar; decodingType:DAQmxEncoderType2; ZidxEnable:<not supported>; ZidxVal:Double; ZidxPhase:DAQmxEncoderZIndexPhase1; units:DAQmxAngleUnits2; pulsesPerRev:Longint; initialAngle:Double; customScaleName:PChar):Longint; stdcall; 
function DAQmxCreateCIGPSTimestampChan(taskHandle:Longint; counter:PChar; nameToAssignToChannel:PChar; units:DAQmxTimeUnits; syncMethod:DAQmxGpsSignalType1; customScaleName:PChar):Longint; stdcall; 
function DAQmxCreateCOPulseChanFreq(taskHandle:Longint; counter:PChar; nameToAssignToChannel:PChar; units:DAQmxFrequencyUnits2; idleState:DAQmxLevel1; initialDelay:Double; freq:Double; dutyCycle:Double):Longint; stdcall; 
function DAQmxCreateCOPulseChanTime(taskHandle:Longint; counter:PChar; nameToAssignToChannel:PChar; units:DAQmxTimeUnits2; idleState:DAQmxLevel1; initialDelay:Double; lowTime:Double; highTime:Double):Longint; stdcall; 
function DAQmxCreateCOPulseChanTicks(taskHandle:Longint; counter:PChar; nameToAssignToChannel:PChar; sourceTerminal:PChar; idleState:DAQmxLevel1; initialDelay:Longint; lowTicks:Longint; highTicks:Longint):Longint; stdcall; 
function DAQmxGetAIChanCalCalDate(taskHandle:Longint; channelName:PChar; year:PLongint; month:PLongint; day:PLongint; hour:PLongint; minute:PLongint):Longint; stdcall; 
function DAQmxSetAIChanCalCalDate(taskHandle:Longint; channelName:PChar; year:Longint; month:Longint; day:Longint; hour:Longint; minute:Longint):Longint; stdcall; 
function DAQmxGetAIChanCalExpDate(taskHandle:Longint; channelName:PChar; year:PLongint; month:PLongint; day:PLongint; hour:PLongint; minute:PLongint):Longint; stdcall; 
function DAQmxSetAIChanCalExpDate(taskHandle:Longint; channelName:PChar; year:Longint; month:Longint; day:Longint; hour:Longint; minute:Longint):Longint; stdcall; 
function DAQmxCfgSampClkTiming(taskHandle:Longint; source:PChar; rate:Double; activeEdge:DAQmxEdge; sampleMode:DAQmxAcquisitionType; sampsPerChan:Longint):Longint; stdcall; 
function DAQmxCfgHandshakingTiming(taskHandle:Longint; sampleMode:DAQmxAcquisitionType; sampsPerChan:Longint):Longint; stdcall; 
function DAQmxCfgBurstHandshakingTimingImportClock(taskHandle:Longint; sampleMode:DAQmxAcquisitionType; sampsPerChan:Longint; sampleClkRate:Double; sampleClkSrc:PChar; sampleClkActiveEdge:DAQmxEdge1; pauseWhen:DAQmxLevel1; readyEventActiveLevel:DAQmxPolarity2):Longint; stdcall; 
function DAQmxCfgBurstHandshakingTimingExportClock(taskHandle:Longint; sampleMode:DAQmxAcquisitionType; sampsPerChan:Longint; sampleClkRate:Double; sampleClkOutpTerm:PChar; sampleClkPulsePolarity:DAQmxPolarity2; pauseWhen:DAQmxLevel1; readyEventActiveLevel:DAQmxPolarity2):Longint; stdcall; 
function DAQmxCfgChangeDetectionTiming(taskHandle:Longint; risingEdgeChan:PChar; fallingEdgeChan:PChar; sampleMode:DAQmxAcquisitionType; sampsPerChan:Longint):Longint; stdcall; 
function DAQmxCfgImplicitTiming(taskHandle:Longint; sampleMode:DAQmxAcquisitionType; sampsPerChan:Longint):Longint; stdcall; 
function DAQmxDisableStartTrig(taskHandle:Longint):Longint; stdcall; 
function DAQmxCfgDigEdgeStartTrig(taskHandle:Longint; triggerSource:PChar; triggerEdge:DAQmxEdge1):Longint; stdcall; 
function DAQmxCfgAnlgEdgeStartTrig(taskHandle:Longint; triggerSource:PChar; triggerSlope:DAQmxSlope1; triggerLevel:Double):Longint; stdcall; 
function DAQmxCfgAnlgWindowStartTrig(taskHandle:Longint; triggerSource:PChar; triggerWhen:DAQmxWindowTriggerCondition1; windowTop:Double; windowBottom:Double):Longint; stdcall; 
function DAQmxCfgDigPatternStartTrig(taskHandle:Longint; triggerSource:PChar; triggerPattern:PChar; triggerWhen:DAQmxDigitalPatternCondition1):Longint; stdcall; 
function DAQmxDisableRefTrig(taskHandle:Longint):Longint; stdcall; 
function DAQmxCfgDigEdgeRefTrig(taskHandle:Longint; triggerSource:PChar; triggerEdge:DAQmxEdge1; pretriggerSamples:Longint):Longint; stdcall; 
function DAQmxCfgAnlgEdgeRefTrig(taskHandle:Longint; triggerSource:PChar; triggerSlope:DAQmxSlope1; triggerLevel:Double; pretriggerSamples:Longint):Longint; stdcall; 
function DAQmxCfgAnlgWindowRefTrig(taskHandle:Longint; triggerSource:PChar; triggerWhen:DAQmxWindowTriggerCondition1; windowTop:Double; windowBottom:Double; pretriggerSamples:Longint):Longint; stdcall; 
function DAQmxCfgDigPatternRefTrig(taskHandle:Longint; triggerSource:PChar; triggerPattern:PChar; triggerWhen:DAQmxDigitalPatternCondition1; pretriggerSamples:Longint):Longint; stdcall; 
function DAQmxDisableAdvTrig(taskHandle:Longint):Longint; stdcall; 
function DAQmxCfgDigEdgeAdvTrig(taskHandle:Longint; triggerSource:PChar; triggerEdge:DAQmxEdge1):Longint; stdcall; 
function DAQmxSendSoftwareTrigger(taskHandle:Longint; triggerID:DAQmxSoftwareTrigger):Longint; stdcall; 
function DAQmxReadAnalogF64(taskHandle:Longint; numSampsPerChan:Longint; timeout:Double; fillMode:DAQmxFillMode; readArray:PDouble; arraySizeInSamps:Longint; sampsPerChanRead:PLongint; reserved:Pointer):Longint; stdcall; 
function DAQmxReadAnalogScalarF64(taskHandle:Longint; timeout:Double; value:PDouble; reserved:Pointer):Longint; stdcall; 
function DAQmxReadBinaryI16(taskHandle:Longint; numSampsPerChan:Longint; timeout:Double; fillMode:DAQmxFillMode; readArray:PSmallint; arraySizeInSamps:Longint; sampsPerChanRead:PLongint; reserved:Pointer):Longint; stdcall; 
function DAQmxReadBinaryI32(taskHandle:Longint; numSampsPerChan:Longint; timeout:Double; fillMode:DAQmxFillMode; readArray:PLongint; arraySizeInSamps:Longint; sampsPerChanRead:PLongint; reserved:Pointer):Longint; stdcall; 
function DAQmxReadDigitalLines(taskHandle:Longint; numSampsPerChan:Longint; timeout:Double; fillMode:DAQmxFillMode; readArray:PByte; arraySizeInBytes:Longint; sampsPerChanRead:PLongint; numBytesPerSamp:PLongint; reserved:Pointer):Longint; stdcall; 
function DAQmxReadCounterF64(taskHandle:Longint; numSampsPerChan:Longint; timeout:Double; readArray:PDouble; arraySizeInSamps:Longint; sampsPerChanRead:PLongint; reserved:Pointer):Longint; stdcall; 
function DAQmxReadCounterScalarF64(taskHandle:Longint; timeout:Double; value:PDouble; reserved:Pointer):Longint; stdcall; 
function DAQmxReadRaw(taskHandle:Longint; numSampsPerChan:Longint; timeout:Double; readArray:Pointer; arraySizeInBytes:Longint; sampsRead:PLongint; numBytesPerSamp:PLongint; reserved:Pointer):Longint; stdcall; 
function DAQmxGetNthTaskReadChannel(taskHandle:Longint; index:Longint; buffer:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxWriteAnalogF64(taskHandle:Longint; numSampsPerChan:Longint; autoStart:<not supported>; timeout:Double; dataLayout:DAQmxFillMode; writeArray:PDouble; sampsPerChanWritten:PLongint; reserved:Pointer):Longint; stdcall; 
function DAQmxWriteAnalogScalarF64(taskHandle:Longint; autoStart:<not supported>; timeout:Double; value:Double; reserved:Pointer):Longint; stdcall; 
function DAQmxWriteBinaryI16(taskHandle:Longint; numSampsPerChan:Longint; autoStart:<not supported>; timeout:Double; dataLayout:DAQmxFillMode; writeArray:PSmallint; sampsPerChanWritten:PLongint; reserved:Pointer):Longint; stdcall; 
function DAQmxWriteBinaryI32(taskHandle:Longint; numSampsPerChan:Longint; autoStart:<not supported>; timeout:Double; dataLayout:DAQmxFillMode; writeArray:PLongint; sampsPerChanWritten:PLongint; reserved:Pointer):Longint; stdcall; 
function DAQmxWriteDigitalLines(taskHandle:Longint; numSampsPerChan:Longint; autoStart:<not supported>; timeout:Double; dataLayout:DAQmxFillMode; writeArray:PByte; sampsPerChanWritten:PLongint; reserved:Pointer):Longint; stdcall; 
function DAQmxWriteCtrFreq(taskHandle:Longint; numSampsPerChan:Longint; autoStart:<not supported>; timeout:Double; dataLayout:DAQmxFillMode; frequencyArray:PDouble; dutyCycleArray:PDouble; numSampsPerChanWritten:PLongint; reserved:Pointer):Longint; stdcall; 
function DAQmxWriteCtrFreqScalar(taskHandle:Longint; autoStart:<not supported>; timeout:Double; frequency:Double; dutyCycle:Double; reserved:Pointer):Longint; stdcall; 
function DAQmxWriteCtrTime(taskHandle:Longint; numSampsPerChan:Longint; autoStart:<not supported>; timeout:Double; dataLayout:DAQmxFillMode; highTimeArray:PDouble; lowTimeArray:PDouble; numSampsPerChanWritten:PLongint; reserved:Pointer):Longint; stdcall; 
function DAQmxWriteCtrTimeScalar(taskHandle:Longint; autoStart:<not supported>; timeout:Double; highTime:Double; lowTime:Double; reserved:Pointer):Longint; stdcall; 
function DAQmxWriteCtrTicks(taskHandle:Longint; numSampsPerChan:Longint; autoStart:<not supported>; timeout:Double; dataLayout:DAQmxFillMode; highTicksArray:PLongint; lowTicksArray:PLongint; numSampsPerChanWritten:PLongint; reserved:Pointer):Longint; stdcall; 
function DAQmxWriteCtrTicksScalar(taskHandle:Longint; autoStart:<not supported>; timeout:Double; highTicks:Longint; lowTicks:Longint; reserved:Pointer):Longint; stdcall; 
function DAQmxWriteRaw(taskHandle:Longint; numSamps:Longint; autoStart:<not supported>; timeout:Double; writeArray:Pointer; sampsPerChanWritten:PLongint; reserved:Pointer):Longint; stdcall; 
function DAQmxExportSignal(taskHandle:Longint; signalID:DAQmxSignal; outputTerminal:PChar):Longint; stdcall; 
function DAQmxCreateLinScale(name:PChar; slope:Double; yIntercept:Double; preScaledUnits:DAQmxUnitsPreScaled; scaledUnits:PChar):Longint; stdcall; 
function DAQmxCreateMapScale(name:PChar; prescaledMin:Double; prescaledMax:Double; scaledMin:Double; scaledMax:Double; preScaledUnits:DAQmxUnitsPreScaled; scaledUnits:PChar):Longint; stdcall; 
function DAQmxCreatePolynomialScale(name:PChar; forwardCoeffsArray:PDouble; numForwardCoeffsIn:Longint; reverseCoeffsArray:PDouble; numReverseCoeffsIn:Longint; preScaledUnits:DAQmxUnitsPreScaled; scaledUnits:PChar):Longint; stdcall; 
function DAQmxCreateTableScale(name:PChar; prescaledValsArray:PDouble; numPrescaledValsIn:Longint; scaledValsArray:PDouble; numScaledValsIn:Longint; preScaledUnits:DAQmxUnitsPreScaled; scaledUnits:PChar):Longint; stdcall; 
function DAQmxCalculateReversePolyCoeff(forwardCoeffsArray:PDouble; numForwardCoeffsIn:Longint; minValX:Double; maxValX:Double; numPointsToCompute:Longint; reversePolyOrder:Longint; reverseCoeffsArray:PDouble):Longint; stdcall; 
function DAQmxCfgInputBuffer(taskHandle:Longint; numSampsPerChan:Longint):Longint; stdcall; 
function DAQmxCfgOutputBuffer(taskHandle:Longint; numSampsPerChan:Longint):Longint; stdcall; 
function DAQmxSwitchCreateScanList(scanList:PChar; taskHandle:PLongint):Longint; stdcall; 
function DAQmxSwitchConnect(switchChannel1:PChar; switchChannel2:PChar; waitForSettling:<not supported>):Longint; stdcall; 
function DAQmxSwitchConnectMulti(connectionList:PChar; waitForSettling:<not supported>):Longint; stdcall; 
function DAQmxSwitchDisconnect(switchChannel1:PChar; switchChannel2:PChar; waitForSettling:<not supported>):Longint; stdcall; 
function DAQmxSwitchDisconnectMulti(connectionList:PChar; waitForSettling:<not supported>):Longint; stdcall; 
function DAQmxSwitchDisconnectAll(deviceName:PChar; waitForSettling:<not supported>):Longint; stdcall; 
function DAQmxSwitchSetTopologyAndReset(deviceName:PChar; newTopology:PChar):Longint; stdcall; 
function DAQmxSwitchFindPath(switchChannel1:PChar; switchChannel2:PChar; path:PChar; pathBufferSize:Longint; var pathStatus:DAQmxSwitchPathType):Longint; stdcall; 
function DAQmxSwitchOpenRelays(relayList:PChar; waitForSettling:<not supported>):Longint; stdcall; 
function DAQmxSwitchCloseRelays(relayList:PChar; waitForSettling:<not supported>):Longint; stdcall; 
function DAQmxSwitchGetSingleRelayCount(relayName:PChar; count:PLongint):Longint; stdcall; 
function DAQmxSwitchGetMultiRelayCount(relayList:PChar; countArray:PLongint; countArraySize:Longint; numRelayCountsRead:PLongint):Longint; stdcall; 
function DAQmxSwitchGetSingleRelayPos(relayName:PChar; var relayPos:DAQmxRelayPos):Longint; stdcall; 
function DAQmxSwitchGetMultiRelayPos(relayList:PChar; var relayPosArray:DAQmxRelayPos; relayPosArraySize:Longint; numRelayPossRead:PLongint):Longint; stdcall; 
function DAQmxSwitchWaitForSettling(deviceName:PChar):Longint; stdcall; 
function DAQmxConnectTerms(sourceTerminal:PChar; destinationTerminal:PChar; signalModifiers:DAQmxSignalModifiers):Longint; stdcall; 
function DAQmxDisconnectTerms(sourceTerminal:PChar; destinationTerminal:PChar):Longint; stdcall; 
function DAQmxTristateOutputTerm(outputTerminal:PChar):Longint; stdcall; 
function DAQmxResetDevice(deviceName:PChar):Longint; stdcall; 
function DAQmxCreateWatchdogTimerTask(deviceName:PChar; taskName:PChar; taskHandle:PLongint; timeout:Double; linesArray:P<not supported>; var expStatesArray:DAQmxDigitalLineState; numItems:Longint):Longint; stdcall; 
function DAQmxControlWatchdogTask(taskHandle:Longint; action:DAQmxWDTTaskAction):Longint; stdcall; 
function DAQmxSelfCal(deviceName:PChar):Longint; stdcall; 
function DAQmxPerformBridgeOffsetNullingCal(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetSelfCalLastDateAndTime(deviceName:PChar; year:PLongint; month:PLongint; day:PLongint; hour:PLongint; minute:PLongint):Longint; stdcall; 
function DAQmxGetExtCalLastDateAndTime(deviceName:PChar; year:PLongint; month:PLongint; day:PLongint; hour:PLongint; minute:PLongint):Longint; stdcall; 
function DAQmxRestoreLastExtCalConst(deviceName:PChar):Longint; stdcall; 
function DAQmxESeriesCalAdjust(calHandle:Longint; referenceVoltage:Double):Longint; stdcall; 
function DAQmxMSeriesCalAdjust(calHandle:Longint; referenceVoltage:Double):Longint; stdcall; 
function DAQmxSSeriesCalAdjust(calHandle:Longint; referenceVoltage:Double):Longint; stdcall; 
function DAQmxSCBaseboardCalAdjust(calHandle:Longint; referenceVoltage:Double):Longint; stdcall; 
function DAQmxAOSeriesCalAdjust(calHandle:Longint; referenceVoltage:Double):Longint; stdcall; 
function DAQmxDeviceSupportsCal(deviceName:PChar; calSupported:P<not supported>):Longint; stdcall; 
function DAQmxInitExtCal(deviceName:PChar; password:PChar; calHandle:PLongint):Longint; stdcall; 
function DAQmxCloseExtCal(calHandle:Longint; action:DAQmxAction):Longint; stdcall; 
function DAQmxChangeExtCalPassword(deviceName:PChar; password:PChar; newPassword:PChar):Longint; stdcall; 
function DAQmxAdjustDSAAICal(calHandle:Longint; referenceVoltage:Double):Longint; stdcall; 
function DAQmxAdjustDSAAOCal(calHandle:Longint; channel:Longint; requestedLowVoltage:Double; actualLowVoltage:Double; requestedHighVoltage:Double; actualHighVoltage:Double; gainSetting:Double):Longint; stdcall; 
function DAQmxAdjustDSATimebaseCal(calHandle:Longint; referenceFrequency:Double):Longint; stdcall; 
function DAQmxAdjust4204Cal(calHandle:Longint; channelNames:PChar; lowPassFreq:Double; trackHoldEnabled:<not supported>; inputVal:Double):Longint; stdcall; 
function DAQmxAdjust4220Cal(calHandle:Longint; channelNames:PChar; gain:Double; inputVal:Double):Longint; stdcall; 
function DAQmxAdjust4224Cal(calHandle:Longint; channelNames:PChar; gain:Double; inputVal:Double):Longint; stdcall; 
function DAQmxAdjust4225Cal(calHandle:Longint; channelNames:PChar; gain:Double; inputVal:Double):Longint; stdcall; 
function DAQmxSetup1102Cal(calHandle:Longint; channelNames:PChar; gain:Double):Longint; stdcall; 
function DAQmxAdjust1102Cal(calHandle:Longint; refVoltage:Double; measOutput:Double):Longint; stdcall; 
function DAQmxSetup1125Cal(calHandle:Longint; channelNames:PChar; gain:Double):Longint; stdcall; 
function DAQmxAdjust1125Cal(calHandle:Longint; refVoltage:Double; measOutput:Double):Longint; stdcall; 
function DAQmxSetup1520Cal(calHandle:Longint; channelNames:PChar; gain:Double):Longint; stdcall; 
function DAQmxAdjust1520Cal(calHandle:Longint; refVoltage:Double; measOutput:Double):Longint; stdcall; 
function DAQmxConfigureTEDS(physicalChannel:PChar; filePath:PChar):Longint; stdcall; 
function DAQmxClearTEDS(physicalChannel:PChar):Longint; stdcall; 
function DAQmxWriteToTEDSFromArray(physicalChannel:PChar; bitStreamArray:PByte; arraySize:Longint; basicTEDSOptions:DAQmxWriteBasicTEDSOptions):Longint; stdcall; 
function DAQmxWriteToTEDSFromFile(physicalChannel:PChar; filePath:PChar; basicTEDSOptions:DAQmxWriteBasicTEDSOptions):Longint; stdcall; 
function DAQmxSaveTask(taskHandle:Longint; saveAs:PChar; author:PChar; options:DAQmx_Save_Options_Values):Longint; stdcall; 
function DAQmxSaveGlobalChan(taskHandle:Longint; channelName:PChar; saveAs:PChar; author:PChar; options:DAQmx_Save_Options_Values):Longint; stdcall; 
function DAQmxSaveScale(scaleName:PChar; saveAs:PChar; author:PChar; options:DAQmx_Save_Options_Values):Longint; stdcall; 
function DAQmxDeleteSavedTask(taskName:PChar):Longint; stdcall; 
function DAQmxDeleteSavedGlobalChan(channelName:PChar):Longint; stdcall; 
function DAQmxDeleteSavedScale(scaleName:PChar):Longint; stdcall; 
function DAQmxSetDigitalPowerUpStates(deviceName:PChar; channelNamesArray:P<not supported>; var statesArray:DAQmxPowerUpStates; numItems:Longint):Longint; stdcall; 
function DAQmxSetAnalogPowerUpStates(deviceName:PChar; channelNamesArray:P<not supported>; statesArray:PDouble; var channelTypesArray:DAQmxPowerUpChannelType; numItems:Longint):Longint; stdcall; 
function DAQmxGetErrorString(errorCode:Longint; errorString:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxGetExtendedErrorInfo(errorString:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxGetBufInputBufSize(taskHandle:Longint; data:PLongint):Longint; stdcall; 
function DAQmxSetBufInputBufSize(taskHandle:Longint; data:Longint):Longint; stdcall; 
function DAQmxResetBufInputBufSize(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetBufInputOnbrdBufSize(taskHandle:Longint; data:PLongint):Longint; stdcall; 
function DAQmxGetBufOutputBufSize(taskHandle:Longint; data:PLongint):Longint; stdcall; 
function DAQmxSetBufOutputBufSize(taskHandle:Longint; data:Longint):Longint; stdcall; 
function DAQmxResetBufOutputBufSize(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetBufOutputOnbrdBufSize(taskHandle:Longint; data:PLongint):Longint; stdcall; 
function DAQmxSetBufOutputOnbrdBufSize(taskHandle:Longint; data:Longint):Longint; stdcall; 
function DAQmxResetBufOutputOnbrdBufSize(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetSelfCalSupported(deviceName:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxGetSelfCalLastTemp(deviceName:PChar; data:PDouble):Longint; stdcall; 
function DAQmxGetExtCalRecommendedInterval(deviceName:PChar; data:PLongint):Longint; stdcall; 
function DAQmxGetExtCalLastTemp(deviceName:PChar; data:PDouble):Longint; stdcall; 
function DAQmxGetCalUserDefinedInfo(deviceName:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetCalUserDefinedInfo(deviceName:PChar; data:PChar):Longint; stdcall; 
function DAQmxGetCalUserDefinedInfoMaxSize(deviceName:PChar; data:PLongint):Longint; stdcall; 
function DAQmxGetCalDevTemp(deviceName:PChar; data:PDouble):Longint; stdcall; 
function DAQmxGetAIMax(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetAIMax(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetAIMax(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIMin(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetAIMin(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetAIMin(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAICustomScaleName(taskHandle:Longint; channel:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetAICustomScaleName(taskHandle:Longint; channel:PChar; data:PChar):Longint; stdcall; 
function DAQmxResetAICustomScaleName(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIMeasType(taskHandle:Longint; channel:PChar; var data:DAQmxAIMeasurementType):Longint; stdcall; 
function DAQmxGetAIVoltageUnits(taskHandle:Longint; channel:PChar; var data:DAQmxVoltageUnits1):Longint; stdcall; 
function DAQmxSetAIVoltageUnits(taskHandle:Longint; channel:PChar; data:DAQmxVoltageUnits1):Longint; stdcall; 
function DAQmxResetAIVoltageUnits(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAITempUnits(taskHandle:Longint; channel:PChar; var data:DAQmxTemperatureUnits1):Longint; stdcall; 
function DAQmxSetAITempUnits(taskHandle:Longint; channel:PChar; data:DAQmxTemperatureUnits1):Longint; stdcall; 
function DAQmxResetAITempUnits(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIThrmcplType(taskHandle:Longint; channel:PChar; var data:DAQmxThermocoupleType1):Longint; stdcall; 
function DAQmxSetAIThrmcplType(taskHandle:Longint; channel:PChar; data:DAQmxThermocoupleType1):Longint; stdcall; 
function DAQmxResetAIThrmcplType(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIThrmcplCJCSrc(taskHandle:Longint; channel:PChar; var data:DAQmxCJCSource1):Longint; stdcall; 
function DAQmxGetAIThrmcplCJCVal(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetAIThrmcplCJCVal(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetAIThrmcplCJCVal(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIThrmcplCJCChan(taskHandle:Longint; channel:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxGetAIRTDType(taskHandle:Longint; channel:PChar; var data:DAQmxRTDType1):Longint; stdcall; 
function DAQmxSetAIRTDType(taskHandle:Longint; channel:PChar; data:DAQmxRTDType1):Longint; stdcall; 
function DAQmxResetAIRTDType(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIRTDR0(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetAIRTDR0(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetAIRTDR0(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIRTDA(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetAIRTDA(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetAIRTDA(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIRTDB(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetAIRTDB(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetAIRTDB(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIRTDC(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetAIRTDC(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetAIRTDC(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIThrmstrA(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetAIThrmstrA(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetAIThrmstrA(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIThrmstrB(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetAIThrmstrB(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetAIThrmstrB(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIThrmstrC(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetAIThrmstrC(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetAIThrmstrC(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIThrmstrR1(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetAIThrmstrR1(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetAIThrmstrR1(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIForceReadFromChan(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetAIForceReadFromChan(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetAIForceReadFromChan(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAICurrentUnits(taskHandle:Longint; channel:PChar; var data:DAQmxCurrentUnits1):Longint; stdcall; 
function DAQmxSetAICurrentUnits(taskHandle:Longint; channel:PChar; data:DAQmxCurrentUnits1):Longint; stdcall; 
function DAQmxResetAICurrentUnits(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIStrainUnits(taskHandle:Longint; channel:PChar; var data:DAQmxStrainUnits1):Longint; stdcall; 
function DAQmxSetAIStrainUnits(taskHandle:Longint; channel:PChar; data:DAQmxStrainUnits1):Longint; stdcall; 
function DAQmxResetAIStrainUnits(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIStrainGageGageFactor(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetAIStrainGageGageFactor(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetAIStrainGageGageFactor(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIStrainGagePoissonRatio(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetAIStrainGagePoissonRatio(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetAIStrainGagePoissonRatio(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIStrainGageCfg(taskHandle:Longint; channel:PChar; var data:DAQmxStrainGageBridgeType1):Longint; stdcall; 
function DAQmxSetAIStrainGageCfg(taskHandle:Longint; channel:PChar; data:DAQmxStrainGageBridgeType1):Longint; stdcall; 
function DAQmxResetAIStrainGageCfg(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIResistanceUnits(taskHandle:Longint; channel:PChar; var data:DAQmxResistanceUnits1):Longint; stdcall; 
function DAQmxSetAIResistanceUnits(taskHandle:Longint; channel:PChar; data:DAQmxResistanceUnits1):Longint; stdcall; 
function DAQmxResetAIResistanceUnits(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIFreqUnits(taskHandle:Longint; channel:PChar; var data:DAQmxFrequencyUnits):Longint; stdcall; 
function DAQmxSetAIFreqUnits(taskHandle:Longint; channel:PChar; data:DAQmxFrequencyUnits):Longint; stdcall; 
function DAQmxResetAIFreqUnits(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIFreqThreshVoltage(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetAIFreqThreshVoltage(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetAIFreqThreshVoltage(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIFreqHyst(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetAIFreqHyst(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetAIFreqHyst(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAILVDTUnits(taskHandle:Longint; channel:PChar; var data:DAQmxLengthUnits2):Longint; stdcall; 
function DAQmxSetAILVDTUnits(taskHandle:Longint; channel:PChar; data:DAQmxLengthUnits2):Longint; stdcall; 
function DAQmxResetAILVDTUnits(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAILVDTSensitivity(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetAILVDTSensitivity(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetAILVDTSensitivity(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAILVDTSensitivityUnits(taskHandle:Longint; channel:PChar; var data:DAQmxLVDTSensitivityUnits1):Longint; stdcall; 
function DAQmxSetAILVDTSensitivityUnits(taskHandle:Longint; channel:PChar; data:DAQmxLVDTSensitivityUnits1):Longint; stdcall; 
function DAQmxResetAILVDTSensitivityUnits(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIRVDTUnits(taskHandle:Longint; channel:PChar; var data:DAQmxAngleUnits1):Longint; stdcall; 
function DAQmxSetAIRVDTUnits(taskHandle:Longint; channel:PChar; data:DAQmxAngleUnits1):Longint; stdcall; 
function DAQmxResetAIRVDTUnits(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIRVDTSensitivity(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetAIRVDTSensitivity(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetAIRVDTSensitivity(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIRVDTSensitivityUnits(taskHandle:Longint; channel:PChar; var data:DAQmxRVDTSensitivityUnits1):Longint; stdcall; 
function DAQmxSetAIRVDTSensitivityUnits(taskHandle:Longint; channel:PChar; data:DAQmxRVDTSensitivityUnits1):Longint; stdcall; 
function DAQmxResetAIRVDTSensitivityUnits(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAISoundPressureMaxSoundPressureLvl(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetAISoundPressureMaxSoundPressureLvl(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetAISoundPressureMaxSoundPressureLvl(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAISoundPressureUnits(taskHandle:Longint; channel:PChar; var data:DAQmxSoundPressureUnits1):Longint; stdcall; 
function DAQmxSetAISoundPressureUnits(taskHandle:Longint; channel:PChar; data:DAQmxSoundPressureUnits1):Longint; stdcall; 
function DAQmxResetAISoundPressureUnits(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIMicrophoneSensitivity(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetAIMicrophoneSensitivity(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetAIMicrophoneSensitivity(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIAccelUnits(taskHandle:Longint; channel:PChar; var data:DAQmxAccelUnits2):Longint; stdcall; 
function DAQmxSetAIAccelUnits(taskHandle:Longint; channel:PChar; data:DAQmxAccelUnits2):Longint; stdcall; 
function DAQmxResetAIAccelUnits(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIAccelSensitivity(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetAIAccelSensitivity(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetAIAccelSensitivity(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIAccelSensitivityUnits(taskHandle:Longint; channel:PChar; var data:DAQmxAccelSensitivityUnits1):Longint; stdcall; 
function DAQmxSetAIAccelSensitivityUnits(taskHandle:Longint; channel:PChar; data:DAQmxAccelSensitivityUnits1):Longint; stdcall; 
function DAQmxResetAIAccelSensitivityUnits(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAITEDSUnits(taskHandle:Longint; channel:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxGetAICoupling(taskHandle:Longint; channel:PChar; var data:DAQmxCoupling1):Longint; stdcall; 
function DAQmxSetAICoupling(taskHandle:Longint; channel:PChar; data:DAQmxCoupling1):Longint; stdcall; 
function DAQmxResetAICoupling(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIImpedance(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetAIImpedance(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetAIImpedance(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAITermCfg(taskHandle:Longint; channel:PChar; var data:DAQmxInputTermCfg):Longint; stdcall; 
function DAQmxSetAITermCfg(taskHandle:Longint; channel:PChar; data:DAQmxInputTermCfg):Longint; stdcall; 
function DAQmxResetAITermCfg(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIInputSrc(taskHandle:Longint; channel:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetAIInputSrc(taskHandle:Longint; channel:PChar; data:PChar):Longint; stdcall; 
function DAQmxResetAIInputSrc(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIResistanceCfg(taskHandle:Longint; channel:PChar; var data:DAQmxResistanceConfiguration):Longint; stdcall; 
function DAQmxSetAIResistanceCfg(taskHandle:Longint; channel:PChar; data:DAQmxResistanceConfiguration):Longint; stdcall; 
function DAQmxResetAIResistanceCfg(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAILeadWireResistance(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetAILeadWireResistance(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetAILeadWireResistance(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIBridgeCfg(taskHandle:Longint; channel:PChar; var data:DAQmxBridgeConfiguration1):Longint; stdcall; 
function DAQmxSetAIBridgeCfg(taskHandle:Longint; channel:PChar; data:DAQmxBridgeConfiguration1):Longint; stdcall; 
function DAQmxResetAIBridgeCfg(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIBridgeNomResistance(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetAIBridgeNomResistance(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetAIBridgeNomResistance(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIBridgeInitialVoltage(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetAIBridgeInitialVoltage(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetAIBridgeInitialVoltage(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIBridgeShuntCalEnable(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetAIBridgeShuntCalEnable(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetAIBridgeShuntCalEnable(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIBridgeShuntCalSelect(taskHandle:Longint; channel:PChar; var data:DAQmxShuntCalSelect):Longint; stdcall; 
function DAQmxSetAIBridgeShuntCalSelect(taskHandle:Longint; channel:PChar; data:DAQmxShuntCalSelect):Longint; stdcall; 
function DAQmxResetAIBridgeShuntCalSelect(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIBridgeShuntCalGainAdjust(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetAIBridgeShuntCalGainAdjust(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetAIBridgeShuntCalGainAdjust(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIBridgeBalanceCoarsePot(taskHandle:Longint; channel:PChar; data:PLongint):Longint; stdcall; 
function DAQmxSetAIBridgeBalanceCoarsePot(taskHandle:Longint; channel:PChar; data:Longint):Longint; stdcall; 
function DAQmxResetAIBridgeBalanceCoarsePot(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIBridgeBalanceFinePot(taskHandle:Longint; channel:PChar; data:PLongint):Longint; stdcall; 
function DAQmxSetAIBridgeBalanceFinePot(taskHandle:Longint; channel:PChar; data:Longint):Longint; stdcall; 
function DAQmxResetAIBridgeBalanceFinePot(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAICurrentShuntLoc(taskHandle:Longint; channel:PChar; var data:DAQmxCurrentShuntResistorLocation1):Longint; stdcall; 
function DAQmxSetAICurrentShuntLoc(taskHandle:Longint; channel:PChar; data:DAQmxCurrentShuntResistorLocation1):Longint; stdcall; 
function DAQmxResetAICurrentShuntLoc(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAICurrentShuntResistance(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetAICurrentShuntResistance(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetAICurrentShuntResistance(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIExcitSrc(taskHandle:Longint; channel:PChar; var data:DAQmxExcitationSource):Longint; stdcall; 
function DAQmxSetAIExcitSrc(taskHandle:Longint; channel:PChar; data:DAQmxExcitationSource):Longint; stdcall; 
function DAQmxResetAIExcitSrc(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIExcitVal(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetAIExcitVal(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetAIExcitVal(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIExcitUseForScaling(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetAIExcitUseForScaling(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetAIExcitUseForScaling(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIExcitUseMultiplexed(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetAIExcitUseMultiplexed(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetAIExcitUseMultiplexed(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIExcitActualVal(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetAIExcitActualVal(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetAIExcitActualVal(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIExcitDCorAC(taskHandle:Longint; channel:PChar; var data:DAQmxExcitationDCorAC):Longint; stdcall; 
function DAQmxSetAIExcitDCorAC(taskHandle:Longint; channel:PChar; data:DAQmxExcitationDCorAC):Longint; stdcall; 
function DAQmxResetAIExcitDCorAC(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIExcitVoltageOrCurrent(taskHandle:Longint; channel:PChar; var data:DAQmxExcitationVoltageOrCurrent):Longint; stdcall; 
function DAQmxSetAIExcitVoltageOrCurrent(taskHandle:Longint; channel:PChar; data:DAQmxExcitationVoltageOrCurrent):Longint; stdcall; 
function DAQmxResetAIExcitVoltageOrCurrent(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIACExcitFreq(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetAIACExcitFreq(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetAIACExcitFreq(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIACExcitSyncEnable(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetAIACExcitSyncEnable(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetAIACExcitSyncEnable(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIACExcitWireMode(taskHandle:Longint; channel:PChar; var data:DAQmxACExcitWireMode):Longint; stdcall; 
function DAQmxSetAIACExcitWireMode(taskHandle:Longint; channel:PChar; data:DAQmxACExcitWireMode):Longint; stdcall; 
function DAQmxResetAIACExcitWireMode(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIAtten(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetAIAtten(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetAIAtten(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAILowpassEnable(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetAILowpassEnable(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetAILowpassEnable(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAILowpassCutoffFreq(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetAILowpassCutoffFreq(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetAILowpassCutoffFreq(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAILowpassSwitchCapClkSrc(taskHandle:Longint; channel:PChar; var data:DAQmxSourceSelection):Longint; stdcall; 
function DAQmxSetAILowpassSwitchCapClkSrc(taskHandle:Longint; channel:PChar; data:DAQmxSourceSelection):Longint; stdcall; 
function DAQmxResetAILowpassSwitchCapClkSrc(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAILowpassSwitchCapExtClkFreq(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetAILowpassSwitchCapExtClkFreq(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetAILowpassSwitchCapExtClkFreq(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAILowpassSwitchCapExtClkDiv(taskHandle:Longint; channel:PChar; data:PLongint):Longint; stdcall; 
function DAQmxSetAILowpassSwitchCapExtClkDiv(taskHandle:Longint; channel:PChar; data:Longint):Longint; stdcall; 
function DAQmxResetAILowpassSwitchCapExtClkDiv(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAILowpassSwitchCapOutClkDiv(taskHandle:Longint; channel:PChar; data:PLongint):Longint; stdcall; 
function DAQmxSetAILowpassSwitchCapOutClkDiv(taskHandle:Longint; channel:PChar; data:Longint):Longint; stdcall; 
function DAQmxResetAILowpassSwitchCapOutClkDiv(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIResolutionUnits(taskHandle:Longint; channel:PChar; var data:DAQmxResolutionType1):Longint; stdcall; 
function DAQmxGetAIResolution(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxGetAIRawSampSize(taskHandle:Longint; channel:PChar; data:PLongint):Longint; stdcall; 
function DAQmxGetAIRawSampJustification(taskHandle:Longint; channel:PChar; var data:DAQmxDataJustification1):Longint; stdcall; 
function DAQmxGetAIDitherEnable(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetAIDitherEnable(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetAIDitherEnable(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIChanCalHasValidCalInfo(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxGetAIChanCalEnableCal(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetAIChanCalEnableCal(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetAIChanCalEnableCal(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIChanCalApplyCalIfExp(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetAIChanCalApplyCalIfExp(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetAIChanCalApplyCalIfExp(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIChanCalScaleType(taskHandle:Longint; channel:PChar; var data:DAQmxScaleType2):Longint; stdcall; 
function DAQmxSetAIChanCalScaleType(taskHandle:Longint; channel:PChar; data:DAQmxScaleType2):Longint; stdcall; 
function DAQmxResetAIChanCalScaleType(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIChanCalTablePreScaledVals(taskHandle:Longint; channel:PChar; data:PDouble; arraySizeInSamples:Longint):Longint; stdcall; 
function DAQmxSetAIChanCalTablePreScaledVals(taskHandle:Longint; channel:PChar; data:PDouble; arraySizeInSamples:Longint):Longint; stdcall; 
function DAQmxResetAIChanCalTablePreScaledVals(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIChanCalTableScaledVals(taskHandle:Longint; channel:PChar; data:PDouble; arraySizeInSamples:Longint):Longint; stdcall; 
function DAQmxSetAIChanCalTableScaledVals(taskHandle:Longint; channel:PChar; data:PDouble; arraySizeInSamples:Longint):Longint; stdcall; 
function DAQmxResetAIChanCalTableScaledVals(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIChanCalPolyForwardCoeff(taskHandle:Longint; channel:PChar; data:PDouble; arraySizeInSamples:Longint):Longint; stdcall; 
function DAQmxSetAIChanCalPolyForwardCoeff(taskHandle:Longint; channel:PChar; data:PDouble; arraySizeInSamples:Longint):Longint; stdcall; 
function DAQmxResetAIChanCalPolyForwardCoeff(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIChanCalPolyReverseCoeff(taskHandle:Longint; channel:PChar; data:PDouble; arraySizeInSamples:Longint):Longint; stdcall; 
function DAQmxSetAIChanCalPolyReverseCoeff(taskHandle:Longint; channel:PChar; data:PDouble; arraySizeInSamples:Longint):Longint; stdcall; 
function DAQmxResetAIChanCalPolyReverseCoeff(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIChanCalOperatorName(taskHandle:Longint; channel:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetAIChanCalOperatorName(taskHandle:Longint; channel:PChar; data:PChar):Longint; stdcall; 
function DAQmxResetAIChanCalOperatorName(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIChanCalDesc(taskHandle:Longint; channel:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetAIChanCalDesc(taskHandle:Longint; channel:PChar; data:PChar):Longint; stdcall; 
function DAQmxResetAIChanCalDesc(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIChanCalVerifRefVals(taskHandle:Longint; channel:PChar; data:PDouble; arraySizeInSamples:Longint):Longint; stdcall; 
function DAQmxSetAIChanCalVerifRefVals(taskHandle:Longint; channel:PChar; data:PDouble; arraySizeInSamples:Longint):Longint; stdcall; 
function DAQmxResetAIChanCalVerifRefVals(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIChanCalVerifAcqVals(taskHandle:Longint; channel:PChar; data:PDouble; arraySizeInSamples:Longint):Longint; stdcall; 
function DAQmxSetAIChanCalVerifAcqVals(taskHandle:Longint; channel:PChar; data:PDouble; arraySizeInSamples:Longint):Longint; stdcall; 
function DAQmxResetAIChanCalVerifAcqVals(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIRngHigh(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetAIRngHigh(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetAIRngHigh(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIRngLow(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetAIRngLow(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetAIRngLow(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIGain(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetAIGain(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetAIGain(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAISampAndHoldEnable(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetAISampAndHoldEnable(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetAISampAndHoldEnable(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIAutoZeroMode(taskHandle:Longint; channel:PChar; var data:DAQmxAutoZeroType1):Longint; stdcall; 
function DAQmxSetAIAutoZeroMode(taskHandle:Longint; channel:PChar; data:DAQmxAutoZeroType1):Longint; stdcall; 
function DAQmxResetAIAutoZeroMode(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIDataXferMech(taskHandle:Longint; channel:PChar; var data:DAQmxDataTransferMechanism):Longint; stdcall; 
function DAQmxSetAIDataXferMech(taskHandle:Longint; channel:PChar; data:DAQmxDataTransferMechanism):Longint; stdcall; 
function DAQmxResetAIDataXferMech(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIDataXferReqCond(taskHandle:Longint; channel:PChar; var data:DAQmxInputDataTransferCondition):Longint; stdcall; 
function DAQmxSetAIDataXferReqCond(taskHandle:Longint; channel:PChar; data:DAQmxInputDataTransferCondition):Longint; stdcall; 
function DAQmxResetAIDataXferReqCond(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIDataXferCustomThreshold(taskHandle:Longint; channel:PChar; data:PLongint):Longint; stdcall; 
function DAQmxSetAIDataXferCustomThreshold(taskHandle:Longint; channel:PChar; data:Longint):Longint; stdcall; 
function DAQmxResetAIDataXferCustomThreshold(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIMemMapEnable(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetAIMemMapEnable(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetAIMemMapEnable(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIRawDataCompressionType(taskHandle:Longint; channel:PChar; var data:DAQmxRawDataCompressionType):Longint; stdcall; 
function DAQmxSetAIRawDataCompressionType(taskHandle:Longint; channel:PChar; data:DAQmxRawDataCompressionType):Longint; stdcall; 
function DAQmxResetAIRawDataCompressionType(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAILossyLSBRemovalCompressedSampSize(taskHandle:Longint; channel:PChar; data:PLongint):Longint; stdcall; 
function DAQmxSetAILossyLSBRemovalCompressedSampSize(taskHandle:Longint; channel:PChar; data:Longint):Longint; stdcall; 
function DAQmxResetAILossyLSBRemovalCompressedSampSize(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAIDevScalingCoeff(taskHandle:Longint; channel:PChar; data:PDouble; arraySizeInSamples:Longint):Longint; stdcall; 
function DAQmxGetAIEnhancedAliasRejectionEnable(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetAIEnhancedAliasRejectionEnable(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetAIEnhancedAliasRejectionEnable(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAOMax(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetAOMax(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetAOMax(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAOMin(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetAOMin(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetAOMin(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAOCustomScaleName(taskHandle:Longint; channel:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetAOCustomScaleName(taskHandle:Longint; channel:PChar; data:PChar):Longint; stdcall; 
function DAQmxResetAOCustomScaleName(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAOOutputType(taskHandle:Longint; channel:PChar; var data:DAQmxAOOutputChannelType):Longint; stdcall; 
function DAQmxGetAOVoltageUnits(taskHandle:Longint; channel:PChar; var data:DAQmxVoltageUnits2):Longint; stdcall; 
function DAQmxSetAOVoltageUnits(taskHandle:Longint; channel:PChar; data:DAQmxVoltageUnits2):Longint; stdcall; 
function DAQmxResetAOVoltageUnits(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAOCurrentUnits(taskHandle:Longint; channel:PChar; var data:DAQmxCurrentUnits1):Longint; stdcall; 
function DAQmxSetAOCurrentUnits(taskHandle:Longint; channel:PChar; data:DAQmxCurrentUnits1):Longint; stdcall; 
function DAQmxResetAOCurrentUnits(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAOOutputImpedance(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetAOOutputImpedance(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetAOOutputImpedance(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAOLoadImpedance(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetAOLoadImpedance(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetAOLoadImpedance(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAOIdleOutputBehavior(taskHandle:Longint; channel:PChar; var data:DAQmxAOIdleOutputBehavior):Longint; stdcall; 
function DAQmxSetAOIdleOutputBehavior(taskHandle:Longint; channel:PChar; data:DAQmxAOIdleOutputBehavior):Longint; stdcall; 
function DAQmxResetAOIdleOutputBehavior(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAOTermCfg(taskHandle:Longint; channel:PChar; var data:DAQmxOutputTermCfg):Longint; stdcall; 
function DAQmxSetAOTermCfg(taskHandle:Longint; channel:PChar; data:DAQmxOutputTermCfg):Longint; stdcall; 
function DAQmxResetAOTermCfg(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAOResolutionUnits(taskHandle:Longint; channel:PChar; var data:DAQmxResolutionType1):Longint; stdcall; 
function DAQmxSetAOResolutionUnits(taskHandle:Longint; channel:PChar; data:DAQmxResolutionType1):Longint; stdcall; 
function DAQmxResetAOResolutionUnits(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAOResolution(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxGetAODACRngHigh(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetAODACRngHigh(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetAODACRngHigh(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAODACRngLow(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetAODACRngLow(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetAODACRngLow(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAODACRefConnToGnd(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetAODACRefConnToGnd(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetAODACRefConnToGnd(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAODACRefAllowConnToGnd(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetAODACRefAllowConnToGnd(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetAODACRefAllowConnToGnd(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAODACRefSrc(taskHandle:Longint; channel:PChar; var data:DAQmxSourceSelection):Longint; stdcall; 
function DAQmxSetAODACRefSrc(taskHandle:Longint; channel:PChar; data:DAQmxSourceSelection):Longint; stdcall; 
function DAQmxResetAODACRefSrc(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAODACRefExtSrc(taskHandle:Longint; channel:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetAODACRefExtSrc(taskHandle:Longint; channel:PChar; data:PChar):Longint; stdcall; 
function DAQmxResetAODACRefExtSrc(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAODACRefVal(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetAODACRefVal(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetAODACRefVal(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAODACOffsetSrc(taskHandle:Longint; channel:PChar; var data:DAQmxSourceSelection):Longint; stdcall; 
function DAQmxSetAODACOffsetSrc(taskHandle:Longint; channel:PChar; data:DAQmxSourceSelection):Longint; stdcall; 
function DAQmxResetAODACOffsetSrc(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAODACOffsetExtSrc(taskHandle:Longint; channel:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetAODACOffsetExtSrc(taskHandle:Longint; channel:PChar; data:PChar):Longint; stdcall; 
function DAQmxResetAODACOffsetExtSrc(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAODACOffsetVal(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetAODACOffsetVal(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetAODACOffsetVal(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAOReglitchEnable(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetAOReglitchEnable(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetAOReglitchEnable(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAOGain(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetAOGain(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetAOGain(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAOUseOnlyOnBrdMem(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetAOUseOnlyOnBrdMem(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetAOUseOnlyOnBrdMem(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAODataXferMech(taskHandle:Longint; channel:PChar; var data:DAQmxDataTransferMechanism):Longint; stdcall; 
function DAQmxSetAODataXferMech(taskHandle:Longint; channel:PChar; data:DAQmxDataTransferMechanism):Longint; stdcall; 
function DAQmxResetAODataXferMech(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAODataXferReqCond(taskHandle:Longint; channel:PChar; var data:DAQmxOutputDataTransferCondition):Longint; stdcall; 
function DAQmxSetAODataXferReqCond(taskHandle:Longint; channel:PChar; data:DAQmxOutputDataTransferCondition):Longint; stdcall; 
function DAQmxResetAODataXferReqCond(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAOMemMapEnable(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetAOMemMapEnable(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetAOMemMapEnable(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetAODevScalingCoeff(taskHandle:Longint; channel:PChar; data:PDouble; arraySizeInSamples:Longint):Longint; stdcall; 
function DAQmxGetAOEnhancedImageRejectionEnable(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetAOEnhancedImageRejectionEnable(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetAOEnhancedImageRejectionEnable(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetDIInvertLines(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetDIInvertLines(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetDIInvertLines(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetDINumLines(taskHandle:Longint; channel:PChar; data:PLongint):Longint; stdcall; 
function DAQmxGetDIDigFltrEnable(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetDIDigFltrEnable(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetDIDigFltrEnable(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetDIDigFltrMinPulseWidth(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetDIDigFltrMinPulseWidth(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetDIDigFltrMinPulseWidth(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetDITristate(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetDITristate(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetDITristate(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetDIDataXferMech(taskHandle:Longint; channel:PChar; var data:DAQmxDataTransferMechanism):Longint; stdcall; 
function DAQmxSetDIDataXferMech(taskHandle:Longint; channel:PChar; data:DAQmxDataTransferMechanism):Longint; stdcall; 
function DAQmxResetDIDataXferMech(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetDIDataXferReqCond(taskHandle:Longint; channel:PChar; var data:DAQmxInputDataTransferCondition):Longint; stdcall; 
function DAQmxSetDIDataXferReqCond(taskHandle:Longint; channel:PChar; data:DAQmxInputDataTransferCondition):Longint; stdcall; 
function DAQmxResetDIDataXferReqCond(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetDOOutputDriveType(taskHandle:Longint; channel:PChar; var data:DAQmxDigitalDriveType):Longint; stdcall; 
function DAQmxSetDOOutputDriveType(taskHandle:Longint; channel:PChar; data:DAQmxDigitalDriveType):Longint; stdcall; 
function DAQmxResetDOOutputDriveType(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetDOInvertLines(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetDOInvertLines(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetDOInvertLines(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetDONumLines(taskHandle:Longint; channel:PChar; data:PLongint):Longint; stdcall; 
function DAQmxGetDOTristate(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetDOTristate(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetDOTristate(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetDOUseOnlyOnBrdMem(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetDOUseOnlyOnBrdMem(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetDOUseOnlyOnBrdMem(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetDODataXferMech(taskHandle:Longint; channel:PChar; var data:DAQmxDataTransferMechanism):Longint; stdcall; 
function DAQmxSetDODataXferMech(taskHandle:Longint; channel:PChar; data:DAQmxDataTransferMechanism):Longint; stdcall; 
function DAQmxResetDODataXferMech(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetDODataXferReqCond(taskHandle:Longint; channel:PChar; var data:DAQmxOutputDataTransferCondition):Longint; stdcall; 
function DAQmxSetDODataXferReqCond(taskHandle:Longint; channel:PChar; data:DAQmxOutputDataTransferCondition):Longint; stdcall; 
function DAQmxResetDODataXferReqCond(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIMax(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetCIMax(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetCIMax(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIMin(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetCIMin(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetCIMin(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCICustomScaleName(taskHandle:Longint; channel:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetCICustomScaleName(taskHandle:Longint; channel:PChar; data:PChar):Longint; stdcall; 
function DAQmxResetCICustomScaleName(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIMeasType(taskHandle:Longint; channel:PChar; var data:DAQmxCIMeasurementType):Longint; stdcall; 
function DAQmxGetCIFreqUnits(taskHandle:Longint; channel:PChar; var data:DAQmxFrequencyUnits3):Longint; stdcall; 
function DAQmxSetCIFreqUnits(taskHandle:Longint; channel:PChar; data:DAQmxFrequencyUnits3):Longint; stdcall; 
function DAQmxResetCIFreqUnits(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIFreqTerm(taskHandle:Longint; channel:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetCIFreqTerm(taskHandle:Longint; channel:PChar; data:PChar):Longint; stdcall; 
function DAQmxResetCIFreqTerm(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIFreqStartingEdge(taskHandle:Longint; channel:PChar; var data:DAQmxEdge1):Longint; stdcall; 
function DAQmxSetCIFreqStartingEdge(taskHandle:Longint; channel:PChar; data:DAQmxEdge1):Longint; stdcall; 
function DAQmxResetCIFreqStartingEdge(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIFreqMeasMeth(taskHandle:Longint; channel:PChar; var data:DAQmxCounterFrequencyMethod):Longint; stdcall; 
function DAQmxSetCIFreqMeasMeth(taskHandle:Longint; channel:PChar; data:DAQmxCounterFrequencyMethod):Longint; stdcall; 
function DAQmxResetCIFreqMeasMeth(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIFreqMeasTime(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetCIFreqMeasTime(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetCIFreqMeasTime(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIFreqDiv(taskHandle:Longint; channel:PChar; data:PLongint):Longint; stdcall; 
function DAQmxSetCIFreqDiv(taskHandle:Longint; channel:PChar; data:Longint):Longint; stdcall; 
function DAQmxResetCIFreqDiv(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIFreqDigFltrEnable(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetCIFreqDigFltrEnable(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetCIFreqDigFltrEnable(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIFreqDigFltrMinPulseWidth(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetCIFreqDigFltrMinPulseWidth(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetCIFreqDigFltrMinPulseWidth(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIFreqDigFltrTimebaseSrc(taskHandle:Longint; channel:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetCIFreqDigFltrTimebaseSrc(taskHandle:Longint; channel:PChar; data:PChar):Longint; stdcall; 
function DAQmxResetCIFreqDigFltrTimebaseSrc(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIFreqDigFltrTimebaseRate(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetCIFreqDigFltrTimebaseRate(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetCIFreqDigFltrTimebaseRate(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIFreqDigSyncEnable(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetCIFreqDigSyncEnable(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetCIFreqDigSyncEnable(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIPeriodUnits(taskHandle:Longint; channel:PChar; var data:DAQmxTimeUnits3):Longint; stdcall; 
function DAQmxSetCIPeriodUnits(taskHandle:Longint; channel:PChar; data:DAQmxTimeUnits3):Longint; stdcall; 
function DAQmxResetCIPeriodUnits(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIPeriodTerm(taskHandle:Longint; channel:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetCIPeriodTerm(taskHandle:Longint; channel:PChar; data:PChar):Longint; stdcall; 
function DAQmxResetCIPeriodTerm(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIPeriodStartingEdge(taskHandle:Longint; channel:PChar; var data:DAQmxEdge1):Longint; stdcall; 
function DAQmxSetCIPeriodStartingEdge(taskHandle:Longint; channel:PChar; data:DAQmxEdge1):Longint; stdcall; 
function DAQmxResetCIPeriodStartingEdge(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIPeriodMeasMeth(taskHandle:Longint; channel:PChar; var data:DAQmxCounterFrequencyMethod):Longint; stdcall; 
function DAQmxSetCIPeriodMeasMeth(taskHandle:Longint; channel:PChar; data:DAQmxCounterFrequencyMethod):Longint; stdcall; 
function DAQmxResetCIPeriodMeasMeth(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIPeriodMeasTime(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetCIPeriodMeasTime(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetCIPeriodMeasTime(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIPeriodDiv(taskHandle:Longint; channel:PChar; data:PLongint):Longint; stdcall; 
function DAQmxSetCIPeriodDiv(taskHandle:Longint; channel:PChar; data:Longint):Longint; stdcall; 
function DAQmxResetCIPeriodDiv(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIPeriodDigFltrEnable(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetCIPeriodDigFltrEnable(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetCIPeriodDigFltrEnable(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIPeriodDigFltrMinPulseWidth(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetCIPeriodDigFltrMinPulseWidth(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetCIPeriodDigFltrMinPulseWidth(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIPeriodDigFltrTimebaseSrc(taskHandle:Longint; channel:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetCIPeriodDigFltrTimebaseSrc(taskHandle:Longint; channel:PChar; data:PChar):Longint; stdcall; 
function DAQmxResetCIPeriodDigFltrTimebaseSrc(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIPeriodDigFltrTimebaseRate(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetCIPeriodDigFltrTimebaseRate(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetCIPeriodDigFltrTimebaseRate(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIPeriodDigSyncEnable(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetCIPeriodDigSyncEnable(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetCIPeriodDigSyncEnable(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCICountEdgesTerm(taskHandle:Longint; channel:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetCICountEdgesTerm(taskHandle:Longint; channel:PChar; data:PChar):Longint; stdcall; 
function DAQmxResetCICountEdgesTerm(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCICountEdgesDir(taskHandle:Longint; channel:PChar; var data:DAQmxCountDirection1):Longint; stdcall; 
function DAQmxSetCICountEdgesDir(taskHandle:Longint; channel:PChar; data:DAQmxCountDirection1):Longint; stdcall; 
function DAQmxResetCICountEdgesDir(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCICountEdgesDirTerm(taskHandle:Longint; channel:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetCICountEdgesDirTerm(taskHandle:Longint; channel:PChar; data:PChar):Longint; stdcall; 
function DAQmxResetCICountEdgesDirTerm(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCICountEdgesCountDirDigFltrEnable(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetCICountEdgesCountDirDigFltrEnable(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetCICountEdgesCountDirDigFltrEnable(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCICountEdgesCountDirDigFltrMinPulseWidth(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetCICountEdgesCountDirDigFltrMinPulseWidth(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetCICountEdgesCountDirDigFltrMinPulseWidth(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCICountEdgesCountDirDigFltrTimebaseSrc(taskHandle:Longint; channel:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetCICountEdgesCountDirDigFltrTimebaseSrc(taskHandle:Longint; channel:PChar; data:PChar):Longint; stdcall; 
function DAQmxResetCICountEdgesCountDirDigFltrTimebaseSrc(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCICountEdgesCountDirDigFltrTimebaseRate(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetCICountEdgesCountDirDigFltrTimebaseRate(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetCICountEdgesCountDirDigFltrTimebaseRate(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCICountEdgesCountDirDigSyncEnable(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetCICountEdgesCountDirDigSyncEnable(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetCICountEdgesCountDirDigSyncEnable(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCICountEdgesInitialCnt(taskHandle:Longint; channel:PChar; data:PLongint):Longint; stdcall; 
function DAQmxSetCICountEdgesInitialCnt(taskHandle:Longint; channel:PChar; data:Longint):Longint; stdcall; 
function DAQmxResetCICountEdgesInitialCnt(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCICountEdgesActiveEdge(taskHandle:Longint; channel:PChar; var data:DAQmxEdge1):Longint; stdcall; 
function DAQmxSetCICountEdgesActiveEdge(taskHandle:Longint; channel:PChar; data:DAQmxEdge1):Longint; stdcall; 
function DAQmxResetCICountEdgesActiveEdge(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCICountEdgesDigFltrEnable(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetCICountEdgesDigFltrEnable(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetCICountEdgesDigFltrEnable(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCICountEdgesDigFltrMinPulseWidth(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetCICountEdgesDigFltrMinPulseWidth(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetCICountEdgesDigFltrMinPulseWidth(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCICountEdgesDigFltrTimebaseSrc(taskHandle:Longint; channel:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetCICountEdgesDigFltrTimebaseSrc(taskHandle:Longint; channel:PChar; data:PChar):Longint; stdcall; 
function DAQmxResetCICountEdgesDigFltrTimebaseSrc(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCICountEdgesDigFltrTimebaseRate(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetCICountEdgesDigFltrTimebaseRate(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetCICountEdgesDigFltrTimebaseRate(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCICountEdgesDigSyncEnable(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetCICountEdgesDigSyncEnable(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetCICountEdgesDigSyncEnable(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIAngEncoderUnits(taskHandle:Longint; channel:PChar; var data:DAQmxAngleUnits2):Longint; stdcall; 
function DAQmxSetCIAngEncoderUnits(taskHandle:Longint; channel:PChar; data:DAQmxAngleUnits2):Longint; stdcall; 
function DAQmxResetCIAngEncoderUnits(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIAngEncoderPulsesPerRev(taskHandle:Longint; channel:PChar; data:PLongint):Longint; stdcall; 
function DAQmxSetCIAngEncoderPulsesPerRev(taskHandle:Longint; channel:PChar; data:Longint):Longint; stdcall; 
function DAQmxResetCIAngEncoderPulsesPerRev(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIAngEncoderInitialAngle(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetCIAngEncoderInitialAngle(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetCIAngEncoderInitialAngle(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCILinEncoderUnits(taskHandle:Longint; channel:PChar; var data:DAQmxLengthUnits3):Longint; stdcall; 
function DAQmxSetCILinEncoderUnits(taskHandle:Longint; channel:PChar; data:DAQmxLengthUnits3):Longint; stdcall; 
function DAQmxResetCILinEncoderUnits(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCILinEncoderDistPerPulse(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetCILinEncoderDistPerPulse(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetCILinEncoderDistPerPulse(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCILinEncoderInitialPos(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetCILinEncoderInitialPos(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetCILinEncoderInitialPos(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIEncoderDecodingType(taskHandle:Longint; channel:PChar; var data:DAQmxEncoderType2):Longint; stdcall; 
function DAQmxSetCIEncoderDecodingType(taskHandle:Longint; channel:PChar; data:DAQmxEncoderType2):Longint; stdcall; 
function DAQmxResetCIEncoderDecodingType(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIEncoderAInputTerm(taskHandle:Longint; channel:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetCIEncoderAInputTerm(taskHandle:Longint; channel:PChar; data:PChar):Longint; stdcall; 
function DAQmxResetCIEncoderAInputTerm(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIEncoderAInputDigFltrEnable(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetCIEncoderAInputDigFltrEnable(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetCIEncoderAInputDigFltrEnable(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIEncoderAInputDigFltrMinPulseWidth(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetCIEncoderAInputDigFltrMinPulseWidth(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetCIEncoderAInputDigFltrMinPulseWidth(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIEncoderAInputDigFltrTimebaseSrc(taskHandle:Longint; channel:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetCIEncoderAInputDigFltrTimebaseSrc(taskHandle:Longint; channel:PChar; data:PChar):Longint; stdcall; 
function DAQmxResetCIEncoderAInputDigFltrTimebaseSrc(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIEncoderAInputDigFltrTimebaseRate(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetCIEncoderAInputDigFltrTimebaseRate(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetCIEncoderAInputDigFltrTimebaseRate(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIEncoderAInputDigSyncEnable(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetCIEncoderAInputDigSyncEnable(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetCIEncoderAInputDigSyncEnable(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIEncoderBInputTerm(taskHandle:Longint; channel:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetCIEncoderBInputTerm(taskHandle:Longint; channel:PChar; data:PChar):Longint; stdcall; 
function DAQmxResetCIEncoderBInputTerm(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIEncoderBInputDigFltrEnable(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetCIEncoderBInputDigFltrEnable(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetCIEncoderBInputDigFltrEnable(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIEncoderBInputDigFltrMinPulseWidth(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetCIEncoderBInputDigFltrMinPulseWidth(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetCIEncoderBInputDigFltrMinPulseWidth(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIEncoderBInputDigFltrTimebaseSrc(taskHandle:Longint; channel:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetCIEncoderBInputDigFltrTimebaseSrc(taskHandle:Longint; channel:PChar; data:PChar):Longint; stdcall; 
function DAQmxResetCIEncoderBInputDigFltrTimebaseSrc(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIEncoderBInputDigFltrTimebaseRate(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetCIEncoderBInputDigFltrTimebaseRate(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetCIEncoderBInputDigFltrTimebaseRate(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIEncoderBInputDigSyncEnable(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetCIEncoderBInputDigSyncEnable(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetCIEncoderBInputDigSyncEnable(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIEncoderZInputTerm(taskHandle:Longint; channel:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetCIEncoderZInputTerm(taskHandle:Longint; channel:PChar; data:PChar):Longint; stdcall; 
function DAQmxResetCIEncoderZInputTerm(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIEncoderZInputDigFltrEnable(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetCIEncoderZInputDigFltrEnable(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetCIEncoderZInputDigFltrEnable(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIEncoderZInputDigFltrMinPulseWidth(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetCIEncoderZInputDigFltrMinPulseWidth(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetCIEncoderZInputDigFltrMinPulseWidth(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIEncoderZInputDigFltrTimebaseSrc(taskHandle:Longint; channel:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetCIEncoderZInputDigFltrTimebaseSrc(taskHandle:Longint; channel:PChar; data:PChar):Longint; stdcall; 
function DAQmxResetCIEncoderZInputDigFltrTimebaseSrc(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIEncoderZInputDigFltrTimebaseRate(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetCIEncoderZInputDigFltrTimebaseRate(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetCIEncoderZInputDigFltrTimebaseRate(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIEncoderZInputDigSyncEnable(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetCIEncoderZInputDigSyncEnable(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetCIEncoderZInputDigSyncEnable(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIEncoderZIndexEnable(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetCIEncoderZIndexEnable(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetCIEncoderZIndexEnable(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIEncoderZIndexVal(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetCIEncoderZIndexVal(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetCIEncoderZIndexVal(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIEncoderZIndexPhase(taskHandle:Longint; channel:PChar; var data:DAQmxEncoderZIndexPhase1):Longint; stdcall; 
function DAQmxSetCIEncoderZIndexPhase(taskHandle:Longint; channel:PChar; data:DAQmxEncoderZIndexPhase1):Longint; stdcall; 
function DAQmxResetCIEncoderZIndexPhase(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIPulseWidthUnits(taskHandle:Longint; channel:PChar; var data:DAQmxTimeUnits3):Longint; stdcall; 
function DAQmxSetCIPulseWidthUnits(taskHandle:Longint; channel:PChar; data:DAQmxTimeUnits3):Longint; stdcall; 
function DAQmxResetCIPulseWidthUnits(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIPulseWidthTerm(taskHandle:Longint; channel:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetCIPulseWidthTerm(taskHandle:Longint; channel:PChar; data:PChar):Longint; stdcall; 
function DAQmxResetCIPulseWidthTerm(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIPulseWidthStartingEdge(taskHandle:Longint; channel:PChar; var data:DAQmxEdge1):Longint; stdcall; 
function DAQmxSetCIPulseWidthStartingEdge(taskHandle:Longint; channel:PChar; data:DAQmxEdge1):Longint; stdcall; 
function DAQmxResetCIPulseWidthStartingEdge(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIPulseWidthDigFltrEnable(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetCIPulseWidthDigFltrEnable(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetCIPulseWidthDigFltrEnable(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIPulseWidthDigFltrMinPulseWidth(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetCIPulseWidthDigFltrMinPulseWidth(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetCIPulseWidthDigFltrMinPulseWidth(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIPulseWidthDigFltrTimebaseSrc(taskHandle:Longint; channel:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetCIPulseWidthDigFltrTimebaseSrc(taskHandle:Longint; channel:PChar; data:PChar):Longint; stdcall; 
function DAQmxResetCIPulseWidthDigFltrTimebaseSrc(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIPulseWidthDigFltrTimebaseRate(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetCIPulseWidthDigFltrTimebaseRate(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetCIPulseWidthDigFltrTimebaseRate(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIPulseWidthDigSyncEnable(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetCIPulseWidthDigSyncEnable(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetCIPulseWidthDigSyncEnable(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCITwoEdgeSepUnits(taskHandle:Longint; channel:PChar; var data:DAQmxTimeUnits3):Longint; stdcall; 
function DAQmxSetCITwoEdgeSepUnits(taskHandle:Longint; channel:PChar; data:DAQmxTimeUnits3):Longint; stdcall; 
function DAQmxResetCITwoEdgeSepUnits(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCITwoEdgeSepFirstTerm(taskHandle:Longint; channel:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetCITwoEdgeSepFirstTerm(taskHandle:Longint; channel:PChar; data:PChar):Longint; stdcall; 
function DAQmxResetCITwoEdgeSepFirstTerm(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCITwoEdgeSepFirstEdge(taskHandle:Longint; channel:PChar; var data:DAQmxEdge1):Longint; stdcall; 
function DAQmxSetCITwoEdgeSepFirstEdge(taskHandle:Longint; channel:PChar; data:DAQmxEdge1):Longint; stdcall; 
function DAQmxResetCITwoEdgeSepFirstEdge(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCITwoEdgeSepFirstDigFltrEnable(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetCITwoEdgeSepFirstDigFltrEnable(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetCITwoEdgeSepFirstDigFltrEnable(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCITwoEdgeSepFirstDigFltrMinPulseWidth(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetCITwoEdgeSepFirstDigFltrMinPulseWidth(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetCITwoEdgeSepFirstDigFltrMinPulseWidth(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCITwoEdgeSepFirstDigFltrTimebaseSrc(taskHandle:Longint; channel:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetCITwoEdgeSepFirstDigFltrTimebaseSrc(taskHandle:Longint; channel:PChar; data:PChar):Longint; stdcall; 
function DAQmxResetCITwoEdgeSepFirstDigFltrTimebaseSrc(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCITwoEdgeSepFirstDigFltrTimebaseRate(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetCITwoEdgeSepFirstDigFltrTimebaseRate(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetCITwoEdgeSepFirstDigFltrTimebaseRate(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCITwoEdgeSepFirstDigSyncEnable(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetCITwoEdgeSepFirstDigSyncEnable(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetCITwoEdgeSepFirstDigSyncEnable(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCITwoEdgeSepSecondTerm(taskHandle:Longint; channel:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetCITwoEdgeSepSecondTerm(taskHandle:Longint; channel:PChar; data:PChar):Longint; stdcall; 
function DAQmxResetCITwoEdgeSepSecondTerm(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCITwoEdgeSepSecondEdge(taskHandle:Longint; channel:PChar; var data:DAQmxEdge1):Longint; stdcall; 
function DAQmxSetCITwoEdgeSepSecondEdge(taskHandle:Longint; channel:PChar; data:DAQmxEdge1):Longint; stdcall; 
function DAQmxResetCITwoEdgeSepSecondEdge(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCITwoEdgeSepSecondDigFltrEnable(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetCITwoEdgeSepSecondDigFltrEnable(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetCITwoEdgeSepSecondDigFltrEnable(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCITwoEdgeSepSecondDigFltrMinPulseWidth(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetCITwoEdgeSepSecondDigFltrMinPulseWidth(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetCITwoEdgeSepSecondDigFltrMinPulseWidth(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCITwoEdgeSepSecondDigFltrTimebaseSrc(taskHandle:Longint; channel:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetCITwoEdgeSepSecondDigFltrTimebaseSrc(taskHandle:Longint; channel:PChar; data:PChar):Longint; stdcall; 
function DAQmxResetCITwoEdgeSepSecondDigFltrTimebaseSrc(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCITwoEdgeSepSecondDigFltrTimebaseRate(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetCITwoEdgeSepSecondDigFltrTimebaseRate(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetCITwoEdgeSepSecondDigFltrTimebaseRate(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCITwoEdgeSepSecondDigSyncEnable(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetCITwoEdgeSepSecondDigSyncEnable(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetCITwoEdgeSepSecondDigSyncEnable(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCISemiPeriodUnits(taskHandle:Longint; channel:PChar; var data:DAQmxTimeUnits3):Longint; stdcall; 
function DAQmxSetCISemiPeriodUnits(taskHandle:Longint; channel:PChar; data:DAQmxTimeUnits3):Longint; stdcall; 
function DAQmxResetCISemiPeriodUnits(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCISemiPeriodTerm(taskHandle:Longint; channel:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetCISemiPeriodTerm(taskHandle:Longint; channel:PChar; data:PChar):Longint; stdcall; 
function DAQmxResetCISemiPeriodTerm(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCISemiPeriodStartingEdge(taskHandle:Longint; channel:PChar; var data:DAQmxEdge1):Longint; stdcall; 
function DAQmxSetCISemiPeriodStartingEdge(taskHandle:Longint; channel:PChar; data:DAQmxEdge1):Longint; stdcall; 
function DAQmxResetCISemiPeriodStartingEdge(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCISemiPeriodDigFltrEnable(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetCISemiPeriodDigFltrEnable(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetCISemiPeriodDigFltrEnable(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCISemiPeriodDigFltrMinPulseWidth(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetCISemiPeriodDigFltrMinPulseWidth(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetCISemiPeriodDigFltrMinPulseWidth(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCISemiPeriodDigFltrTimebaseSrc(taskHandle:Longint; channel:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetCISemiPeriodDigFltrTimebaseSrc(taskHandle:Longint; channel:PChar; data:PChar):Longint; stdcall; 
function DAQmxResetCISemiPeriodDigFltrTimebaseSrc(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCISemiPeriodDigFltrTimebaseRate(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetCISemiPeriodDigFltrTimebaseRate(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetCISemiPeriodDigFltrTimebaseRate(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCISemiPeriodDigSyncEnable(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetCISemiPeriodDigSyncEnable(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetCISemiPeriodDigSyncEnable(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCITimestampUnits(taskHandle:Longint; channel:PChar; var data:DAQmxTimeUnits):Longint; stdcall; 
function DAQmxSetCITimestampUnits(taskHandle:Longint; channel:PChar; data:DAQmxTimeUnits):Longint; stdcall; 
function DAQmxResetCITimestampUnits(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCITimestampInitialSeconds(taskHandle:Longint; channel:PChar; data:PLongint):Longint; stdcall; 
function DAQmxSetCITimestampInitialSeconds(taskHandle:Longint; channel:PChar; data:Longint):Longint; stdcall; 
function DAQmxResetCITimestampInitialSeconds(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIGPSSyncMethod(taskHandle:Longint; channel:PChar; var data:DAQmxGpsSignalType1):Longint; stdcall; 
function DAQmxSetCIGPSSyncMethod(taskHandle:Longint; channel:PChar; data:DAQmxGpsSignalType1):Longint; stdcall; 
function DAQmxResetCIGPSSyncMethod(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIGPSSyncSrc(taskHandle:Longint; channel:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetCIGPSSyncSrc(taskHandle:Longint; channel:PChar; data:PChar):Longint; stdcall; 
function DAQmxResetCIGPSSyncSrc(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCICtrTimebaseSrc(taskHandle:Longint; channel:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetCICtrTimebaseSrc(taskHandle:Longint; channel:PChar; data:PChar):Longint; stdcall; 
function DAQmxResetCICtrTimebaseSrc(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCICtrTimebaseRate(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetCICtrTimebaseRate(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetCICtrTimebaseRate(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCICtrTimebaseActiveEdge(taskHandle:Longint; channel:PChar; var data:DAQmxEdge1):Longint; stdcall; 
function DAQmxSetCICtrTimebaseActiveEdge(taskHandle:Longint; channel:PChar; data:DAQmxEdge1):Longint; stdcall; 
function DAQmxResetCICtrTimebaseActiveEdge(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCICtrTimebaseDigFltrEnable(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetCICtrTimebaseDigFltrEnable(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetCICtrTimebaseDigFltrEnable(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCICtrTimebaseDigFltrMinPulseWidth(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetCICtrTimebaseDigFltrMinPulseWidth(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetCICtrTimebaseDigFltrMinPulseWidth(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCICtrTimebaseDigFltrTimebaseSrc(taskHandle:Longint; channel:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetCICtrTimebaseDigFltrTimebaseSrc(taskHandle:Longint; channel:PChar; data:PChar):Longint; stdcall; 
function DAQmxResetCICtrTimebaseDigFltrTimebaseSrc(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCICtrTimebaseDigFltrTimebaseRate(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetCICtrTimebaseDigFltrTimebaseRate(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetCICtrTimebaseDigFltrTimebaseRate(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCICtrTimebaseDigSyncEnable(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetCICtrTimebaseDigSyncEnable(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetCICtrTimebaseDigSyncEnable(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCICount(taskHandle:Longint; channel:PChar; data:PLongint):Longint; stdcall; 
function DAQmxGetCIOutputState(taskHandle:Longint; channel:PChar; var data:DAQmxLevel1):Longint; stdcall; 
function DAQmxGetCITCReached(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxGetCICtrTimebaseMasterTimebaseDiv(taskHandle:Longint; channel:PChar; data:PLongint):Longint; stdcall; 
function DAQmxSetCICtrTimebaseMasterTimebaseDiv(taskHandle:Longint; channel:PChar; data:Longint):Longint; stdcall; 
function DAQmxResetCICtrTimebaseMasterTimebaseDiv(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIDataXferMech(taskHandle:Longint; channel:PChar; var data:DAQmxDataTransferMechanism):Longint; stdcall; 
function DAQmxSetCIDataXferMech(taskHandle:Longint; channel:PChar; data:DAQmxDataTransferMechanism):Longint; stdcall; 
function DAQmxResetCIDataXferMech(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCINumPossiblyInvalidSamps(taskHandle:Longint; channel:PChar; data:PLongint):Longint; stdcall; 
function DAQmxGetCIDupCountPrevent(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetCIDupCountPrevent(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetCIDupCountPrevent(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCIPrescaler(taskHandle:Longint; channel:PChar; data:PLongint):Longint; stdcall; 
function DAQmxSetCIPrescaler(taskHandle:Longint; channel:PChar; data:Longint):Longint; stdcall; 
function DAQmxResetCIPrescaler(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCOOutputType(taskHandle:Longint; channel:PChar; var data:DAQmxCOOutputType):Longint; stdcall; 
function DAQmxGetCOPulseIdleState(taskHandle:Longint; channel:PChar; var data:DAQmxLevel1):Longint; stdcall; 
function DAQmxSetCOPulseIdleState(taskHandle:Longint; channel:PChar; data:DAQmxLevel1):Longint; stdcall; 
function DAQmxResetCOPulseIdleState(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCOPulseTerm(taskHandle:Longint; channel:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetCOPulseTerm(taskHandle:Longint; channel:PChar; data:PChar):Longint; stdcall; 
function DAQmxResetCOPulseTerm(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCOPulseTimeUnits(taskHandle:Longint; channel:PChar; var data:DAQmxTimeUnits2):Longint; stdcall; 
function DAQmxSetCOPulseTimeUnits(taskHandle:Longint; channel:PChar; data:DAQmxTimeUnits2):Longint; stdcall; 
function DAQmxResetCOPulseTimeUnits(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCOPulseHighTime(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetCOPulseHighTime(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetCOPulseHighTime(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCOPulseLowTime(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetCOPulseLowTime(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetCOPulseLowTime(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCOPulseTimeInitialDelay(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetCOPulseTimeInitialDelay(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetCOPulseTimeInitialDelay(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCOPulseDutyCyc(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetCOPulseDutyCyc(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetCOPulseDutyCyc(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCOPulseFreqUnits(taskHandle:Longint; channel:PChar; var data:DAQmxFrequencyUnits2):Longint; stdcall; 
function DAQmxSetCOPulseFreqUnits(taskHandle:Longint; channel:PChar; data:DAQmxFrequencyUnits2):Longint; stdcall; 
function DAQmxResetCOPulseFreqUnits(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCOPulseFreq(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetCOPulseFreq(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetCOPulseFreq(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCOPulseFreqInitialDelay(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetCOPulseFreqInitialDelay(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetCOPulseFreqInitialDelay(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCOPulseHighTicks(taskHandle:Longint; channel:PChar; data:PLongint):Longint; stdcall; 
function DAQmxSetCOPulseHighTicks(taskHandle:Longint; channel:PChar; data:Longint):Longint; stdcall; 
function DAQmxResetCOPulseHighTicks(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCOPulseLowTicks(taskHandle:Longint; channel:PChar; data:PLongint):Longint; stdcall; 
function DAQmxSetCOPulseLowTicks(taskHandle:Longint; channel:PChar; data:Longint):Longint; stdcall; 
function DAQmxResetCOPulseLowTicks(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCOPulseTicksInitialDelay(taskHandle:Longint; channel:PChar; data:PLongint):Longint; stdcall; 
function DAQmxSetCOPulseTicksInitialDelay(taskHandle:Longint; channel:PChar; data:Longint):Longint; stdcall; 
function DAQmxResetCOPulseTicksInitialDelay(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCOCtrTimebaseSrc(taskHandle:Longint; channel:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetCOCtrTimebaseSrc(taskHandle:Longint; channel:PChar; data:PChar):Longint; stdcall; 
function DAQmxResetCOCtrTimebaseSrc(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCOCtrTimebaseRate(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetCOCtrTimebaseRate(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetCOCtrTimebaseRate(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCOCtrTimebaseActiveEdge(taskHandle:Longint; channel:PChar; var data:DAQmxEdge1):Longint; stdcall; 
function DAQmxSetCOCtrTimebaseActiveEdge(taskHandle:Longint; channel:PChar; data:DAQmxEdge1):Longint; stdcall; 
function DAQmxResetCOCtrTimebaseActiveEdge(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCOCtrTimebaseDigFltrEnable(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetCOCtrTimebaseDigFltrEnable(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetCOCtrTimebaseDigFltrEnable(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCOCtrTimebaseDigFltrMinPulseWidth(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetCOCtrTimebaseDigFltrMinPulseWidth(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetCOCtrTimebaseDigFltrMinPulseWidth(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCOCtrTimebaseDigFltrTimebaseSrc(taskHandle:Longint; channel:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetCOCtrTimebaseDigFltrTimebaseSrc(taskHandle:Longint; channel:PChar; data:PChar):Longint; stdcall; 
function DAQmxResetCOCtrTimebaseDigFltrTimebaseSrc(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCOCtrTimebaseDigFltrTimebaseRate(taskHandle:Longint; channel:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetCOCtrTimebaseDigFltrTimebaseRate(taskHandle:Longint; channel:PChar; data:Double):Longint; stdcall; 
function DAQmxResetCOCtrTimebaseDigFltrTimebaseRate(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCOCtrTimebaseDigSyncEnable(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetCOCtrTimebaseDigSyncEnable(taskHandle:Longint; channel:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxResetCOCtrTimebaseDigSyncEnable(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCOCount(taskHandle:Longint; channel:PChar; data:PLongint):Longint; stdcall; 
function DAQmxGetCOOutputState(taskHandle:Longint; channel:PChar; var data:DAQmxLevel1):Longint; stdcall; 
function DAQmxGetCOAutoIncrCnt(taskHandle:Longint; channel:PChar; data:PLongint):Longint; stdcall; 
function DAQmxSetCOAutoIncrCnt(taskHandle:Longint; channel:PChar; data:Longint):Longint; stdcall; 
function DAQmxResetCOAutoIncrCnt(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCOCtrTimebaseMasterTimebaseDiv(taskHandle:Longint; channel:PChar; data:PLongint):Longint; stdcall; 
function DAQmxSetCOCtrTimebaseMasterTimebaseDiv(taskHandle:Longint; channel:PChar; data:Longint):Longint; stdcall; 
function DAQmxResetCOCtrTimebaseMasterTimebaseDiv(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCOPulseDone(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxGetCOPrescaler(taskHandle:Longint; channel:PChar; data:PLongint):Longint; stdcall; 
function DAQmxSetCOPrescaler(taskHandle:Longint; channel:PChar; data:Longint):Longint; stdcall; 
function DAQmxResetCOPrescaler(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetCORdyForNewVal(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxGetChanType(taskHandle:Longint; channel:PChar; var data:DAQmxChannelType):Longint; stdcall; 
function DAQmxGetPhysicalChanName(taskHandle:Longint; channel:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxGetChanDescr(taskHandle:Longint; channel:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetChanDescr(taskHandle:Longint; channel:PChar; data:PChar):Longint; stdcall; 
function DAQmxResetChanDescr(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetChanIsGlobal(taskHandle:Longint; channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxGetExportedAIConvClkOutputTerm(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetExportedAIConvClkOutputTerm(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetExportedAIConvClkOutputTerm(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetExportedAIConvClkPulsePolarity(taskHandle:Longint; var data:DAQmxPolarity2):Longint; stdcall; 
function DAQmxGetExported10MHzRefClkOutputTerm(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetExported10MHzRefClkOutputTerm(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetExported10MHzRefClkOutputTerm(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetExported20MHzTimebaseOutputTerm(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetExported20MHzTimebaseOutputTerm(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetExported20MHzTimebaseOutputTerm(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetExportedSampClkOutputBehavior(taskHandle:Longint; var data:DAQmxExportActions3):Longint; stdcall; 
function DAQmxSetExportedSampClkOutputBehavior(taskHandle:Longint; data:DAQmxExportActions3):Longint; stdcall; 
function DAQmxResetExportedSampClkOutputBehavior(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetExportedSampClkOutputTerm(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetExportedSampClkOutputTerm(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetExportedSampClkOutputTerm(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetExportedSampClkPulsePolarity(taskHandle:Longint; var data:DAQmxPolarity2):Longint; stdcall; 
function DAQmxSetExportedSampClkPulsePolarity(taskHandle:Longint; data:DAQmxPolarity2):Longint; stdcall; 
function DAQmxResetExportedSampClkPulsePolarity(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetExportedSampClkTimebaseOutputTerm(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetExportedSampClkTimebaseOutputTerm(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetExportedSampClkTimebaseOutputTerm(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetExportedDividedSampClkTimebaseOutputTerm(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetExportedDividedSampClkTimebaseOutputTerm(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetExportedDividedSampClkTimebaseOutputTerm(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetExportedAdvTrigOutputTerm(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetExportedAdvTrigOutputTerm(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetExportedAdvTrigOutputTerm(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetExportedAdvTrigPulsePolarity(taskHandle:Longint; var data:DAQmxPolarity2):Longint; stdcall; 
function DAQmxGetExportedAdvTrigPulseWidthUnits(taskHandle:Longint; var data:DAQmxDigitalWidthUnits3):Longint; stdcall; 
function DAQmxSetExportedAdvTrigPulseWidthUnits(taskHandle:Longint; data:DAQmxDigitalWidthUnits3):Longint; stdcall; 
function DAQmxResetExportedAdvTrigPulseWidthUnits(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetExportedAdvTrigPulseWidth(taskHandle:Longint; data:PDouble):Longint; stdcall; 
function DAQmxSetExportedAdvTrigPulseWidth(taskHandle:Longint; data:Double):Longint; stdcall; 
function DAQmxResetExportedAdvTrigPulseWidth(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetExportedRefTrigOutputTerm(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetExportedRefTrigOutputTerm(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetExportedRefTrigOutputTerm(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetExportedStartTrigOutputTerm(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetExportedStartTrigOutputTerm(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetExportedStartTrigOutputTerm(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetExportedAdvCmpltEventOutputTerm(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetExportedAdvCmpltEventOutputTerm(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetExportedAdvCmpltEventOutputTerm(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetExportedAdvCmpltEventDelay(taskHandle:Longint; data:PDouble):Longint; stdcall; 
function DAQmxSetExportedAdvCmpltEventDelay(taskHandle:Longint; data:Double):Longint; stdcall; 
function DAQmxResetExportedAdvCmpltEventDelay(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetExportedAdvCmpltEventPulsePolarity(taskHandle:Longint; var data:DAQmxPolarity2):Longint; stdcall; 
function DAQmxSetExportedAdvCmpltEventPulsePolarity(taskHandle:Longint; data:DAQmxPolarity2):Longint; stdcall; 
function DAQmxResetExportedAdvCmpltEventPulsePolarity(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetExportedAdvCmpltEventPulseWidth(taskHandle:Longint; data:PDouble):Longint; stdcall; 
function DAQmxSetExportedAdvCmpltEventPulseWidth(taskHandle:Longint; data:Double):Longint; stdcall; 
function DAQmxResetExportedAdvCmpltEventPulseWidth(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetExportedAIHoldCmpltEventOutputTerm(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetExportedAIHoldCmpltEventOutputTerm(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetExportedAIHoldCmpltEventOutputTerm(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetExportedAIHoldCmpltEventPulsePolarity(taskHandle:Longint; var data:DAQmxPolarity2):Longint; stdcall; 
function DAQmxSetExportedAIHoldCmpltEventPulsePolarity(taskHandle:Longint; data:DAQmxPolarity2):Longint; stdcall; 
function DAQmxResetExportedAIHoldCmpltEventPulsePolarity(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetExportedChangeDetectEventOutputTerm(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetExportedChangeDetectEventOutputTerm(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetExportedChangeDetectEventOutputTerm(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetExportedChangeDetectEventPulsePolarity(taskHandle:Longint; var data:DAQmxPolarity2):Longint; stdcall; 
function DAQmxSetExportedChangeDetectEventPulsePolarity(taskHandle:Longint; data:DAQmxPolarity2):Longint; stdcall; 
function DAQmxResetExportedChangeDetectEventPulsePolarity(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetExportedCtrOutEventOutputTerm(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetExportedCtrOutEventOutputTerm(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetExportedCtrOutEventOutputTerm(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetExportedCtrOutEventOutputBehavior(taskHandle:Longint; var data:DAQmxExportActions2):Longint; stdcall; 
function DAQmxSetExportedCtrOutEventOutputBehavior(taskHandle:Longint; data:DAQmxExportActions2):Longint; stdcall; 
function DAQmxResetExportedCtrOutEventOutputBehavior(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetExportedCtrOutEventPulsePolarity(taskHandle:Longint; var data:DAQmxPolarity2):Longint; stdcall; 
function DAQmxSetExportedCtrOutEventPulsePolarity(taskHandle:Longint; data:DAQmxPolarity2):Longint; stdcall; 
function DAQmxResetExportedCtrOutEventPulsePolarity(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetExportedCtrOutEventToggleIdleState(taskHandle:Longint; var data:DAQmxLevel1):Longint; stdcall; 
function DAQmxSetExportedCtrOutEventToggleIdleState(taskHandle:Longint; data:DAQmxLevel1):Longint; stdcall; 
function DAQmxResetExportedCtrOutEventToggleIdleState(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetExportedHshkEventOutputTerm(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetExportedHshkEventOutputTerm(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetExportedHshkEventOutputTerm(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetExportedHshkEventOutputBehavior(taskHandle:Longint; var data:DAQmxExportActions5):Longint; stdcall; 
function DAQmxSetExportedHshkEventOutputBehavior(taskHandle:Longint; data:DAQmxExportActions5):Longint; stdcall; 
function DAQmxResetExportedHshkEventOutputBehavior(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetExportedHshkEventDelay(taskHandle:Longint; data:PDouble):Longint; stdcall; 
function DAQmxSetExportedHshkEventDelay(taskHandle:Longint; data:Double):Longint; stdcall; 
function DAQmxResetExportedHshkEventDelay(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetExportedHshkEventInterlockedAssertedLvl(taskHandle:Longint; var data:DAQmxLevel1):Longint; stdcall; 
function DAQmxSetExportedHshkEventInterlockedAssertedLvl(taskHandle:Longint; data:DAQmxLevel1):Longint; stdcall; 
function DAQmxResetExportedHshkEventInterlockedAssertedLvl(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetExportedHshkEventInterlockedAssertOnStart(taskHandle:Longint; data:P<not supported>):Longint; stdcall; 
function DAQmxSetExportedHshkEventInterlockedAssertOnStart(taskHandle:Longint; data:<not supported>):Longint; stdcall; 
function DAQmxResetExportedHshkEventInterlockedAssertOnStart(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetExportedHshkEventInterlockedDeassertDelay(taskHandle:Longint; data:PDouble):Longint; stdcall; 
function DAQmxSetExportedHshkEventInterlockedDeassertDelay(taskHandle:Longint; data:Double):Longint; stdcall; 
function DAQmxResetExportedHshkEventInterlockedDeassertDelay(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetExportedHshkEventPulsePolarity(taskHandle:Longint; var data:DAQmxPolarity2):Longint; stdcall; 
function DAQmxSetExportedHshkEventPulsePolarity(taskHandle:Longint; data:DAQmxPolarity2):Longint; stdcall; 
function DAQmxResetExportedHshkEventPulsePolarity(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetExportedHshkEventPulseWidth(taskHandle:Longint; data:PDouble):Longint; stdcall; 
function DAQmxSetExportedHshkEventPulseWidth(taskHandle:Longint; data:Double):Longint; stdcall; 
function DAQmxResetExportedHshkEventPulseWidth(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetExportedRdyForXferEventOutputTerm(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetExportedRdyForXferEventOutputTerm(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetExportedRdyForXferEventOutputTerm(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetExportedRdyForXferEventLvlActiveLvl(taskHandle:Longint; var data:DAQmxPolarity2):Longint; stdcall; 
function DAQmxSetExportedRdyForXferEventLvlActiveLvl(taskHandle:Longint; data:DAQmxPolarity2):Longint; stdcall; 
function DAQmxResetExportedRdyForXferEventLvlActiveLvl(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetExportedSyncPulseEventOutputTerm(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetExportedSyncPulseEventOutputTerm(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetExportedSyncPulseEventOutputTerm(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetExportedWatchdogExpiredEventOutputTerm(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetExportedWatchdogExpiredEventOutputTerm(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetExportedWatchdogExpiredEventOutputTerm(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetDevIsSimulated(device:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxGetDevProductType(device:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxGetDevProductNum(device:PChar; data:PLongint):Longint; stdcall; 
function DAQmxGetDevSerialNum(device:PChar; data:PLongint):Longint; stdcall; 
function DAQmxGetDevAIPhysicalChans(device:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxGetDevAOPhysicalChans(device:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxGetDevDILines(device:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxGetDevDIPorts(device:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxGetDevDOLines(device:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxGetDevDOPorts(device:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxGetDevCIPhysicalChans(device:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxGetDevCOPhysicalChans(device:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxGetDevBusType(device:PChar; var data:DAQmxBusType):Longint; stdcall; 
function DAQmxGetDevPCIBusNum(device:PChar; data:PLongint):Longint; stdcall; 
function DAQmxGetDevPCIDevNum(device:PChar; data:PLongint):Longint; stdcall; 
function DAQmxGetDevPXIChassisNum(device:PChar; data:PLongint):Longint; stdcall; 
function DAQmxGetDevPXISlotNum(device:PChar; data:PLongint):Longint; stdcall; 
function DAQmxGetReadRelativeTo(taskHandle:Longint; var data:DAQmxReadRelativeTo):Longint; stdcall; 
function DAQmxSetReadRelativeTo(taskHandle:Longint; data:DAQmxReadRelativeTo):Longint; stdcall; 
function DAQmxResetReadRelativeTo(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetReadOffset(taskHandle:Longint; data:PLongint):Longint; stdcall; 
function DAQmxSetReadOffset(taskHandle:Longint; data:Longint):Longint; stdcall; 
function DAQmxResetReadOffset(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetReadChannelsToRead(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetReadChannelsToRead(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetReadChannelsToRead(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetReadReadAllAvailSamp(taskHandle:Longint; data:P<not supported>):Longint; stdcall; 
function DAQmxSetReadReadAllAvailSamp(taskHandle:Longint; data:<not supported>):Longint; stdcall; 
function DAQmxResetReadReadAllAvailSamp(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetReadAutoStart(taskHandle:Longint; data:P<not supported>):Longint; stdcall; 
function DAQmxSetReadAutoStart(taskHandle:Longint; data:<not supported>):Longint; stdcall; 
function DAQmxResetReadAutoStart(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetReadOverWrite(taskHandle:Longint; var data:DAQmxOverwriteMode1):Longint; stdcall; 
function DAQmxSetReadOverWrite(taskHandle:Longint; data:DAQmxOverwriteMode1):Longint; stdcall; 
function DAQmxResetReadOverWrite(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetReadCurrReadPos(taskHandle:Longint; data:PLongint):Longint; stdcall; 
function DAQmxGetReadAvailSampPerChan(taskHandle:Longint; data:PLongint):Longint; stdcall; 
function DAQmxGetReadTotalSampPerChanAcquired(taskHandle:Longint; data:PLongint):Longint; stdcall; 
function DAQmxGetReadOverloadedChansExist(taskHandle:Longint; data:P<not supported>):Longint; stdcall; 
function DAQmxGetReadOverloadedChans(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxGetReadChangeDetectHasOverflowed(taskHandle:Longint; data:P<not supported>):Longint; stdcall; 
function DAQmxGetReadRawDataWidth(taskHandle:Longint; data:PLongint):Longint; stdcall; 
function DAQmxGetReadNumChans(taskHandle:Longint; data:PLongint):Longint; stdcall; 
function DAQmxGetReadDigitalLinesBytesPerChan(taskHandle:Longint; data:PLongint):Longint; stdcall; 
function DAQmxGetReadWaitMode(taskHandle:Longint; var data:DAQmxWaitMode):Longint; stdcall; 
function DAQmxSetReadWaitMode(taskHandle:Longint; data:DAQmxWaitMode):Longint; stdcall; 
function DAQmxResetReadWaitMode(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetReadSleepTime(taskHandle:Longint; data:PDouble):Longint; stdcall; 
function DAQmxSetReadSleepTime(taskHandle:Longint; data:Double):Longint; stdcall; 
function DAQmxResetReadSleepTime(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetRealTimeConvLateErrorsToWarnings(taskHandle:Longint; data:P<not supported>):Longint; stdcall; 
function DAQmxSetRealTimeConvLateErrorsToWarnings(taskHandle:Longint; data:<not supported>):Longint; stdcall; 
function DAQmxResetRealTimeConvLateErrorsToWarnings(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetRealTimeNumOfWarmupIters(taskHandle:Longint; data:PLongint):Longint; stdcall; 
function DAQmxSetRealTimeNumOfWarmupIters(taskHandle:Longint; data:Longint):Longint; stdcall; 
function DAQmxResetRealTimeNumOfWarmupIters(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetRealTimeWaitForNextSampClkWaitMode(taskHandle:Longint; var data:DAQmxWaitMode3):Longint; stdcall; 
function DAQmxSetRealTimeWaitForNextSampClkWaitMode(taskHandle:Longint; data:DAQmxWaitMode3):Longint; stdcall; 
function DAQmxResetRealTimeWaitForNextSampClkWaitMode(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetRealTimeReportMissedSamp(taskHandle:Longint; data:P<not supported>):Longint; stdcall; 
function DAQmxSetRealTimeReportMissedSamp(taskHandle:Longint; data:<not supported>):Longint; stdcall; 
function DAQmxResetRealTimeReportMissedSamp(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetRealTimeWriteRecoveryMode(taskHandle:Longint; var data:DAQmxWaitMode4):Longint; stdcall; 
function DAQmxSetRealTimeWriteRecoveryMode(taskHandle:Longint; data:DAQmxWaitMode4):Longint; stdcall; 
function DAQmxResetRealTimeWriteRecoveryMode(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetSwitchChanUsage(switchChannelName:PChar; var data:DAQmxSwitchUsageTypes):Longint; stdcall; 
function DAQmxSetSwitchChanUsage(switchChannelName:PChar; data:DAQmxSwitchUsageTypes):Longint; stdcall; 
function DAQmxGetSwitchChanMaxACCarryCurrent(switchChannelName:PChar; data:PDouble):Longint; stdcall; 
function DAQmxGetSwitchChanMaxACSwitchCurrent(switchChannelName:PChar; data:PDouble):Longint; stdcall; 
function DAQmxGetSwitchChanMaxACCarryPwr(switchChannelName:PChar; data:PDouble):Longint; stdcall; 
function DAQmxGetSwitchChanMaxACSwitchPwr(switchChannelName:PChar; data:PDouble):Longint; stdcall; 
function DAQmxGetSwitchChanMaxDCCarryCurrent(switchChannelName:PChar; data:PDouble):Longint; stdcall; 
function DAQmxGetSwitchChanMaxDCSwitchCurrent(switchChannelName:PChar; data:PDouble):Longint; stdcall; 
function DAQmxGetSwitchChanMaxDCCarryPwr(switchChannelName:PChar; data:PDouble):Longint; stdcall; 
function DAQmxGetSwitchChanMaxDCSwitchPwr(switchChannelName:PChar; data:PDouble):Longint; stdcall; 
function DAQmxGetSwitchChanMaxACVoltage(switchChannelName:PChar; data:PDouble):Longint; stdcall; 
function DAQmxGetSwitchChanMaxDCVoltage(switchChannelName:PChar; data:PDouble):Longint; stdcall; 
function DAQmxGetSwitchChanWireMode(switchChannelName:PChar; data:PLongint):Longint; stdcall; 
function DAQmxGetSwitchChanBandwidth(switchChannelName:PChar; data:PDouble):Longint; stdcall; 
function DAQmxGetSwitchChanImpedance(switchChannelName:PChar; data:PDouble):Longint; stdcall; 
function DAQmxGetSwitchDevSettlingTime(deviceName:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetSwitchDevSettlingTime(deviceName:PChar; data:Double):Longint; stdcall; 
function DAQmxGetSwitchDevAutoConnAnlgBus(deviceName:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetSwitchDevAutoConnAnlgBus(deviceName:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxGetSwitchDevPwrDownLatchRelaysAfterSettling(deviceName:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxSetSwitchDevPwrDownLatchRelaysAfterSettling(deviceName:PChar; data:<not supported>):Longint; stdcall; 
function DAQmxGetSwitchDevSettled(deviceName:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxGetSwitchDevRelayList(deviceName:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxGetSwitchDevNumRelays(deviceName:PChar; data:PLongint):Longint; stdcall; 
function DAQmxGetSwitchDevSwitchChanList(deviceName:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxGetSwitchDevNumSwitchChans(deviceName:PChar; data:PLongint):Longint; stdcall; 
function DAQmxGetSwitchDevNumRows(deviceName:PChar; data:PLongint):Longint; stdcall; 
function DAQmxGetSwitchDevNumColumns(deviceName:PChar; data:PLongint):Longint; stdcall; 
function DAQmxGetSwitchDevTopology(deviceName:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxGetSwitchScanBreakMode(taskHandle:Longint; var data:DAQmxBreakMode):Longint; stdcall; 
function DAQmxSetSwitchScanBreakMode(taskHandle:Longint; data:DAQmxBreakMode):Longint; stdcall; 
function DAQmxResetSwitchScanBreakMode(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetSwitchScanRepeatMode(taskHandle:Longint; var data:DAQmxSwitchScanRepeatMode):Longint; stdcall; 
function DAQmxSetSwitchScanRepeatMode(taskHandle:Longint; data:DAQmxSwitchScanRepeatMode):Longint; stdcall; 
function DAQmxResetSwitchScanRepeatMode(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetSwitchScanWaitingForAdv(taskHandle:Longint; data:P<not supported>):Longint; stdcall; 
function DAQmxGetScaleDescr(scaleName:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetScaleDescr(scaleName:PChar; data:PChar):Longint; stdcall; 
function DAQmxGetScaleScaledUnits(scaleName:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetScaleScaledUnits(scaleName:PChar; data:PChar):Longint; stdcall; 
function DAQmxGetScalePreScaledUnits(scaleName:PChar; var data:DAQmxUnitsPreScaled):Longint; stdcall; 
function DAQmxSetScalePreScaledUnits(scaleName:PChar; data:DAQmxUnitsPreScaled):Longint; stdcall; 
function DAQmxGetScaleType(scaleName:PChar; var data:DAQmxScaleType):Longint; stdcall; 
function DAQmxGetScaleLinSlope(scaleName:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetScaleLinSlope(scaleName:PChar; data:Double):Longint; stdcall; 
function DAQmxGetScaleLinYIntercept(scaleName:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetScaleLinYIntercept(scaleName:PChar; data:Double):Longint; stdcall; 
function DAQmxGetScaleMapScaledMax(scaleName:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetScaleMapScaledMax(scaleName:PChar; data:Double):Longint; stdcall; 
function DAQmxGetScaleMapPreScaledMax(scaleName:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetScaleMapPreScaledMax(scaleName:PChar; data:Double):Longint; stdcall; 
function DAQmxGetScaleMapScaledMin(scaleName:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetScaleMapScaledMin(scaleName:PChar; data:Double):Longint; stdcall; 
function DAQmxGetScaleMapPreScaledMin(scaleName:PChar; data:PDouble):Longint; stdcall; 
function DAQmxSetScaleMapPreScaledMin(scaleName:PChar; data:Double):Longint; stdcall; 
function DAQmxGetScalePolyForwardCoeff(scaleName:PChar; data:PDouble; arraySizeInSamples:Longint):Longint; stdcall; 
function DAQmxSetScalePolyForwardCoeff(scaleName:PChar; data:PDouble; arraySizeInSamples:Longint):Longint; stdcall; 
function DAQmxGetScalePolyReverseCoeff(scaleName:PChar; data:PDouble; arraySizeInSamples:Longint):Longint; stdcall; 
function DAQmxSetScalePolyReverseCoeff(scaleName:PChar; data:PDouble; arraySizeInSamples:Longint):Longint; stdcall; 
function DAQmxGetScaleTableScaledVals(scaleName:PChar; data:PDouble; arraySizeInSamples:Longint):Longint; stdcall; 
function DAQmxSetScaleTableScaledVals(scaleName:PChar; data:PDouble; arraySizeInSamples:Longint):Longint; stdcall; 
function DAQmxGetScaleTablePreScaledVals(scaleName:PChar; data:PDouble; arraySizeInSamples:Longint):Longint; stdcall; 
function DAQmxSetScaleTablePreScaledVals(scaleName:PChar; data:PDouble; arraySizeInSamples:Longint):Longint; stdcall; 
function DAQmxGetSysGlobalChans(data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxGetSysScales(data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxGetSysTasks(data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxGetSysDevNames(data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxGetSysNIDAQMajorVersion(data:PLongint):Longint; stdcall; 
function DAQmxGetSysNIDAQMinorVersion(data:PLongint):Longint; stdcall; 
function DAQmxGetTaskName(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxGetTaskChannels(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxGetTaskNumChans(taskHandle:Longint; data:PLongint):Longint; stdcall; 
function DAQmxGetTaskDevices(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxGetTaskComplete(taskHandle:Longint; data:P<not supported>):Longint; stdcall; 
function DAQmxGetSampQuantSampMode(taskHandle:Longint; var data:DAQmxAcquisitionType):Longint; stdcall; 
function DAQmxSetSampQuantSampMode(taskHandle:Longint; data:DAQmxAcquisitionType):Longint; stdcall; 
function DAQmxResetSampQuantSampMode(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetSampQuantSampPerChan(taskHandle:Longint; data:PLongint):Longint; stdcall; 
function DAQmxSetSampQuantSampPerChan(taskHandle:Longint; data:Longint):Longint; stdcall; 
function DAQmxResetSampQuantSampPerChan(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetSampTimingType(taskHandle:Longint; var data:DAQmxSampleTimingType):Longint; stdcall; 
function DAQmxSetSampTimingType(taskHandle:Longint; data:DAQmxSampleTimingType):Longint; stdcall; 
function DAQmxResetSampTimingType(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetSampClkRate(taskHandle:Longint; data:PDouble):Longint; stdcall; 
function DAQmxSetSampClkRate(taskHandle:Longint; data:Double):Longint; stdcall; 
function DAQmxResetSampClkRate(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetSampClkMaxRate(taskHandle:Longint; data:PDouble):Longint; stdcall; 
function DAQmxGetSampClkSrc(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetSampClkSrc(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetSampClkSrc(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetSampClkActiveEdge(taskHandle:Longint; var data:DAQmxEdge1):Longint; stdcall; 
function DAQmxSetSampClkActiveEdge(taskHandle:Longint; data:DAQmxEdge1):Longint; stdcall; 
function DAQmxResetSampClkActiveEdge(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetSampClkTimebaseDiv(taskHandle:Longint; data:PLongint):Longint; stdcall; 
function DAQmxSetSampClkTimebaseDiv(taskHandle:Longint; data:Longint):Longint; stdcall; 
function DAQmxResetSampClkTimebaseDiv(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetSampClkTimebaseRate(taskHandle:Longint; data:PDouble):Longint; stdcall; 
function DAQmxSetSampClkTimebaseRate(taskHandle:Longint; data:Double):Longint; stdcall; 
function DAQmxResetSampClkTimebaseRate(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetSampClkTimebaseSrc(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetSampClkTimebaseSrc(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetSampClkTimebaseSrc(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetSampClkTimebaseActiveEdge(taskHandle:Longint; var data:DAQmxEdge1):Longint; stdcall; 
function DAQmxSetSampClkTimebaseActiveEdge(taskHandle:Longint; data:DAQmxEdge1):Longint; stdcall; 
function DAQmxResetSampClkTimebaseActiveEdge(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetSampClkTimebaseMasterTimebaseDiv(taskHandle:Longint; data:PLongint):Longint; stdcall; 
function DAQmxSetSampClkTimebaseMasterTimebaseDiv(taskHandle:Longint; data:Longint):Longint; stdcall; 
function DAQmxResetSampClkTimebaseMasterTimebaseDiv(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetSampClkDigFltrEnable(taskHandle:Longint; data:P<not supported>):Longint; stdcall; 
function DAQmxSetSampClkDigFltrEnable(taskHandle:Longint; data:<not supported>):Longint; stdcall; 
function DAQmxResetSampClkDigFltrEnable(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetSampClkDigFltrMinPulseWidth(taskHandle:Longint; data:PDouble):Longint; stdcall; 
function DAQmxSetSampClkDigFltrMinPulseWidth(taskHandle:Longint; data:Double):Longint; stdcall; 
function DAQmxResetSampClkDigFltrMinPulseWidth(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetSampClkDigFltrTimebaseSrc(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetSampClkDigFltrTimebaseSrc(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetSampClkDigFltrTimebaseSrc(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetSampClkDigFltrTimebaseRate(taskHandle:Longint; data:PDouble):Longint; stdcall; 
function DAQmxSetSampClkDigFltrTimebaseRate(taskHandle:Longint; data:Double):Longint; stdcall; 
function DAQmxResetSampClkDigFltrTimebaseRate(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetSampClkDigSyncEnable(taskHandle:Longint; data:P<not supported>):Longint; stdcall; 
function DAQmxSetSampClkDigSyncEnable(taskHandle:Longint; data:<not supported>):Longint; stdcall; 
function DAQmxResetSampClkDigSyncEnable(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetHshkDelayAfterXfer(taskHandle:Longint; data:PDouble):Longint; stdcall; 
function DAQmxSetHshkDelayAfterXfer(taskHandle:Longint; data:Double):Longint; stdcall; 
function DAQmxResetHshkDelayAfterXfer(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetHshkStartCond(taskHandle:Longint; var data:DAQmxHandshakeStartCondition):Longint; stdcall; 
function DAQmxSetHshkStartCond(taskHandle:Longint; data:DAQmxHandshakeStartCondition):Longint; stdcall; 
function DAQmxResetHshkStartCond(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetHshkSampleInputDataWhen(taskHandle:Longint; var data:DAQmxSampleInputDataWhen):Longint; stdcall; 
function DAQmxSetHshkSampleInputDataWhen(taskHandle:Longint; data:DAQmxSampleInputDataWhen):Longint; stdcall; 
function DAQmxResetHshkSampleInputDataWhen(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetChangeDetectDIRisingEdgePhysicalChans(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetChangeDetectDIRisingEdgePhysicalChans(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetChangeDetectDIRisingEdgePhysicalChans(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetChangeDetectDIFallingEdgePhysicalChans(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetChangeDetectDIFallingEdgePhysicalChans(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetChangeDetectDIFallingEdgePhysicalChans(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetOnDemandSimultaneousAOEnable(taskHandle:Longint; data:P<not supported>):Longint; stdcall; 
function DAQmxSetOnDemandSimultaneousAOEnable(taskHandle:Longint; data:<not supported>):Longint; stdcall; 
function DAQmxResetOnDemandSimultaneousAOEnable(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetAIConvRate(taskHandle:Longint; data:PDouble):Longint; stdcall; 
function DAQmxSetAIConvRate(taskHandle:Longint; data:Double):Longint; stdcall; 
function DAQmxResetAIConvRate(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetAIConvMaxRate(taskHandle:Longint; data:PDouble):Longint; stdcall; 
function DAQmxGetAIConvSrc(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetAIConvSrc(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetAIConvSrc(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetAIConvActiveEdge(taskHandle:Longint; var data:DAQmxEdge1):Longint; stdcall; 
function DAQmxSetAIConvActiveEdge(taskHandle:Longint; data:DAQmxEdge1):Longint; stdcall; 
function DAQmxResetAIConvActiveEdge(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetAIConvTimebaseDiv(taskHandle:Longint; data:PLongint):Longint; stdcall; 
function DAQmxSetAIConvTimebaseDiv(taskHandle:Longint; data:Longint):Longint; stdcall; 
function DAQmxResetAIConvTimebaseDiv(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetAIConvTimebaseSrc(taskHandle:Longint; var data:DAQmxMIOAIConvertTbSrc):Longint; stdcall; 
function DAQmxSetAIConvTimebaseSrc(taskHandle:Longint; data:DAQmxMIOAIConvertTbSrc):Longint; stdcall; 
function DAQmxResetAIConvTimebaseSrc(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetMasterTimebaseRate(taskHandle:Longint; data:PDouble):Longint; stdcall; 
function DAQmxSetMasterTimebaseRate(taskHandle:Longint; data:Double):Longint; stdcall; 
function DAQmxResetMasterTimebaseRate(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetMasterTimebaseSrc(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetMasterTimebaseSrc(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetMasterTimebaseSrc(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetRefClkRate(taskHandle:Longint; data:PDouble):Longint; stdcall; 
function DAQmxSetRefClkRate(taskHandle:Longint; data:Double):Longint; stdcall; 
function DAQmxResetRefClkRate(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetRefClkSrc(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetRefClkSrc(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetRefClkSrc(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetSyncPulseSrc(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetSyncPulseSrc(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetSyncPulseSrc(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetSyncPulseSyncTime(taskHandle:Longint; data:PDouble):Longint; stdcall; 
function DAQmxGetSyncPulseMinDelayToStart(taskHandle:Longint; data:PDouble):Longint; stdcall; 
function DAQmxSetSyncPulseMinDelayToStart(taskHandle:Longint; data:Double):Longint; stdcall; 
function DAQmxResetSyncPulseMinDelayToStart(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetDelayFromSampClkDelayUnits(taskHandle:Longint; var data:DAQmxDigitalWidthUnits2):Longint; stdcall; 
function DAQmxSetDelayFromSampClkDelayUnits(taskHandle:Longint; data:DAQmxDigitalWidthUnits2):Longint; stdcall; 
function DAQmxResetDelayFromSampClkDelayUnits(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetDelayFromSampClkDelay(taskHandle:Longint; data:PDouble):Longint; stdcall; 
function DAQmxSetDelayFromSampClkDelay(taskHandle:Longint; data:Double):Longint; stdcall; 
function DAQmxResetDelayFromSampClkDelay(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetStartTrigType(taskHandle:Longint; var data:DAQmxTriggerType8):Longint; stdcall; 
function DAQmxSetStartTrigType(taskHandle:Longint; data:DAQmxTriggerType8):Longint; stdcall; 
function DAQmxResetStartTrigType(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetDigEdgeStartTrigSrc(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetDigEdgeStartTrigSrc(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetDigEdgeStartTrigSrc(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetDigEdgeStartTrigEdge(taskHandle:Longint; var data:DAQmxEdge1):Longint; stdcall; 
function DAQmxSetDigEdgeStartTrigEdge(taskHandle:Longint; data:DAQmxEdge1):Longint; stdcall; 
function DAQmxResetDigEdgeStartTrigEdge(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetDigEdgeStartTrigDigFltrEnable(taskHandle:Longint; data:P<not supported>):Longint; stdcall; 
function DAQmxSetDigEdgeStartTrigDigFltrEnable(taskHandle:Longint; data:<not supported>):Longint; stdcall; 
function DAQmxResetDigEdgeStartTrigDigFltrEnable(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetDigEdgeStartTrigDigFltrMinPulseWidth(taskHandle:Longint; data:PDouble):Longint; stdcall; 
function DAQmxSetDigEdgeStartTrigDigFltrMinPulseWidth(taskHandle:Longint; data:Double):Longint; stdcall; 
function DAQmxResetDigEdgeStartTrigDigFltrMinPulseWidth(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetDigEdgeStartTrigDigFltrTimebaseSrc(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetDigEdgeStartTrigDigFltrTimebaseSrc(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetDigEdgeStartTrigDigFltrTimebaseSrc(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetDigEdgeStartTrigDigFltrTimebaseRate(taskHandle:Longint; data:PDouble):Longint; stdcall; 
function DAQmxSetDigEdgeStartTrigDigFltrTimebaseRate(taskHandle:Longint; data:Double):Longint; stdcall; 
function DAQmxResetDigEdgeStartTrigDigFltrTimebaseRate(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetDigEdgeStartTrigDigSyncEnable(taskHandle:Longint; data:P<not supported>):Longint; stdcall; 
function DAQmxSetDigEdgeStartTrigDigSyncEnable(taskHandle:Longint; data:<not supported>):Longint; stdcall; 
function DAQmxResetDigEdgeStartTrigDigSyncEnable(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetDigPatternStartTrigSrc(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetDigPatternStartTrigSrc(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetDigPatternStartTrigSrc(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetDigPatternStartTrigPattern(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetDigPatternStartTrigPattern(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetDigPatternStartTrigPattern(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetDigPatternStartTrigWhen(taskHandle:Longint; var data:DAQmxDigitalPatternCondition1):Longint; stdcall; 
function DAQmxSetDigPatternStartTrigWhen(taskHandle:Longint; data:DAQmxDigitalPatternCondition1):Longint; stdcall; 
function DAQmxResetDigPatternStartTrigWhen(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetAnlgEdgeStartTrigSrc(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetAnlgEdgeStartTrigSrc(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetAnlgEdgeStartTrigSrc(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetAnlgEdgeStartTrigSlope(taskHandle:Longint; var data:DAQmxSlope1):Longint; stdcall; 
function DAQmxSetAnlgEdgeStartTrigSlope(taskHandle:Longint; data:DAQmxSlope1):Longint; stdcall; 
function DAQmxResetAnlgEdgeStartTrigSlope(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetAnlgEdgeStartTrigLvl(taskHandle:Longint; data:PDouble):Longint; stdcall; 
function DAQmxSetAnlgEdgeStartTrigLvl(taskHandle:Longint; data:Double):Longint; stdcall; 
function DAQmxResetAnlgEdgeStartTrigLvl(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetAnlgEdgeStartTrigHyst(taskHandle:Longint; data:PDouble):Longint; stdcall; 
function DAQmxSetAnlgEdgeStartTrigHyst(taskHandle:Longint; data:Double):Longint; stdcall; 
function DAQmxResetAnlgEdgeStartTrigHyst(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetAnlgEdgeStartTrigCoupling(taskHandle:Longint; var data:DAQmxCoupling2):Longint; stdcall; 
function DAQmxSetAnlgEdgeStartTrigCoupling(taskHandle:Longint; data:DAQmxCoupling2):Longint; stdcall; 
function DAQmxResetAnlgEdgeStartTrigCoupling(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetAnlgWinStartTrigSrc(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetAnlgWinStartTrigSrc(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetAnlgWinStartTrigSrc(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetAnlgWinStartTrigWhen(taskHandle:Longint; var data:DAQmxWindowTriggerCondition1):Longint; stdcall; 
function DAQmxSetAnlgWinStartTrigWhen(taskHandle:Longint; data:DAQmxWindowTriggerCondition1):Longint; stdcall; 
function DAQmxResetAnlgWinStartTrigWhen(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetAnlgWinStartTrigTop(taskHandle:Longint; data:PDouble):Longint; stdcall; 
function DAQmxSetAnlgWinStartTrigTop(taskHandle:Longint; data:Double):Longint; stdcall; 
function DAQmxResetAnlgWinStartTrigTop(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetAnlgWinStartTrigBtm(taskHandle:Longint; data:PDouble):Longint; stdcall; 
function DAQmxSetAnlgWinStartTrigBtm(taskHandle:Longint; data:Double):Longint; stdcall; 
function DAQmxResetAnlgWinStartTrigBtm(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetAnlgWinStartTrigCoupling(taskHandle:Longint; var data:DAQmxCoupling2):Longint; stdcall; 
function DAQmxSetAnlgWinStartTrigCoupling(taskHandle:Longint; data:DAQmxCoupling2):Longint; stdcall; 
function DAQmxResetAnlgWinStartTrigCoupling(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetStartTrigDelay(taskHandle:Longint; data:PDouble):Longint; stdcall; 
function DAQmxSetStartTrigDelay(taskHandle:Longint; data:Double):Longint; stdcall; 
function DAQmxResetStartTrigDelay(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetStartTrigDelayUnits(taskHandle:Longint; var data:DAQmxDigitalWidthUnits1):Longint; stdcall; 
function DAQmxSetStartTrigDelayUnits(taskHandle:Longint; data:DAQmxDigitalWidthUnits1):Longint; stdcall; 
function DAQmxResetStartTrigDelayUnits(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetStartTrigRetriggerable(taskHandle:Longint; data:P<not supported>):Longint; stdcall; 
function DAQmxSetStartTrigRetriggerable(taskHandle:Longint; data:<not supported>):Longint; stdcall; 
function DAQmxResetStartTrigRetriggerable(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetRefTrigType(taskHandle:Longint; var data:DAQmxTriggerType8):Longint; stdcall; 
function DAQmxSetRefTrigType(taskHandle:Longint; data:DAQmxTriggerType8):Longint; stdcall; 
function DAQmxResetRefTrigType(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetRefTrigPretrigSamples(taskHandle:Longint; data:PLongint):Longint; stdcall; 
function DAQmxSetRefTrigPretrigSamples(taskHandle:Longint; data:Longint):Longint; stdcall; 
function DAQmxResetRefTrigPretrigSamples(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetDigEdgeRefTrigSrc(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetDigEdgeRefTrigSrc(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetDigEdgeRefTrigSrc(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetDigEdgeRefTrigEdge(taskHandle:Longint; var data:DAQmxEdge1):Longint; stdcall; 
function DAQmxSetDigEdgeRefTrigEdge(taskHandle:Longint; data:DAQmxEdge1):Longint; stdcall; 
function DAQmxResetDigEdgeRefTrigEdge(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetDigPatternRefTrigSrc(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetDigPatternRefTrigSrc(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetDigPatternRefTrigSrc(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetDigPatternRefTrigPattern(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetDigPatternRefTrigPattern(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetDigPatternRefTrigPattern(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetDigPatternRefTrigWhen(taskHandle:Longint; var data:DAQmxDigitalPatternCondition1):Longint; stdcall; 
function DAQmxSetDigPatternRefTrigWhen(taskHandle:Longint; data:DAQmxDigitalPatternCondition1):Longint; stdcall; 
function DAQmxResetDigPatternRefTrigWhen(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetAnlgEdgeRefTrigSrc(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetAnlgEdgeRefTrigSrc(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetAnlgEdgeRefTrigSrc(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetAnlgEdgeRefTrigSlope(taskHandle:Longint; var data:DAQmxSlope1):Longint; stdcall; 
function DAQmxSetAnlgEdgeRefTrigSlope(taskHandle:Longint; data:DAQmxSlope1):Longint; stdcall; 
function DAQmxResetAnlgEdgeRefTrigSlope(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetAnlgEdgeRefTrigLvl(taskHandle:Longint; data:PDouble):Longint; stdcall; 
function DAQmxSetAnlgEdgeRefTrigLvl(taskHandle:Longint; data:Double):Longint; stdcall; 
function DAQmxResetAnlgEdgeRefTrigLvl(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetAnlgEdgeRefTrigHyst(taskHandle:Longint; data:PDouble):Longint; stdcall; 
function DAQmxSetAnlgEdgeRefTrigHyst(taskHandle:Longint; data:Double):Longint; stdcall; 
function DAQmxResetAnlgEdgeRefTrigHyst(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetAnlgEdgeRefTrigCoupling(taskHandle:Longint; var data:DAQmxCoupling2):Longint; stdcall; 
function DAQmxSetAnlgEdgeRefTrigCoupling(taskHandle:Longint; data:DAQmxCoupling2):Longint; stdcall; 
function DAQmxResetAnlgEdgeRefTrigCoupling(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetAnlgWinRefTrigSrc(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetAnlgWinRefTrigSrc(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetAnlgWinRefTrigSrc(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetAnlgWinRefTrigWhen(taskHandle:Longint; var data:DAQmxWindowTriggerCondition1):Longint; stdcall; 
function DAQmxSetAnlgWinRefTrigWhen(taskHandle:Longint; data:DAQmxWindowTriggerCondition1):Longint; stdcall; 
function DAQmxResetAnlgWinRefTrigWhen(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetAnlgWinRefTrigTop(taskHandle:Longint; data:PDouble):Longint; stdcall; 
function DAQmxSetAnlgWinRefTrigTop(taskHandle:Longint; data:Double):Longint; stdcall; 
function DAQmxResetAnlgWinRefTrigTop(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetAnlgWinRefTrigBtm(taskHandle:Longint; data:PDouble):Longint; stdcall; 
function DAQmxSetAnlgWinRefTrigBtm(taskHandle:Longint; data:Double):Longint; stdcall; 
function DAQmxResetAnlgWinRefTrigBtm(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetAnlgWinRefTrigCoupling(taskHandle:Longint; var data:DAQmxCoupling2):Longint; stdcall; 
function DAQmxSetAnlgWinRefTrigCoupling(taskHandle:Longint; data:DAQmxCoupling2):Longint; stdcall; 
function DAQmxResetAnlgWinRefTrigCoupling(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetAdvTrigType(taskHandle:Longint; var data:DAQmxTriggerType5):Longint; stdcall; 
function DAQmxSetAdvTrigType(taskHandle:Longint; data:DAQmxTriggerType5):Longint; stdcall; 
function DAQmxResetAdvTrigType(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetDigEdgeAdvTrigSrc(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetDigEdgeAdvTrigSrc(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetDigEdgeAdvTrigSrc(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetDigEdgeAdvTrigEdge(taskHandle:Longint; var data:DAQmxEdge1):Longint; stdcall; 
function DAQmxSetDigEdgeAdvTrigEdge(taskHandle:Longint; data:DAQmxEdge1):Longint; stdcall; 
function DAQmxResetDigEdgeAdvTrigEdge(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetDigEdgeAdvTrigDigFltrEnable(taskHandle:Longint; data:P<not supported>):Longint; stdcall; 
function DAQmxSetDigEdgeAdvTrigDigFltrEnable(taskHandle:Longint; data:<not supported>):Longint; stdcall; 
function DAQmxResetDigEdgeAdvTrigDigFltrEnable(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetHshkTrigType(taskHandle:Longint; var data:DAQmxTriggerType9):Longint; stdcall; 
function DAQmxSetHshkTrigType(taskHandle:Longint; data:DAQmxTriggerType9):Longint; stdcall; 
function DAQmxResetHshkTrigType(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetInterlockedHshkTrigSrc(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetInterlockedHshkTrigSrc(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetInterlockedHshkTrigSrc(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetInterlockedHshkTrigAssertedLvl(taskHandle:Longint; var data:DAQmxLevel1):Longint; stdcall; 
function DAQmxSetInterlockedHshkTrigAssertedLvl(taskHandle:Longint; data:DAQmxLevel1):Longint; stdcall; 
function DAQmxResetInterlockedHshkTrigAssertedLvl(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetPauseTrigType(taskHandle:Longint; var data:DAQmxTriggerType6):Longint; stdcall; 
function DAQmxSetPauseTrigType(taskHandle:Longint; data:DAQmxTriggerType6):Longint; stdcall; 
function DAQmxResetPauseTrigType(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetAnlgLvlPauseTrigSrc(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetAnlgLvlPauseTrigSrc(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetAnlgLvlPauseTrigSrc(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetAnlgLvlPauseTrigWhen(taskHandle:Longint; var data:DAQmxActiveLevel):Longint; stdcall; 
function DAQmxSetAnlgLvlPauseTrigWhen(taskHandle:Longint; data:DAQmxActiveLevel):Longint; stdcall; 
function DAQmxResetAnlgLvlPauseTrigWhen(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetAnlgLvlPauseTrigLvl(taskHandle:Longint; data:PDouble):Longint; stdcall; 
function DAQmxSetAnlgLvlPauseTrigLvl(taskHandle:Longint; data:Double):Longint; stdcall; 
function DAQmxResetAnlgLvlPauseTrigLvl(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetAnlgLvlPauseTrigHyst(taskHandle:Longint; data:PDouble):Longint; stdcall; 
function DAQmxSetAnlgLvlPauseTrigHyst(taskHandle:Longint; data:Double):Longint; stdcall; 
function DAQmxResetAnlgLvlPauseTrigHyst(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetAnlgLvlPauseTrigCoupling(taskHandle:Longint; var data:DAQmxCoupling2):Longint; stdcall; 
function DAQmxSetAnlgLvlPauseTrigCoupling(taskHandle:Longint; data:DAQmxCoupling2):Longint; stdcall; 
function DAQmxResetAnlgLvlPauseTrigCoupling(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetAnlgWinPauseTrigSrc(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetAnlgWinPauseTrigSrc(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetAnlgWinPauseTrigSrc(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetAnlgWinPauseTrigWhen(taskHandle:Longint; var data:DAQmxWindowTriggerCondition2):Longint; stdcall; 
function DAQmxSetAnlgWinPauseTrigWhen(taskHandle:Longint; data:DAQmxWindowTriggerCondition2):Longint; stdcall; 
function DAQmxResetAnlgWinPauseTrigWhen(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetAnlgWinPauseTrigTop(taskHandle:Longint; data:PDouble):Longint; stdcall; 
function DAQmxSetAnlgWinPauseTrigTop(taskHandle:Longint; data:Double):Longint; stdcall; 
function DAQmxResetAnlgWinPauseTrigTop(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetAnlgWinPauseTrigBtm(taskHandle:Longint; data:PDouble):Longint; stdcall; 
function DAQmxSetAnlgWinPauseTrigBtm(taskHandle:Longint; data:Double):Longint; stdcall; 
function DAQmxResetAnlgWinPauseTrigBtm(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetAnlgWinPauseTrigCoupling(taskHandle:Longint; var data:DAQmxCoupling2):Longint; stdcall; 
function DAQmxSetAnlgWinPauseTrigCoupling(taskHandle:Longint; data:DAQmxCoupling2):Longint; stdcall; 
function DAQmxResetAnlgWinPauseTrigCoupling(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetDigLvlPauseTrigSrc(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetDigLvlPauseTrigSrc(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetDigLvlPauseTrigSrc(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetDigLvlPauseTrigWhen(taskHandle:Longint; var data:DAQmxLevel1):Longint; stdcall; 
function DAQmxSetDigLvlPauseTrigWhen(taskHandle:Longint; data:DAQmxLevel1):Longint; stdcall; 
function DAQmxResetDigLvlPauseTrigWhen(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetDigLvlPauseTrigDigFltrEnable(taskHandle:Longint; data:P<not supported>):Longint; stdcall; 
function DAQmxSetDigLvlPauseTrigDigFltrEnable(taskHandle:Longint; data:<not supported>):Longint; stdcall; 
function DAQmxResetDigLvlPauseTrigDigFltrEnable(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetDigLvlPauseTrigDigFltrMinPulseWidth(taskHandle:Longint; data:PDouble):Longint; stdcall; 
function DAQmxSetDigLvlPauseTrigDigFltrMinPulseWidth(taskHandle:Longint; data:Double):Longint; stdcall; 
function DAQmxResetDigLvlPauseTrigDigFltrMinPulseWidth(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetDigLvlPauseTrigDigFltrTimebaseSrc(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetDigLvlPauseTrigDigFltrTimebaseSrc(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetDigLvlPauseTrigDigFltrTimebaseSrc(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetDigLvlPauseTrigDigFltrTimebaseRate(taskHandle:Longint; data:PDouble):Longint; stdcall; 
function DAQmxSetDigLvlPauseTrigDigFltrTimebaseRate(taskHandle:Longint; data:Double):Longint; stdcall; 
function DAQmxResetDigLvlPauseTrigDigFltrTimebaseRate(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetDigLvlPauseTrigDigSyncEnable(taskHandle:Longint; data:P<not supported>):Longint; stdcall; 
function DAQmxSetDigLvlPauseTrigDigSyncEnable(taskHandle:Longint; data:<not supported>):Longint; stdcall; 
function DAQmxResetDigLvlPauseTrigDigSyncEnable(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetArmStartTrigType(taskHandle:Longint; var data:DAQmxTriggerType4):Longint; stdcall; 
function DAQmxSetArmStartTrigType(taskHandle:Longint; data:DAQmxTriggerType4):Longint; stdcall; 
function DAQmxResetArmStartTrigType(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetDigEdgeArmStartTrigSrc(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetDigEdgeArmStartTrigSrc(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetDigEdgeArmStartTrigSrc(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetDigEdgeArmStartTrigEdge(taskHandle:Longint; var data:DAQmxEdge1):Longint; stdcall; 
function DAQmxSetDigEdgeArmStartTrigEdge(taskHandle:Longint; data:DAQmxEdge1):Longint; stdcall; 
function DAQmxResetDigEdgeArmStartTrigEdge(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetDigEdgeArmStartTrigDigFltrEnable(taskHandle:Longint; data:P<not supported>):Longint; stdcall; 
function DAQmxSetDigEdgeArmStartTrigDigFltrEnable(taskHandle:Longint; data:<not supported>):Longint; stdcall; 
function DAQmxResetDigEdgeArmStartTrigDigFltrEnable(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetDigEdgeArmStartTrigDigFltrMinPulseWidth(taskHandle:Longint; data:PDouble):Longint; stdcall; 
function DAQmxSetDigEdgeArmStartTrigDigFltrMinPulseWidth(taskHandle:Longint; data:Double):Longint; stdcall; 
function DAQmxResetDigEdgeArmStartTrigDigFltrMinPulseWidth(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetDigEdgeArmStartTrigDigFltrTimebaseSrc(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetDigEdgeArmStartTrigDigFltrTimebaseSrc(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetDigEdgeArmStartTrigDigFltrTimebaseSrc(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetDigEdgeArmStartTrigDigFltrTimebaseRate(taskHandle:Longint; data:PDouble):Longint; stdcall; 
function DAQmxSetDigEdgeArmStartTrigDigFltrTimebaseRate(taskHandle:Longint; data:Double):Longint; stdcall; 
function DAQmxResetDigEdgeArmStartTrigDigFltrTimebaseRate(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetDigEdgeArmStartTrigDigSyncEnable(taskHandle:Longint; data:P<not supported>):Longint; stdcall; 
function DAQmxSetDigEdgeArmStartTrigDigSyncEnable(taskHandle:Longint; data:<not supported>):Longint; stdcall; 
function DAQmxResetDigEdgeArmStartTrigDigSyncEnable(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetWatchdogTimeout(taskHandle:Longint; data:PDouble):Longint; stdcall; 
function DAQmxSetWatchdogTimeout(taskHandle:Longint; data:Double):Longint; stdcall; 
function DAQmxResetWatchdogTimeout(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetWatchdogExpirTrigType(taskHandle:Longint; var data:DAQmxTriggerType4):Longint; stdcall; 
function DAQmxSetWatchdogExpirTrigType(taskHandle:Longint; data:DAQmxTriggerType4):Longint; stdcall; 
function DAQmxResetWatchdogExpirTrigType(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetDigEdgeWatchdogExpirTrigSrc(taskHandle:Longint; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxSetDigEdgeWatchdogExpirTrigSrc(taskHandle:Longint; data:PChar):Longint; stdcall; 
function DAQmxResetDigEdgeWatchdogExpirTrigSrc(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetDigEdgeWatchdogExpirTrigEdge(taskHandle:Longint; var data:DAQmxEdge1):Longint; stdcall; 
function DAQmxSetDigEdgeWatchdogExpirTrigEdge(taskHandle:Longint; data:DAQmxEdge1):Longint; stdcall; 
function DAQmxResetDigEdgeWatchdogExpirTrigEdge(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetWatchdogDOExpirState(taskHandle:Longint; channel:PChar; var data:DAQmxDigitalLineState):Longint; stdcall; 
function DAQmxSetWatchdogDOExpirState(taskHandle:Longint; channel:PChar; data:DAQmxDigitalLineState):Longint; stdcall; 
function DAQmxResetWatchdogDOExpirState(taskHandle:Longint; channel:PChar):Longint; stdcall; 
function DAQmxGetWatchdogHasExpired(taskHandle:Longint; data:P<not supported>):Longint; stdcall; 
function DAQmxGetWriteRelativeTo(taskHandle:Longint; var data:DAQmxWriteRelativeTo):Longint; stdcall; 
function DAQmxSetWriteRelativeTo(taskHandle:Longint; data:DAQmxWriteRelativeTo):Longint; stdcall; 
function DAQmxResetWriteRelativeTo(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetWriteOffset(taskHandle:Longint; data:PLongint):Longint; stdcall; 
function DAQmxSetWriteOffset(taskHandle:Longint; data:Longint):Longint; stdcall; 
function DAQmxResetWriteOffset(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetWriteRegenMode(taskHandle:Longint; var data:DAQmxRegenerationMode1):Longint; stdcall; 
function DAQmxSetWriteRegenMode(taskHandle:Longint; data:DAQmxRegenerationMode1):Longint; stdcall; 
function DAQmxResetWriteRegenMode(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetWriteCurrWritePos(taskHandle:Longint; data:PLongint):Longint; stdcall; 
function DAQmxGetWriteSpaceAvail(taskHandle:Longint; data:PLongint):Longint; stdcall; 
function DAQmxGetWriteTotalSampPerChanGenerated(taskHandle:Longint; data:PLongint):Longint; stdcall; 
function DAQmxGetWriteRawDataWidth(taskHandle:Longint; data:PLongint):Longint; stdcall; 
function DAQmxGetWriteNumChans(taskHandle:Longint; data:PLongint):Longint; stdcall; 
function DAQmxGetWriteWaitMode(taskHandle:Longint; var data:DAQmxWaitMode2):Longint; stdcall; 
function DAQmxSetWriteWaitMode(taskHandle:Longint; data:DAQmxWaitMode2):Longint; stdcall; 
function DAQmxResetWriteWaitMode(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetWriteSleepTime(taskHandle:Longint; data:PDouble):Longint; stdcall; 
function DAQmxSetWriteSleepTime(taskHandle:Longint; data:Double):Longint; stdcall; 
function DAQmxResetWriteSleepTime(taskHandle:Longint):Longint; stdcall; 
function DAQmxGetWriteDigitalLinesBytesPerChan(taskHandle:Longint; data:PLongint):Longint; stdcall; 
function DAQmxGetPhysicalChanTEDSMfgID(physicalChannel:PChar; data:PLongint):Longint; stdcall; 
function DAQmxGetPhysicalChanTEDSModelNum(physicalChannel:PChar; data:PLongint):Longint; stdcall; 
function DAQmxGetPhysicalChanTEDSSerialNum(physicalChannel:PChar; data:PLongint):Longint; stdcall; 
function DAQmxGetPhysicalChanTEDSVersionNum(physicalChannel:PChar; data:PLongint):Longint; stdcall; 
function DAQmxGetPhysicalChanTEDSVersionLetter(physicalChannel:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxGetPhysicalChanTEDSBitStream(physicalChannel:PChar; data:PByte; arraySizeInSamples:Longint):Longint; stdcall; 
function DAQmxGetPhysicalChanTEDSTemplateIDs(physicalChannel:PChar; data:PLongint; arraySizeInSamples:Longint):Longint; stdcall; 
function DAQmxGetPersistedTaskAuthor(taskName:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxGetPersistedTaskAllowInteractiveEditing(taskName:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxGetPersistedTaskAllowInteractiveDeletion(taskName:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxGetPersistedChanAuthor(channel:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxGetPersistedChanAllowInteractiveEditing(channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxGetPersistedChanAllowInteractiveDeletion(channel:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxGetPersistedScaleAuthor(scaleName:PChar; data:PChar; bufferSize:Longint):Longint; stdcall; 
function DAQmxGetPersistedScaleAllowInteractiveEditing(scaleName:PChar; data:P<not supported>):Longint; stdcall; 
function DAQmxGetPersistedScaleAllowInteractiveDeletion(scaleName:PChar; data:P<not supported>):Longint; stdcall; 

implementation

function DAQmxLoadTask; external 'nicaiu.dll';
function DAQmxCreateTask; external 'nicaiu.dll';
function DAQmxAddGlobalChansToTask; external 'nicaiu.dll';
function DAQmxStartTask; external 'nicaiu.dll';
function DAQmxStopTask; external 'nicaiu.dll';
function DAQmxClearTask; external 'nicaiu.dll';
function DAQmxWaitUntilTaskDone; external 'nicaiu.dll';
function DAQmxIsTaskDone; external 'nicaiu.dll' name 'DAQmxIsTaskDone_VB6';
function DAQmxWaitForNextSampleClock; external 'nicaiu.dll' name 'DAQmxWaitForNextSampleClock_VB6';
function DAQmxTaskControl; external 'nicaiu.dll';
function DAQmxGetNthTaskChannel; external 'nicaiu.dll';
function DAQmxRegisterEveryNSamplesEvent; external 'nicaiu.dll' name 'DAQmxRegisterEveryNSamplesEvent_VB6';
function DAQmxRegisterDoneEvent; external 'nicaiu.dll' name 'DAQmxRegisterDoneEvent_VB6';
function DAQmxRegisterSignalEvent; external 'nicaiu.dll' name 'DAQmxRegisterSignalEvent_VB6';
function DAQmxIsReadOrWriteLate; external 'nicaiu.dll';
function DAQmxCreateAIVoltageChan; external 'nicaiu.dll';
function DAQmxCreateAICurrentChan; external 'nicaiu.dll';
function DAQmxCreateAIThrmcplChan; external 'nicaiu.dll';
function DAQmxCreateAIRTDChan; external 'nicaiu.dll';
function DAQmxCreateAIThrmstrChanIex; external 'nicaiu.dll';
function DAQmxCreateAIThrmstrChanVex; external 'nicaiu.dll';
function DAQmxCreateAIFreqVoltageChan; external 'nicaiu.dll';
function DAQmxCreateAIResistanceChan; external 'nicaiu.dll';
function DAQmxCreateAIStrainGageChan; external 'nicaiu.dll';
function DAQmxCreateAIVoltageChanWithExcit; external 'nicaiu.dll';
function DAQmxCreateAITempBuiltInSensorChan; external 'nicaiu.dll';
function DAQmxCreateAIAccelChan; external 'nicaiu.dll';
function DAQmxCreateAIMicrophoneChan; external 'nicaiu.dll';
function DAQmxCreateAIPosLVDTChan; external 'nicaiu.dll';
function DAQmxCreateAIPosRVDTChan; external 'nicaiu.dll';
function DAQmxCreateAIDeviceTempChan; external 'nicaiu.dll';
function DAQmxCreateTEDSAIVoltageChan; external 'nicaiu.dll';
function DAQmxCreateTEDSAICurrentChan; external 'nicaiu.dll';
function DAQmxCreateTEDSAIThrmcplChan; external 'nicaiu.dll';
function DAQmxCreateTEDSAIRTDChan; external 'nicaiu.dll';
function DAQmxCreateTEDSAIThrmstrChanIex; external 'nicaiu.dll';
function DAQmxCreateTEDSAIThrmstrChanVex; external 'nicaiu.dll';
function DAQmxCreateTEDSAIResistanceChan; external 'nicaiu.dll';
function DAQmxCreateTEDSAIStrainGageChan; external 'nicaiu.dll';
function DAQmxCreateTEDSAIVoltageChanWithExcit; external 'nicaiu.dll';
function DAQmxCreateTEDSAIAccelChan; external 'nicaiu.dll';
function DAQmxCreateTEDSAIMicrophoneChan; external 'nicaiu.dll';
function DAQmxCreateTEDSAIPosLVDTChan; external 'nicaiu.dll';
function DAQmxCreateTEDSAIPosRVDTChan; external 'nicaiu.dll';
function DAQmxCreateAOVoltageChan; external 'nicaiu.dll';
function DAQmxCreateAOCurrentChan; external 'nicaiu.dll';
function DAQmxCreateDIChan; external 'nicaiu.dll';
function DAQmxCreateDOChan; external 'nicaiu.dll';
function DAQmxCreateCIFreqChan; external 'nicaiu.dll';
function DAQmxCreateCIPeriodChan; external 'nicaiu.dll';
function DAQmxCreateCICountEdgesChan; external 'nicaiu.dll';
function DAQmxCreateCIPulseWidthChan; external 'nicaiu.dll';
function DAQmxCreateCISemiPeriodChan; external 'nicaiu.dll';
function DAQmxCreateCITwoEdgeSepChan; external 'nicaiu.dll';
function DAQmxCreateCILinEncoderChan; external 'nicaiu.dll';
function DAQmxCreateCIAngEncoderChan; external 'nicaiu.dll';
function DAQmxCreateCIGPSTimestampChan; external 'nicaiu.dll';
function DAQmxCreateCOPulseChanFreq; external 'nicaiu.dll';
function DAQmxCreateCOPulseChanTime; external 'nicaiu.dll';
function DAQmxCreateCOPulseChanTicks; external 'nicaiu.dll';
function DAQmxGetAIChanCalCalDate; external 'nicaiu.dll';
function DAQmxSetAIChanCalCalDate; external 'nicaiu.dll';
function DAQmxGetAIChanCalExpDate; external 'nicaiu.dll';
function DAQmxSetAIChanCalExpDate; external 'nicaiu.dll';
function DAQmxCfgSampClkTiming; external 'nicaiu.dll' name 'DAQmxCfgSampClkTiming_VB6';
function DAQmxCfgHandshakingTiming; external 'nicaiu.dll' name 'DAQmxCfgHandshakingTiming_VB6';
function DAQmxCfgBurstHandshakingTimingImportClock; external 'nicaiu.dll' name 'DAQmxCfgBurstHandshakingTimingImportClock_VB6';
function DAQmxCfgBurstHandshakingTimingExportClock; external 'nicaiu.dll' name 'DAQmxCfgBurstHandshakingTimingExportClock_VB6';
function DAQmxCfgChangeDetectionTiming; external 'nicaiu.dll' name 'DAQmxCfgChangeDetectionTiming_VB6';
function DAQmxCfgImplicitTiming; external 'nicaiu.dll' name 'DAQmxCfgImplicitTiming_VB6';
function DAQmxDisableStartTrig; external 'nicaiu.dll';
function DAQmxCfgDigEdgeStartTrig; external 'nicaiu.dll';
function DAQmxCfgAnlgEdgeStartTrig; external 'nicaiu.dll';
function DAQmxCfgAnlgWindowStartTrig; external 'nicaiu.dll';
function DAQmxCfgDigPatternStartTrig; external 'nicaiu.dll';
function DAQmxDisableRefTrig; external 'nicaiu.dll';
function DAQmxCfgDigEdgeRefTrig; external 'nicaiu.dll';
function DAQmxCfgAnlgEdgeRefTrig; external 'nicaiu.dll';
function DAQmxCfgAnlgWindowRefTrig; external 'nicaiu.dll';
function DAQmxCfgDigPatternRefTrig; external 'nicaiu.dll';
function DAQmxDisableAdvTrig; external 'nicaiu.dll';
function DAQmxCfgDigEdgeAdvTrig; external 'nicaiu.dll';
function DAQmxSendSoftwareTrigger; external 'nicaiu.dll';
function DAQmxReadAnalogF64; external 'nicaiu.dll';
function DAQmxReadAnalogScalarF64; external 'nicaiu.dll';
function DAQmxReadBinaryI16; external 'nicaiu.dll';
function DAQmxReadBinaryI32; external 'nicaiu.dll';
function DAQmxReadDigitalLines; external 'nicaiu.dll';
function DAQmxReadCounterF64; external 'nicaiu.dll';
function DAQmxReadCounterScalarF64; external 'nicaiu.dll';
function DAQmxReadRaw; external 'nicaiu.dll';
function DAQmxGetNthTaskReadChannel; external 'nicaiu.dll';
function DAQmxWriteAnalogF64; external 'nicaiu.dll';
function DAQmxWriteAnalogScalarF64; external 'nicaiu.dll';
function DAQmxWriteBinaryI16; external 'nicaiu.dll';
function DAQmxWriteBinaryI32; external 'nicaiu.dll';
function DAQmxWriteDigitalLines; external 'nicaiu.dll';
function DAQmxWriteCtrFreq; external 'nicaiu.dll';
function DAQmxWriteCtrFreqScalar; external 'nicaiu.dll';
function DAQmxWriteCtrTime; external 'nicaiu.dll';
function DAQmxWriteCtrTimeScalar; external 'nicaiu.dll';
function DAQmxWriteCtrTicks; external 'nicaiu.dll';
function DAQmxWriteCtrTicksScalar; external 'nicaiu.dll';
function DAQmxWriteRaw; external 'nicaiu.dll';
function DAQmxExportSignal; external 'nicaiu.dll';
function DAQmxCreateLinScale; external 'nicaiu.dll';
function DAQmxCreateMapScale; external 'nicaiu.dll';
function DAQmxCreatePolynomialScale; external 'nicaiu.dll';
function DAQmxCreateTableScale; external 'nicaiu.dll';
function DAQmxCalculateReversePolyCoeff; external 'nicaiu.dll';
function DAQmxCfgInputBuffer; external 'nicaiu.dll';
function DAQmxCfgOutputBuffer; external 'nicaiu.dll';
function DAQmxSwitchCreateScanList; external 'nicaiu.dll';
function DAQmxSwitchConnect; external 'nicaiu.dll';
function DAQmxSwitchConnectMulti; external 'nicaiu.dll';
function DAQmxSwitchDisconnect; external 'nicaiu.dll';
function DAQmxSwitchDisconnectMulti; external 'nicaiu.dll';
function DAQmxSwitchDisconnectAll; external 'nicaiu.dll';
function DAQmxSwitchSetTopologyAndReset; external 'nicaiu.dll';
function DAQmxSwitchFindPath; external 'nicaiu.dll';
function DAQmxSwitchOpenRelays; external 'nicaiu.dll';
function DAQmxSwitchCloseRelays; external 'nicaiu.dll';
function DAQmxSwitchGetSingleRelayCount; external 'nicaiu.dll';
function DAQmxSwitchGetMultiRelayCount; external 'nicaiu.dll';
function DAQmxSwitchGetSingleRelayPos; external 'nicaiu.dll';
function DAQmxSwitchGetMultiRelayPos; external 'nicaiu.dll';
function DAQmxSwitchWaitForSettling; external 'nicaiu.dll';
function DAQmxConnectTerms; external 'nicaiu.dll';
function DAQmxDisconnectTerms; external 'nicaiu.dll';
function DAQmxTristateOutputTerm; external 'nicaiu.dll';
function DAQmxResetDevice; external 'nicaiu.dll';
function DAQmxCreateWatchdogTimerTask; external 'nicaiu.dll' name 'DAQmxCreateWatchdogTimerTask_VB6';
function DAQmxControlWatchdogTask; external 'nicaiu.dll';
function DAQmxSelfCal; external 'nicaiu.dll';
function DAQmxPerformBridgeOffsetNullingCal; external 'nicaiu.dll';
function DAQmxGetSelfCalLastDateAndTime; external 'nicaiu.dll';
function DAQmxGetExtCalLastDateAndTime; external 'nicaiu.dll';
function DAQmxRestoreLastExtCalConst; external 'nicaiu.dll';
function DAQmxESeriesCalAdjust; external 'nicaiu.dll';
function DAQmxMSeriesCalAdjust; external 'nicaiu.dll';
function DAQmxSSeriesCalAdjust; external 'nicaiu.dll';
function DAQmxSCBaseboardCalAdjust; external 'nicaiu.dll';
function DAQmxAOSeriesCalAdjust; external 'nicaiu.dll';
function DAQmxDeviceSupportsCal; external 'nicaiu.dll' name 'DAQmxDeviceSupportsCal_VB6';
function DAQmxInitExtCal; external 'nicaiu.dll';
function DAQmxCloseExtCal; external 'nicaiu.dll';
function DAQmxChangeExtCalPassword; external 'nicaiu.dll';
function DAQmxAdjustDSAAICal; external 'nicaiu.dll';
function DAQmxAdjustDSAAOCal; external 'nicaiu.dll';
function DAQmxAdjustDSATimebaseCal; external 'nicaiu.dll';
function DAQmxAdjust4204Cal; external 'nicaiu.dll';
function DAQmxAdjust4220Cal; external 'nicaiu.dll';
function DAQmxAdjust4224Cal; external 'nicaiu.dll';
function DAQmxAdjust4225Cal; external 'nicaiu.dll';
function DAQmxSetup1102Cal; external 'nicaiu.dll';
function DAQmxAdjust1102Cal; external 'nicaiu.dll';
function DAQmxSetup1125Cal; external 'nicaiu.dll';
function DAQmxAdjust1125Cal; external 'nicaiu.dll';
function DAQmxSetup1520Cal; external 'nicaiu.dll';
function DAQmxAdjust1520Cal; external 'nicaiu.dll';
function DAQmxConfigureTEDS; external 'nicaiu.dll';
function DAQmxClearTEDS; external 'nicaiu.dll';
function DAQmxWriteToTEDSFromArray; external 'nicaiu.dll';
function DAQmxWriteToTEDSFromFile; external 'nicaiu.dll';
function DAQmxSaveTask; external 'nicaiu.dll';
function DAQmxSaveGlobalChan; external 'nicaiu.dll';
function DAQmxSaveScale; external 'nicaiu.dll';
function DAQmxDeleteSavedTask; external 'nicaiu.dll';
function DAQmxDeleteSavedGlobalChan; external 'nicaiu.dll';
function DAQmxDeleteSavedScale; external 'nicaiu.dll';
function DAQmxSetDigitalPowerUpStates; external 'nicaiu.dll' name 'DAQmxSetDigitalPowerUpStates_VB6';
function DAQmxSetAnalogPowerUpStates; external 'nicaiu.dll' name 'DAQmxSetAnalogPowerUpStates_VB6';
function DAQmxGetErrorString; external 'nicaiu.dll';
function DAQmxGetExtendedErrorInfo; external 'nicaiu.dll';
function DAQmxGetBufInputBufSize; external 'nicaiu.dll';
function DAQmxSetBufInputBufSize; external 'nicaiu.dll';
function DAQmxResetBufInputBufSize; external 'nicaiu.dll';
function DAQmxGetBufInputOnbrdBufSize; external 'nicaiu.dll';
function DAQmxGetBufOutputBufSize; external 'nicaiu.dll';
function DAQmxSetBufOutputBufSize; external 'nicaiu.dll';
function DAQmxResetBufOutputBufSize; external 'nicaiu.dll';
function DAQmxGetBufOutputOnbrdBufSize; external 'nicaiu.dll';
function DAQmxSetBufOutputOnbrdBufSize; external 'nicaiu.dll';
function DAQmxResetBufOutputOnbrdBufSize; external 'nicaiu.dll';
function DAQmxGetSelfCalSupported; external 'nicaiu.dll' name 'DAQmxGetSelfCalSupported_VB6';
function DAQmxGetSelfCalLastTemp; external 'nicaiu.dll';
function DAQmxGetExtCalRecommendedInterval; external 'nicaiu.dll';
function DAQmxGetExtCalLastTemp; external 'nicaiu.dll';
function DAQmxGetCalUserDefinedInfo; external 'nicaiu.dll';
function DAQmxSetCalUserDefinedInfo; external 'nicaiu.dll';
function DAQmxGetCalUserDefinedInfoMaxSize; external 'nicaiu.dll';
function DAQmxGetCalDevTemp; external 'nicaiu.dll';
function DAQmxGetAIMax; external 'nicaiu.dll';
function DAQmxSetAIMax; external 'nicaiu.dll';
function DAQmxResetAIMax; external 'nicaiu.dll';
function DAQmxGetAIMin; external 'nicaiu.dll';
function DAQmxSetAIMin; external 'nicaiu.dll';
function DAQmxResetAIMin; external 'nicaiu.dll';
function DAQmxGetAICustomScaleName; external 'nicaiu.dll';
function DAQmxSetAICustomScaleName; external 'nicaiu.dll';
function DAQmxResetAICustomScaleName; external 'nicaiu.dll';
function DAQmxGetAIMeasType; external 'nicaiu.dll';
function DAQmxGetAIVoltageUnits; external 'nicaiu.dll';
function DAQmxSetAIVoltageUnits; external 'nicaiu.dll';
function DAQmxResetAIVoltageUnits; external 'nicaiu.dll';
function DAQmxGetAITempUnits; external 'nicaiu.dll';
function DAQmxSetAITempUnits; external 'nicaiu.dll';
function DAQmxResetAITempUnits; external 'nicaiu.dll';
function DAQmxGetAIThrmcplType; external 'nicaiu.dll';
function DAQmxSetAIThrmcplType; external 'nicaiu.dll';
function DAQmxResetAIThrmcplType; external 'nicaiu.dll';
function DAQmxGetAIThrmcplCJCSrc; external 'nicaiu.dll';
function DAQmxGetAIThrmcplCJCVal; external 'nicaiu.dll';
function DAQmxSetAIThrmcplCJCVal; external 'nicaiu.dll';
function DAQmxResetAIThrmcplCJCVal; external 'nicaiu.dll';
function DAQmxGetAIThrmcplCJCChan; external 'nicaiu.dll';
function DAQmxGetAIRTDType; external 'nicaiu.dll';
function DAQmxSetAIRTDType; external 'nicaiu.dll';
function DAQmxResetAIRTDType; external 'nicaiu.dll';
function DAQmxGetAIRTDR0; external 'nicaiu.dll';
function DAQmxSetAIRTDR0; external 'nicaiu.dll';
function DAQmxResetAIRTDR0; external 'nicaiu.dll';
function DAQmxGetAIRTDA; external 'nicaiu.dll';
function DAQmxSetAIRTDA; external 'nicaiu.dll';
function DAQmxResetAIRTDA; external 'nicaiu.dll';
function DAQmxGetAIRTDB; external 'nicaiu.dll';
function DAQmxSetAIRTDB; external 'nicaiu.dll';
function DAQmxResetAIRTDB; external 'nicaiu.dll';
function DAQmxGetAIRTDC; external 'nicaiu.dll';
function DAQmxSetAIRTDC; external 'nicaiu.dll';
function DAQmxResetAIRTDC; external 'nicaiu.dll';
function DAQmxGetAIThrmstrA; external 'nicaiu.dll';
function DAQmxSetAIThrmstrA; external 'nicaiu.dll';
function DAQmxResetAIThrmstrA; external 'nicaiu.dll';
function DAQmxGetAIThrmstrB; external 'nicaiu.dll';
function DAQmxSetAIThrmstrB; external 'nicaiu.dll';
function DAQmxResetAIThrmstrB; external 'nicaiu.dll';
function DAQmxGetAIThrmstrC; external 'nicaiu.dll';
function DAQmxSetAIThrmstrC; external 'nicaiu.dll';
function DAQmxResetAIThrmstrC; external 'nicaiu.dll';
function DAQmxGetAIThrmstrR1; external 'nicaiu.dll';
function DAQmxSetAIThrmstrR1; external 'nicaiu.dll';
function DAQmxResetAIThrmstrR1; external 'nicaiu.dll';
function DAQmxGetAIForceReadFromChan; external 'nicaiu.dll' name 'DAQmxGetAIForceReadFromChan_VB6';
function DAQmxSetAIForceReadFromChan; external 'nicaiu.dll';
function DAQmxResetAIForceReadFromChan; external 'nicaiu.dll';
function DAQmxGetAICurrentUnits; external 'nicaiu.dll';
function DAQmxSetAICurrentUnits; external 'nicaiu.dll';
function DAQmxResetAICurrentUnits; external 'nicaiu.dll';
function DAQmxGetAIStrainUnits; external 'nicaiu.dll';
function DAQmxSetAIStrainUnits; external 'nicaiu.dll';
function DAQmxResetAIStrainUnits; external 'nicaiu.dll';
function DAQmxGetAIStrainGageGageFactor; external 'nicaiu.dll';
function DAQmxSetAIStrainGageGageFactor; external 'nicaiu.dll';
function DAQmxResetAIStrainGageGageFactor; external 'nicaiu.dll';
function DAQmxGetAIStrainGagePoissonRatio; external 'nicaiu.dll';
function DAQmxSetAIStrainGagePoissonRatio; external 'nicaiu.dll';
function DAQmxResetAIStrainGagePoissonRatio; external 'nicaiu.dll';
function DAQmxGetAIStrainGageCfg; external 'nicaiu.dll';
function DAQmxSetAIStrainGageCfg; external 'nicaiu.dll';
function DAQmxResetAIStrainGageCfg; external 'nicaiu.dll';
function DAQmxGetAIResistanceUnits; external 'nicaiu.dll';
function DAQmxSetAIResistanceUnits; external 'nicaiu.dll';
function DAQmxResetAIResistanceUnits; external 'nicaiu.dll';
function DAQmxGetAIFreqUnits; external 'nicaiu.dll';
function DAQmxSetAIFreqUnits; external 'nicaiu.dll';
function DAQmxResetAIFreqUnits; external 'nicaiu.dll';
function DAQmxGetAIFreqThreshVoltage; external 'nicaiu.dll';
function DAQmxSetAIFreqThreshVoltage; external 'nicaiu.dll';
function DAQmxResetAIFreqThreshVoltage; external 'nicaiu.dll';
function DAQmxGetAIFreqHyst; external 'nicaiu.dll';
function DAQmxSetAIFreqHyst; external 'nicaiu.dll';
function DAQmxResetAIFreqHyst; external 'nicaiu.dll';
function DAQmxGetAILVDTUnits; external 'nicaiu.dll';
function DAQmxSetAILVDTUnits; external 'nicaiu.dll';
function DAQmxResetAILVDTUnits; external 'nicaiu.dll';
function DAQmxGetAILVDTSensitivity; external 'nicaiu.dll';
function DAQmxSetAILVDTSensitivity; external 'nicaiu.dll';
function DAQmxResetAILVDTSensitivity; external 'nicaiu.dll';
function DAQmxGetAILVDTSensitivityUnits; external 'nicaiu.dll';
function DAQmxSetAILVDTSensitivityUnits; external 'nicaiu.dll';
function DAQmxResetAILVDTSensitivityUnits; external 'nicaiu.dll';
function DAQmxGetAIRVDTUnits; external 'nicaiu.dll';
function DAQmxSetAIRVDTUnits; external 'nicaiu.dll';
function DAQmxResetAIRVDTUnits; external 'nicaiu.dll';
function DAQmxGetAIRVDTSensitivity; external 'nicaiu.dll';
function DAQmxSetAIRVDTSensitivity; external 'nicaiu.dll';
function DAQmxResetAIRVDTSensitivity; external 'nicaiu.dll';
function DAQmxGetAIRVDTSensitivityUnits; external 'nicaiu.dll';
function DAQmxSetAIRVDTSensitivityUnits; external 'nicaiu.dll';
function DAQmxResetAIRVDTSensitivityUnits; external 'nicaiu.dll';
function DAQmxGetAISoundPressureMaxSoundPressureLvl; external 'nicaiu.dll';
function DAQmxSetAISoundPressureMaxSoundPressureLvl; external 'nicaiu.dll';
function DAQmxResetAISoundPressureMaxSoundPressureLvl; external 'nicaiu.dll';
function DAQmxGetAISoundPressureUnits; external 'nicaiu.dll';
function DAQmxSetAISoundPressureUnits; external 'nicaiu.dll';
function DAQmxResetAISoundPressureUnits; external 'nicaiu.dll';
function DAQmxGetAIMicrophoneSensitivity; external 'nicaiu.dll';
function DAQmxSetAIMicrophoneSensitivity; external 'nicaiu.dll';
function DAQmxResetAIMicrophoneSensitivity; external 'nicaiu.dll';
function DAQmxGetAIAccelUnits; external 'nicaiu.dll';
function DAQmxSetAIAccelUnits; external 'nicaiu.dll';
function DAQmxResetAIAccelUnits; external 'nicaiu.dll';
function DAQmxGetAIAccelSensitivity; external 'nicaiu.dll';
function DAQmxSetAIAccelSensitivity; external 'nicaiu.dll';
function DAQmxResetAIAccelSensitivity; external 'nicaiu.dll';
function DAQmxGetAIAccelSensitivityUnits; external 'nicaiu.dll';
function DAQmxSetAIAccelSensitivityUnits; external 'nicaiu.dll';
function DAQmxResetAIAccelSensitivityUnits; external 'nicaiu.dll';
function DAQmxGetAITEDSUnits; external 'nicaiu.dll';
function DAQmxGetAICoupling; external 'nicaiu.dll';
function DAQmxSetAICoupling; external 'nicaiu.dll';
function DAQmxResetAICoupling; external 'nicaiu.dll';
function DAQmxGetAIImpedance; external 'nicaiu.dll';
function DAQmxSetAIImpedance; external 'nicaiu.dll';
function DAQmxResetAIImpedance; external 'nicaiu.dll';
function DAQmxGetAITermCfg; external 'nicaiu.dll';
function DAQmxSetAITermCfg; external 'nicaiu.dll';
function DAQmxResetAITermCfg; external 'nicaiu.dll';
function DAQmxGetAIInputSrc; external 'nicaiu.dll';
function DAQmxSetAIInputSrc; external 'nicaiu.dll';
function DAQmxResetAIInputSrc; external 'nicaiu.dll';
function DAQmxGetAIResistanceCfg; external 'nicaiu.dll';
function DAQmxSetAIResistanceCfg; external 'nicaiu.dll';
function DAQmxResetAIResistanceCfg; external 'nicaiu.dll';
function DAQmxGetAILeadWireResistance; external 'nicaiu.dll';
function DAQmxSetAILeadWireResistance; external 'nicaiu.dll';
function DAQmxResetAILeadWireResistance; external 'nicaiu.dll';
function DAQmxGetAIBridgeCfg; external 'nicaiu.dll';
function DAQmxSetAIBridgeCfg; external 'nicaiu.dll';
function DAQmxResetAIBridgeCfg; external 'nicaiu.dll';
function DAQmxGetAIBridgeNomResistance; external 'nicaiu.dll';
function DAQmxSetAIBridgeNomResistance; external 'nicaiu.dll';
function DAQmxResetAIBridgeNomResistance; external 'nicaiu.dll';
function DAQmxGetAIBridgeInitialVoltage; external 'nicaiu.dll';
function DAQmxSetAIBridgeInitialVoltage; external 'nicaiu.dll';
function DAQmxResetAIBridgeInitialVoltage; external 'nicaiu.dll';
function DAQmxGetAIBridgeShuntCalEnable; external 'nicaiu.dll' name 'DAQmxGetAIBridgeShuntCalEnable_VB6';
function DAQmxSetAIBridgeShuntCalEnable; external 'nicaiu.dll';
function DAQmxResetAIBridgeShuntCalEnable; external 'nicaiu.dll';
function DAQmxGetAIBridgeShuntCalSelect; external 'nicaiu.dll';
function DAQmxSetAIBridgeShuntCalSelect; external 'nicaiu.dll';
function DAQmxResetAIBridgeShuntCalSelect; external 'nicaiu.dll';
function DAQmxGetAIBridgeShuntCalGainAdjust; external 'nicaiu.dll';
function DAQmxSetAIBridgeShuntCalGainAdjust; external 'nicaiu.dll';
function DAQmxResetAIBridgeShuntCalGainAdjust; external 'nicaiu.dll';
function DAQmxGetAIBridgeBalanceCoarsePot; external 'nicaiu.dll';
function DAQmxSetAIBridgeBalanceCoarsePot; external 'nicaiu.dll';
function DAQmxResetAIBridgeBalanceCoarsePot; external 'nicaiu.dll';
function DAQmxGetAIBridgeBalanceFinePot; external 'nicaiu.dll';
function DAQmxSetAIBridgeBalanceFinePot; external 'nicaiu.dll';
function DAQmxResetAIBridgeBalanceFinePot; external 'nicaiu.dll';
function DAQmxGetAICurrentShuntLoc; external 'nicaiu.dll';
function DAQmxSetAICurrentShuntLoc; external 'nicaiu.dll';
function DAQmxResetAICurrentShuntLoc; external 'nicaiu.dll';
function DAQmxGetAICurrentShuntResistance; external 'nicaiu.dll';
function DAQmxSetAICurrentShuntResistance; external 'nicaiu.dll';
function DAQmxResetAICurrentShuntResistance; external 'nicaiu.dll';
function DAQmxGetAIExcitSrc; external 'nicaiu.dll';
function DAQmxSetAIExcitSrc; external 'nicaiu.dll';
function DAQmxResetAIExcitSrc; external 'nicaiu.dll';
function DAQmxGetAIExcitVal; external 'nicaiu.dll';
function DAQmxSetAIExcitVal; external 'nicaiu.dll';
function DAQmxResetAIExcitVal; external 'nicaiu.dll';
function DAQmxGetAIExcitUseForScaling; external 'nicaiu.dll' name 'DAQmxGetAIExcitUseForScaling_VB6';
function DAQmxSetAIExcitUseForScaling; external 'nicaiu.dll';
function DAQmxResetAIExcitUseForScaling; external 'nicaiu.dll';
function DAQmxGetAIExcitUseMultiplexed; external 'nicaiu.dll' name 'DAQmxGetAIExcitUseMultiplexed_VB6';
function DAQmxSetAIExcitUseMultiplexed; external 'nicaiu.dll';
function DAQmxResetAIExcitUseMultiplexed; external 'nicaiu.dll';
function DAQmxGetAIExcitActualVal; external 'nicaiu.dll';
function DAQmxSetAIExcitActualVal; external 'nicaiu.dll';
function DAQmxResetAIExcitActualVal; external 'nicaiu.dll';
function DAQmxGetAIExcitDCorAC; external 'nicaiu.dll';
function DAQmxSetAIExcitDCorAC; external 'nicaiu.dll';
function DAQmxResetAIExcitDCorAC; external 'nicaiu.dll';
function DAQmxGetAIExcitVoltageOrCurrent; external 'nicaiu.dll';
function DAQmxSetAIExcitVoltageOrCurrent; external 'nicaiu.dll';
function DAQmxResetAIExcitVoltageOrCurrent; external 'nicaiu.dll';
function DAQmxGetAIACExcitFreq; external 'nicaiu.dll';
function DAQmxSetAIACExcitFreq; external 'nicaiu.dll';
function DAQmxResetAIACExcitFreq; external 'nicaiu.dll';
function DAQmxGetAIACExcitSyncEnable; external 'nicaiu.dll' name 'DAQmxGetAIACExcitSyncEnable_VB6';
function DAQmxSetAIACExcitSyncEnable; external 'nicaiu.dll';
function DAQmxResetAIACExcitSyncEnable; external 'nicaiu.dll';
function DAQmxGetAIACExcitWireMode; external 'nicaiu.dll';
function DAQmxSetAIACExcitWireMode; external 'nicaiu.dll';
function DAQmxResetAIACExcitWireMode; external 'nicaiu.dll';
function DAQmxGetAIAtten; external 'nicaiu.dll';
function DAQmxSetAIAtten; external 'nicaiu.dll';
function DAQmxResetAIAtten; external 'nicaiu.dll';
function DAQmxGetAILowpassEnable; external 'nicaiu.dll' name 'DAQmxGetAILowpassEnable_VB6';
function DAQmxSetAILowpassEnable; external 'nicaiu.dll';
function DAQmxResetAILowpassEnable; external 'nicaiu.dll';
function DAQmxGetAILowpassCutoffFreq; external 'nicaiu.dll';
function DAQmxSetAILowpassCutoffFreq; external 'nicaiu.dll';
function DAQmxResetAILowpassCutoffFreq; external 'nicaiu.dll';
function DAQmxGetAILowpassSwitchCapClkSrc; external 'nicaiu.dll';
function DAQmxSetAILowpassSwitchCapClkSrc; external 'nicaiu.dll';
function DAQmxResetAILowpassSwitchCapClkSrc; external 'nicaiu.dll';
function DAQmxGetAILowpassSwitchCapExtClkFreq; external 'nicaiu.dll';
function DAQmxSetAILowpassSwitchCapExtClkFreq; external 'nicaiu.dll';
function DAQmxResetAILowpassSwitchCapExtClkFreq; external 'nicaiu.dll';
function DAQmxGetAILowpassSwitchCapExtClkDiv; external 'nicaiu.dll';
function DAQmxSetAILowpassSwitchCapExtClkDiv; external 'nicaiu.dll';
function DAQmxResetAILowpassSwitchCapExtClkDiv; external 'nicaiu.dll';
function DAQmxGetAILowpassSwitchCapOutClkDiv; external 'nicaiu.dll';
function DAQmxSetAILowpassSwitchCapOutClkDiv; external 'nicaiu.dll';
function DAQmxResetAILowpassSwitchCapOutClkDiv; external 'nicaiu.dll';
function DAQmxGetAIResolutionUnits; external 'nicaiu.dll';
function DAQmxGetAIResolution; external 'nicaiu.dll';
function DAQmxGetAIRawSampSize; external 'nicaiu.dll';
function DAQmxGetAIRawSampJustification; external 'nicaiu.dll';
function DAQmxGetAIDitherEnable; external 'nicaiu.dll' name 'DAQmxGetAIDitherEnable_VB6';
function DAQmxSetAIDitherEnable; external 'nicaiu.dll';
function DAQmxResetAIDitherEnable; external 'nicaiu.dll';
function DAQmxGetAIChanCalHasValidCalInfo; external 'nicaiu.dll' name 'DAQmxGetAIChanCalHasValidCalInfo_VB6';
function DAQmxGetAIChanCalEnableCal; external 'nicaiu.dll' name 'DAQmxGetAIChanCalEnableCal_VB6';
function DAQmxSetAIChanCalEnableCal; external 'nicaiu.dll';
function DAQmxResetAIChanCalEnableCal; external 'nicaiu.dll';
function DAQmxGetAIChanCalApplyCalIfExp; external 'nicaiu.dll' name 'DAQmxGetAIChanCalApplyCalIfExp_VB6';
function DAQmxSetAIChanCalApplyCalIfExp; external 'nicaiu.dll';
function DAQmxResetAIChanCalApplyCalIfExp; external 'nicaiu.dll';
function DAQmxGetAIChanCalScaleType; external 'nicaiu.dll';
function DAQmxSetAIChanCalScaleType; external 'nicaiu.dll';
function DAQmxResetAIChanCalScaleType; external 'nicaiu.dll';
function DAQmxGetAIChanCalTablePreScaledVals; external 'nicaiu.dll';
function DAQmxSetAIChanCalTablePreScaledVals; external 'nicaiu.dll';
function DAQmxResetAIChanCalTablePreScaledVals; external 'nicaiu.dll';
function DAQmxGetAIChanCalTableScaledVals; external 'nicaiu.dll';
function DAQmxSetAIChanCalTableScaledVals; external 'nicaiu.dll';
function DAQmxResetAIChanCalTableScaledVals; external 'nicaiu.dll';
function DAQmxGetAIChanCalPolyForwardCoeff; external 'nicaiu.dll';
function DAQmxSetAIChanCalPolyForwardCoeff; external 'nicaiu.dll';
function DAQmxResetAIChanCalPolyForwardCoeff; external 'nicaiu.dll';
function DAQmxGetAIChanCalPolyReverseCoeff; external 'nicaiu.dll';
function DAQmxSetAIChanCalPolyReverseCoeff; external 'nicaiu.dll';
function DAQmxResetAIChanCalPolyReverseCoeff; external 'nicaiu.dll';
function DAQmxGetAIChanCalOperatorName; external 'nicaiu.dll';
function DAQmxSetAIChanCalOperatorName; external 'nicaiu.dll';
function DAQmxResetAIChanCalOperatorName; external 'nicaiu.dll';
function DAQmxGetAIChanCalDesc; external 'nicaiu.dll';
function DAQmxSetAIChanCalDesc; external 'nicaiu.dll';
function DAQmxResetAIChanCalDesc; external 'nicaiu.dll';
function DAQmxGetAIChanCalVerifRefVals; external 'nicaiu.dll';
function DAQmxSetAIChanCalVerifRefVals; external 'nicaiu.dll';
function DAQmxResetAIChanCalVerifRefVals; external 'nicaiu.dll';
function DAQmxGetAIChanCalVerifAcqVals; external 'nicaiu.dll';
function DAQmxSetAIChanCalVerifAcqVals; external 'nicaiu.dll';
function DAQmxResetAIChanCalVerifAcqVals; external 'nicaiu.dll';
function DAQmxGetAIRngHigh; external 'nicaiu.dll';
function DAQmxSetAIRngHigh; external 'nicaiu.dll';
function DAQmxResetAIRngHigh; external 'nicaiu.dll';
function DAQmxGetAIRngLow; external 'nicaiu.dll';
function DAQmxSetAIRngLow; external 'nicaiu.dll';
function DAQmxResetAIRngLow; external 'nicaiu.dll';
function DAQmxGetAIGain; external 'nicaiu.dll';
function DAQmxSetAIGain; external 'nicaiu.dll';
function DAQmxResetAIGain; external 'nicaiu.dll';
function DAQmxGetAISampAndHoldEnable; external 'nicaiu.dll' name 'DAQmxGetAISampAndHoldEnable_VB6';
function DAQmxSetAISampAndHoldEnable; external 'nicaiu.dll';
function DAQmxResetAISampAndHoldEnable; external 'nicaiu.dll';
function DAQmxGetAIAutoZeroMode; external 'nicaiu.dll';
function DAQmxSetAIAutoZeroMode; external 'nicaiu.dll';
function DAQmxResetAIAutoZeroMode; external 'nicaiu.dll';
function DAQmxGetAIDataXferMech; external 'nicaiu.dll';
function DAQmxSetAIDataXferMech; external 'nicaiu.dll';
function DAQmxResetAIDataXferMech; external 'nicaiu.dll';
function DAQmxGetAIDataXferReqCond; external 'nicaiu.dll';
function DAQmxSetAIDataXferReqCond; external 'nicaiu.dll';
function DAQmxResetAIDataXferReqCond; external 'nicaiu.dll';
function DAQmxGetAIDataXferCustomThreshold; external 'nicaiu.dll';
function DAQmxSetAIDataXferCustomThreshold; external 'nicaiu.dll';
function DAQmxResetAIDataXferCustomThreshold; external 'nicaiu.dll';
function DAQmxGetAIMemMapEnable; external 'nicaiu.dll' name 'DAQmxGetAIMemMapEnable_VB6';
function DAQmxSetAIMemMapEnable; external 'nicaiu.dll';
function DAQmxResetAIMemMapEnable; external 'nicaiu.dll';
function DAQmxGetAIRawDataCompressionType; external 'nicaiu.dll';
function DAQmxSetAIRawDataCompressionType; external 'nicaiu.dll';
function DAQmxResetAIRawDataCompressionType; external 'nicaiu.dll';
function DAQmxGetAILossyLSBRemovalCompressedSampSize; external 'nicaiu.dll';
function DAQmxSetAILossyLSBRemovalCompressedSampSize; external 'nicaiu.dll';
function DAQmxResetAILossyLSBRemovalCompressedSampSize; external 'nicaiu.dll';
function DAQmxGetAIDevScalingCoeff; external 'nicaiu.dll';
function DAQmxGetAIEnhancedAliasRejectionEnable; external 'nicaiu.dll' name 'DAQmxGetAIEnhancedAliasRejectionEnable_VB6';
function DAQmxSetAIEnhancedAliasRejectionEnable; external 'nicaiu.dll';
function DAQmxResetAIEnhancedAliasRejectionEnable; external 'nicaiu.dll';
function DAQmxGetAOMax; external 'nicaiu.dll';
function DAQmxSetAOMax; external 'nicaiu.dll';
function DAQmxResetAOMax; external 'nicaiu.dll';
function DAQmxGetAOMin; external 'nicaiu.dll';
function DAQmxSetAOMin; external 'nicaiu.dll';
function DAQmxResetAOMin; external 'nicaiu.dll';
function DAQmxGetAOCustomScaleName; external 'nicaiu.dll';
function DAQmxSetAOCustomScaleName; external 'nicaiu.dll';
function DAQmxResetAOCustomScaleName; external 'nicaiu.dll';
function DAQmxGetAOOutputType; external 'nicaiu.dll';
function DAQmxGetAOVoltageUnits; external 'nicaiu.dll';
function DAQmxSetAOVoltageUnits; external 'nicaiu.dll';
function DAQmxResetAOVoltageUnits; external 'nicaiu.dll';
function DAQmxGetAOCurrentUnits; external 'nicaiu.dll';
function DAQmxSetAOCurrentUnits; external 'nicaiu.dll';
function DAQmxResetAOCurrentUnits; external 'nicaiu.dll';
function DAQmxGetAOOutputImpedance; external 'nicaiu.dll';
function DAQmxSetAOOutputImpedance; external 'nicaiu.dll';
function DAQmxResetAOOutputImpedance; external 'nicaiu.dll';
function DAQmxGetAOLoadImpedance; external 'nicaiu.dll';
function DAQmxSetAOLoadImpedance; external 'nicaiu.dll';
function DAQmxResetAOLoadImpedance; external 'nicaiu.dll';
function DAQmxGetAOIdleOutputBehavior; external 'nicaiu.dll';
function DAQmxSetAOIdleOutputBehavior; external 'nicaiu.dll';
function DAQmxResetAOIdleOutputBehavior; external 'nicaiu.dll';
function DAQmxGetAOTermCfg; external 'nicaiu.dll';
function DAQmxSetAOTermCfg; external 'nicaiu.dll';
function DAQmxResetAOTermCfg; external 'nicaiu.dll';
function DAQmxGetAOResolutionUnits; external 'nicaiu.dll';
function DAQmxSetAOResolutionUnits; external 'nicaiu.dll';
function DAQmxResetAOResolutionUnits; external 'nicaiu.dll';
function DAQmxGetAOResolution; external 'nicaiu.dll';
function DAQmxGetAODACRngHigh; external 'nicaiu.dll';
function DAQmxSetAODACRngHigh; external 'nicaiu.dll';
function DAQmxResetAODACRngHigh; external 'nicaiu.dll';
function DAQmxGetAODACRngLow; external 'nicaiu.dll';
function DAQmxSetAODACRngLow; external 'nicaiu.dll';
function DAQmxResetAODACRngLow; external 'nicaiu.dll';
function DAQmxGetAODACRefConnToGnd; external 'nicaiu.dll' name 'DAQmxGetAODACRefConnToGnd_VB6';
function DAQmxSetAODACRefConnToGnd; external 'nicaiu.dll';
function DAQmxResetAODACRefConnToGnd; external 'nicaiu.dll';
function DAQmxGetAODACRefAllowConnToGnd; external 'nicaiu.dll' name 'DAQmxGetAODACRefAllowConnToGnd_VB6';
function DAQmxSetAODACRefAllowConnToGnd; external 'nicaiu.dll';
function DAQmxResetAODACRefAllowConnToGnd; external 'nicaiu.dll';
function DAQmxGetAODACRefSrc; external 'nicaiu.dll';
function DAQmxSetAODACRefSrc; external 'nicaiu.dll';
function DAQmxResetAODACRefSrc; external 'nicaiu.dll';
function DAQmxGetAODACRefExtSrc; external 'nicaiu.dll';
function DAQmxSetAODACRefExtSrc; external 'nicaiu.dll';
function DAQmxResetAODACRefExtSrc; external 'nicaiu.dll';
function DAQmxGetAODACRefVal; external 'nicaiu.dll';
function DAQmxSetAODACRefVal; external 'nicaiu.dll';
function DAQmxResetAODACRefVal; external 'nicaiu.dll';
function DAQmxGetAODACOffsetSrc; external 'nicaiu.dll';
function DAQmxSetAODACOffsetSrc; external 'nicaiu.dll';
function DAQmxResetAODACOffsetSrc; external 'nicaiu.dll';
function DAQmxGetAODACOffsetExtSrc; external 'nicaiu.dll';
function DAQmxSetAODACOffsetExtSrc; external 'nicaiu.dll';
function DAQmxResetAODACOffsetExtSrc; external 'nicaiu.dll';
function DAQmxGetAODACOffsetVal; external 'nicaiu.dll';
function DAQmxSetAODACOffsetVal; external 'nicaiu.dll';
function DAQmxResetAODACOffsetVal; external 'nicaiu.dll';
function DAQmxGetAOReglitchEnable; external 'nicaiu.dll' name 'DAQmxGetAOReglitchEnable_VB6';
function DAQmxSetAOReglitchEnable; external 'nicaiu.dll';
function DAQmxResetAOReglitchEnable; external 'nicaiu.dll';
function DAQmxGetAOGain; external 'nicaiu.dll';
function DAQmxSetAOGain; external 'nicaiu.dll';
function DAQmxResetAOGain; external 'nicaiu.dll';
function DAQmxGetAOUseOnlyOnBrdMem; external 'nicaiu.dll' name 'DAQmxGetAOUseOnlyOnBrdMem_VB6';
function DAQmxSetAOUseOnlyOnBrdMem; external 'nicaiu.dll';
function DAQmxResetAOUseOnlyOnBrdMem; external 'nicaiu.dll';
function DAQmxGetAODataXferMech; external 'nicaiu.dll';
function DAQmxSetAODataXferMech; external 'nicaiu.dll';
function DAQmxResetAODataXferMech; external 'nicaiu.dll';
function DAQmxGetAODataXferReqCond; external 'nicaiu.dll';
function DAQmxSetAODataXferReqCond; external 'nicaiu.dll';
function DAQmxResetAODataXferReqCond; external 'nicaiu.dll';
function DAQmxGetAOMemMapEnable; external 'nicaiu.dll' name 'DAQmxGetAOMemMapEnable_VB6';
function DAQmxSetAOMemMapEnable; external 'nicaiu.dll';
function DAQmxResetAOMemMapEnable; external 'nicaiu.dll';
function DAQmxGetAODevScalingCoeff; external 'nicaiu.dll';
function DAQmxGetAOEnhancedImageRejectionEnable; external 'nicaiu.dll' name 'DAQmxGetAOEnhancedImageRejectionEnable_VB6';
function DAQmxSetAOEnhancedImageRejectionEnable; external 'nicaiu.dll';
function DAQmxResetAOEnhancedImageRejectionEnable; external 'nicaiu.dll';
function DAQmxGetDIInvertLines; external 'nicaiu.dll' name 'DAQmxGetDIInvertLines_VB6';
function DAQmxSetDIInvertLines; external 'nicaiu.dll';
function DAQmxResetDIInvertLines; external 'nicaiu.dll';
function DAQmxGetDINumLines; external 'nicaiu.dll';
function DAQmxGetDIDigFltrEnable; external 'nicaiu.dll' name 'DAQmxGetDIDigFltrEnable_VB6';
function DAQmxSetDIDigFltrEnable; external 'nicaiu.dll';
function DAQmxResetDIDigFltrEnable; external 'nicaiu.dll';
function DAQmxGetDIDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxSetDIDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxResetDIDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxGetDITristate; external 'nicaiu.dll' name 'DAQmxGetDITristate_VB6';
function DAQmxSetDITristate; external 'nicaiu.dll';
function DAQmxResetDITristate; external 'nicaiu.dll';
function DAQmxGetDIDataXferMech; external 'nicaiu.dll';
function DAQmxSetDIDataXferMech; external 'nicaiu.dll';
function DAQmxResetDIDataXferMech; external 'nicaiu.dll';
function DAQmxGetDIDataXferReqCond; external 'nicaiu.dll';
function DAQmxSetDIDataXferReqCond; external 'nicaiu.dll';
function DAQmxResetDIDataXferReqCond; external 'nicaiu.dll';
function DAQmxGetDOOutputDriveType; external 'nicaiu.dll';
function DAQmxSetDOOutputDriveType; external 'nicaiu.dll';
function DAQmxResetDOOutputDriveType; external 'nicaiu.dll';
function DAQmxGetDOInvertLines; external 'nicaiu.dll' name 'DAQmxGetDOInvertLines_VB6';
function DAQmxSetDOInvertLines; external 'nicaiu.dll';
function DAQmxResetDOInvertLines; external 'nicaiu.dll';
function DAQmxGetDONumLines; external 'nicaiu.dll';
function DAQmxGetDOTristate; external 'nicaiu.dll' name 'DAQmxGetDOTristate_VB6';
function DAQmxSetDOTristate; external 'nicaiu.dll';
function DAQmxResetDOTristate; external 'nicaiu.dll';
function DAQmxGetDOUseOnlyOnBrdMem; external 'nicaiu.dll' name 'DAQmxGetDOUseOnlyOnBrdMem_VB6';
function DAQmxSetDOUseOnlyOnBrdMem; external 'nicaiu.dll';
function DAQmxResetDOUseOnlyOnBrdMem; external 'nicaiu.dll';
function DAQmxGetDODataXferMech; external 'nicaiu.dll';
function DAQmxSetDODataXferMech; external 'nicaiu.dll';
function DAQmxResetDODataXferMech; external 'nicaiu.dll';
function DAQmxGetDODataXferReqCond; external 'nicaiu.dll';
function DAQmxSetDODataXferReqCond; external 'nicaiu.dll';
function DAQmxResetDODataXferReqCond; external 'nicaiu.dll';
function DAQmxGetCIMax; external 'nicaiu.dll';
function DAQmxSetCIMax; external 'nicaiu.dll';
function DAQmxResetCIMax; external 'nicaiu.dll';
function DAQmxGetCIMin; external 'nicaiu.dll';
function DAQmxSetCIMin; external 'nicaiu.dll';
function DAQmxResetCIMin; external 'nicaiu.dll';
function DAQmxGetCICustomScaleName; external 'nicaiu.dll';
function DAQmxSetCICustomScaleName; external 'nicaiu.dll';
function DAQmxResetCICustomScaleName; external 'nicaiu.dll';
function DAQmxGetCIMeasType; external 'nicaiu.dll';
function DAQmxGetCIFreqUnits; external 'nicaiu.dll';
function DAQmxSetCIFreqUnits; external 'nicaiu.dll';
function DAQmxResetCIFreqUnits; external 'nicaiu.dll';
function DAQmxGetCIFreqTerm; external 'nicaiu.dll';
function DAQmxSetCIFreqTerm; external 'nicaiu.dll';
function DAQmxResetCIFreqTerm; external 'nicaiu.dll';
function DAQmxGetCIFreqStartingEdge; external 'nicaiu.dll';
function DAQmxSetCIFreqStartingEdge; external 'nicaiu.dll';
function DAQmxResetCIFreqStartingEdge; external 'nicaiu.dll';
function DAQmxGetCIFreqMeasMeth; external 'nicaiu.dll';
function DAQmxSetCIFreqMeasMeth; external 'nicaiu.dll';
function DAQmxResetCIFreqMeasMeth; external 'nicaiu.dll';
function DAQmxGetCIFreqMeasTime; external 'nicaiu.dll';
function DAQmxSetCIFreqMeasTime; external 'nicaiu.dll';
function DAQmxResetCIFreqMeasTime; external 'nicaiu.dll';
function DAQmxGetCIFreqDiv; external 'nicaiu.dll';
function DAQmxSetCIFreqDiv; external 'nicaiu.dll';
function DAQmxResetCIFreqDiv; external 'nicaiu.dll';
function DAQmxGetCIFreqDigFltrEnable; external 'nicaiu.dll' name 'DAQmxGetCIFreqDigFltrEnable_VB6';
function DAQmxSetCIFreqDigFltrEnable; external 'nicaiu.dll';
function DAQmxResetCIFreqDigFltrEnable; external 'nicaiu.dll';
function DAQmxGetCIFreqDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxSetCIFreqDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxResetCIFreqDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxGetCIFreqDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxSetCIFreqDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxResetCIFreqDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxGetCIFreqDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxSetCIFreqDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxResetCIFreqDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxGetCIFreqDigSyncEnable; external 'nicaiu.dll' name 'DAQmxGetCIFreqDigSyncEnable_VB6';
function DAQmxSetCIFreqDigSyncEnable; external 'nicaiu.dll';
function DAQmxResetCIFreqDigSyncEnable; external 'nicaiu.dll';
function DAQmxGetCIPeriodUnits; external 'nicaiu.dll';
function DAQmxSetCIPeriodUnits; external 'nicaiu.dll';
function DAQmxResetCIPeriodUnits; external 'nicaiu.dll';
function DAQmxGetCIPeriodTerm; external 'nicaiu.dll';
function DAQmxSetCIPeriodTerm; external 'nicaiu.dll';
function DAQmxResetCIPeriodTerm; external 'nicaiu.dll';
function DAQmxGetCIPeriodStartingEdge; external 'nicaiu.dll';
function DAQmxSetCIPeriodStartingEdge; external 'nicaiu.dll';
function DAQmxResetCIPeriodStartingEdge; external 'nicaiu.dll';
function DAQmxGetCIPeriodMeasMeth; external 'nicaiu.dll';
function DAQmxSetCIPeriodMeasMeth; external 'nicaiu.dll';
function DAQmxResetCIPeriodMeasMeth; external 'nicaiu.dll';
function DAQmxGetCIPeriodMeasTime; external 'nicaiu.dll';
function DAQmxSetCIPeriodMeasTime; external 'nicaiu.dll';
function DAQmxResetCIPeriodMeasTime; external 'nicaiu.dll';
function DAQmxGetCIPeriodDiv; external 'nicaiu.dll';
function DAQmxSetCIPeriodDiv; external 'nicaiu.dll';
function DAQmxResetCIPeriodDiv; external 'nicaiu.dll';
function DAQmxGetCIPeriodDigFltrEnable; external 'nicaiu.dll' name 'DAQmxGetCIPeriodDigFltrEnable_VB6';
function DAQmxSetCIPeriodDigFltrEnable; external 'nicaiu.dll';
function DAQmxResetCIPeriodDigFltrEnable; external 'nicaiu.dll';
function DAQmxGetCIPeriodDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxSetCIPeriodDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxResetCIPeriodDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxGetCIPeriodDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxSetCIPeriodDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxResetCIPeriodDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxGetCIPeriodDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxSetCIPeriodDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxResetCIPeriodDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxGetCIPeriodDigSyncEnable; external 'nicaiu.dll' name 'DAQmxGetCIPeriodDigSyncEnable_VB6';
function DAQmxSetCIPeriodDigSyncEnable; external 'nicaiu.dll';
function DAQmxResetCIPeriodDigSyncEnable; external 'nicaiu.dll';
function DAQmxGetCICountEdgesTerm; external 'nicaiu.dll';
function DAQmxSetCICountEdgesTerm; external 'nicaiu.dll';
function DAQmxResetCICountEdgesTerm; external 'nicaiu.dll';
function DAQmxGetCICountEdgesDir; external 'nicaiu.dll';
function DAQmxSetCICountEdgesDir; external 'nicaiu.dll';
function DAQmxResetCICountEdgesDir; external 'nicaiu.dll';
function DAQmxGetCICountEdgesDirTerm; external 'nicaiu.dll';
function DAQmxSetCICountEdgesDirTerm; external 'nicaiu.dll';
function DAQmxResetCICountEdgesDirTerm; external 'nicaiu.dll';
function DAQmxGetCICountEdgesCountDirDigFltrEnable; external 'nicaiu.dll' name 'DAQmxGetCICountEdgesCountDirDigFltrEnable_VB6';
function DAQmxSetCICountEdgesCountDirDigFltrEnable; external 'nicaiu.dll';
function DAQmxResetCICountEdgesCountDirDigFltrEnable; external 'nicaiu.dll';
function DAQmxGetCICountEdgesCountDirDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxSetCICountEdgesCountDirDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxResetCICountEdgesCountDirDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxGetCICountEdgesCountDirDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxSetCICountEdgesCountDirDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxResetCICountEdgesCountDirDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxGetCICountEdgesCountDirDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxSetCICountEdgesCountDirDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxResetCICountEdgesCountDirDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxGetCICountEdgesCountDirDigSyncEnable; external 'nicaiu.dll' name 'DAQmxGetCICountEdgesCountDirDigSyncEnable_VB6';
function DAQmxSetCICountEdgesCountDirDigSyncEnable; external 'nicaiu.dll';
function DAQmxResetCICountEdgesCountDirDigSyncEnable; external 'nicaiu.dll';
function DAQmxGetCICountEdgesInitialCnt; external 'nicaiu.dll';
function DAQmxSetCICountEdgesInitialCnt; external 'nicaiu.dll';
function DAQmxResetCICountEdgesInitialCnt; external 'nicaiu.dll';
function DAQmxGetCICountEdgesActiveEdge; external 'nicaiu.dll';
function DAQmxSetCICountEdgesActiveEdge; external 'nicaiu.dll';
function DAQmxResetCICountEdgesActiveEdge; external 'nicaiu.dll';
function DAQmxGetCICountEdgesDigFltrEnable; external 'nicaiu.dll' name 'DAQmxGetCICountEdgesDigFltrEnable_VB6';
function DAQmxSetCICountEdgesDigFltrEnable; external 'nicaiu.dll';
function DAQmxResetCICountEdgesDigFltrEnable; external 'nicaiu.dll';
function DAQmxGetCICountEdgesDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxSetCICountEdgesDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxResetCICountEdgesDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxGetCICountEdgesDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxSetCICountEdgesDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxResetCICountEdgesDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxGetCICountEdgesDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxSetCICountEdgesDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxResetCICountEdgesDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxGetCICountEdgesDigSyncEnable; external 'nicaiu.dll' name 'DAQmxGetCICountEdgesDigSyncEnable_VB6';
function DAQmxSetCICountEdgesDigSyncEnable; external 'nicaiu.dll';
function DAQmxResetCICountEdgesDigSyncEnable; external 'nicaiu.dll';
function DAQmxGetCIAngEncoderUnits; external 'nicaiu.dll';
function DAQmxSetCIAngEncoderUnits; external 'nicaiu.dll';
function DAQmxResetCIAngEncoderUnits; external 'nicaiu.dll';
function DAQmxGetCIAngEncoderPulsesPerRev; external 'nicaiu.dll';
function DAQmxSetCIAngEncoderPulsesPerRev; external 'nicaiu.dll';
function DAQmxResetCIAngEncoderPulsesPerRev; external 'nicaiu.dll';
function DAQmxGetCIAngEncoderInitialAngle; external 'nicaiu.dll';
function DAQmxSetCIAngEncoderInitialAngle; external 'nicaiu.dll';
function DAQmxResetCIAngEncoderInitialAngle; external 'nicaiu.dll';
function DAQmxGetCILinEncoderUnits; external 'nicaiu.dll';
function DAQmxSetCILinEncoderUnits; external 'nicaiu.dll';
function DAQmxResetCILinEncoderUnits; external 'nicaiu.dll';
function DAQmxGetCILinEncoderDistPerPulse; external 'nicaiu.dll';
function DAQmxSetCILinEncoderDistPerPulse; external 'nicaiu.dll';
function DAQmxResetCILinEncoderDistPerPulse; external 'nicaiu.dll';
function DAQmxGetCILinEncoderInitialPos; external 'nicaiu.dll';
function DAQmxSetCILinEncoderInitialPos; external 'nicaiu.dll';
function DAQmxResetCILinEncoderInitialPos; external 'nicaiu.dll';
function DAQmxGetCIEncoderDecodingType; external 'nicaiu.dll';
function DAQmxSetCIEncoderDecodingType; external 'nicaiu.dll';
function DAQmxResetCIEncoderDecodingType; external 'nicaiu.dll';
function DAQmxGetCIEncoderAInputTerm; external 'nicaiu.dll';
function DAQmxSetCIEncoderAInputTerm; external 'nicaiu.dll';
function DAQmxResetCIEncoderAInputTerm; external 'nicaiu.dll';
function DAQmxGetCIEncoderAInputDigFltrEnable; external 'nicaiu.dll' name 'DAQmxGetCIEncoderAInputDigFltrEnable_VB6';
function DAQmxSetCIEncoderAInputDigFltrEnable; external 'nicaiu.dll';
function DAQmxResetCIEncoderAInputDigFltrEnable; external 'nicaiu.dll';
function DAQmxGetCIEncoderAInputDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxSetCIEncoderAInputDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxResetCIEncoderAInputDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxGetCIEncoderAInputDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxSetCIEncoderAInputDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxResetCIEncoderAInputDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxGetCIEncoderAInputDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxSetCIEncoderAInputDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxResetCIEncoderAInputDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxGetCIEncoderAInputDigSyncEnable; external 'nicaiu.dll' name 'DAQmxGetCIEncoderAInputDigSyncEnable_VB6';
function DAQmxSetCIEncoderAInputDigSyncEnable; external 'nicaiu.dll';
function DAQmxResetCIEncoderAInputDigSyncEnable; external 'nicaiu.dll';
function DAQmxGetCIEncoderBInputTerm; external 'nicaiu.dll';
function DAQmxSetCIEncoderBInputTerm; external 'nicaiu.dll';
function DAQmxResetCIEncoderBInputTerm; external 'nicaiu.dll';
function DAQmxGetCIEncoderBInputDigFltrEnable; external 'nicaiu.dll' name 'DAQmxGetCIEncoderBInputDigFltrEnable_VB6';
function DAQmxSetCIEncoderBInputDigFltrEnable; external 'nicaiu.dll';
function DAQmxResetCIEncoderBInputDigFltrEnable; external 'nicaiu.dll';
function DAQmxGetCIEncoderBInputDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxSetCIEncoderBInputDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxResetCIEncoderBInputDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxGetCIEncoderBInputDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxSetCIEncoderBInputDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxResetCIEncoderBInputDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxGetCIEncoderBInputDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxSetCIEncoderBInputDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxResetCIEncoderBInputDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxGetCIEncoderBInputDigSyncEnable; external 'nicaiu.dll' name 'DAQmxGetCIEncoderBInputDigSyncEnable_VB6';
function DAQmxSetCIEncoderBInputDigSyncEnable; external 'nicaiu.dll';
function DAQmxResetCIEncoderBInputDigSyncEnable; external 'nicaiu.dll';
function DAQmxGetCIEncoderZInputTerm; external 'nicaiu.dll';
function DAQmxSetCIEncoderZInputTerm; external 'nicaiu.dll';
function DAQmxResetCIEncoderZInputTerm; external 'nicaiu.dll';
function DAQmxGetCIEncoderZInputDigFltrEnable; external 'nicaiu.dll' name 'DAQmxGetCIEncoderZInputDigFltrEnable_VB6';
function DAQmxSetCIEncoderZInputDigFltrEnable; external 'nicaiu.dll';
function DAQmxResetCIEncoderZInputDigFltrEnable; external 'nicaiu.dll';
function DAQmxGetCIEncoderZInputDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxSetCIEncoderZInputDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxResetCIEncoderZInputDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxGetCIEncoderZInputDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxSetCIEncoderZInputDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxResetCIEncoderZInputDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxGetCIEncoderZInputDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxSetCIEncoderZInputDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxResetCIEncoderZInputDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxGetCIEncoderZInputDigSyncEnable; external 'nicaiu.dll' name 'DAQmxGetCIEncoderZInputDigSyncEnable_VB6';
function DAQmxSetCIEncoderZInputDigSyncEnable; external 'nicaiu.dll';
function DAQmxResetCIEncoderZInputDigSyncEnable; external 'nicaiu.dll';
function DAQmxGetCIEncoderZIndexEnable; external 'nicaiu.dll' name 'DAQmxGetCIEncoderZIndexEnable_VB6';
function DAQmxSetCIEncoderZIndexEnable; external 'nicaiu.dll';
function DAQmxResetCIEncoderZIndexEnable; external 'nicaiu.dll';
function DAQmxGetCIEncoderZIndexVal; external 'nicaiu.dll';
function DAQmxSetCIEncoderZIndexVal; external 'nicaiu.dll';
function DAQmxResetCIEncoderZIndexVal; external 'nicaiu.dll';
function DAQmxGetCIEncoderZIndexPhase; external 'nicaiu.dll';
function DAQmxSetCIEncoderZIndexPhase; external 'nicaiu.dll';
function DAQmxResetCIEncoderZIndexPhase; external 'nicaiu.dll';
function DAQmxGetCIPulseWidthUnits; external 'nicaiu.dll';
function DAQmxSetCIPulseWidthUnits; external 'nicaiu.dll';
function DAQmxResetCIPulseWidthUnits; external 'nicaiu.dll';
function DAQmxGetCIPulseWidthTerm; external 'nicaiu.dll';
function DAQmxSetCIPulseWidthTerm; external 'nicaiu.dll';
function DAQmxResetCIPulseWidthTerm; external 'nicaiu.dll';
function DAQmxGetCIPulseWidthStartingEdge; external 'nicaiu.dll';
function DAQmxSetCIPulseWidthStartingEdge; external 'nicaiu.dll';
function DAQmxResetCIPulseWidthStartingEdge; external 'nicaiu.dll';
function DAQmxGetCIPulseWidthDigFltrEnable; external 'nicaiu.dll' name 'DAQmxGetCIPulseWidthDigFltrEnable_VB6';
function DAQmxSetCIPulseWidthDigFltrEnable; external 'nicaiu.dll';
function DAQmxResetCIPulseWidthDigFltrEnable; external 'nicaiu.dll';
function DAQmxGetCIPulseWidthDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxSetCIPulseWidthDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxResetCIPulseWidthDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxGetCIPulseWidthDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxSetCIPulseWidthDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxResetCIPulseWidthDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxGetCIPulseWidthDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxSetCIPulseWidthDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxResetCIPulseWidthDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxGetCIPulseWidthDigSyncEnable; external 'nicaiu.dll' name 'DAQmxGetCIPulseWidthDigSyncEnable_VB6';
function DAQmxSetCIPulseWidthDigSyncEnable; external 'nicaiu.dll';
function DAQmxResetCIPulseWidthDigSyncEnable; external 'nicaiu.dll';
function DAQmxGetCITwoEdgeSepUnits; external 'nicaiu.dll';
function DAQmxSetCITwoEdgeSepUnits; external 'nicaiu.dll';
function DAQmxResetCITwoEdgeSepUnits; external 'nicaiu.dll';
function DAQmxGetCITwoEdgeSepFirstTerm; external 'nicaiu.dll';
function DAQmxSetCITwoEdgeSepFirstTerm; external 'nicaiu.dll';
function DAQmxResetCITwoEdgeSepFirstTerm; external 'nicaiu.dll';
function DAQmxGetCITwoEdgeSepFirstEdge; external 'nicaiu.dll';
function DAQmxSetCITwoEdgeSepFirstEdge; external 'nicaiu.dll';
function DAQmxResetCITwoEdgeSepFirstEdge; external 'nicaiu.dll';
function DAQmxGetCITwoEdgeSepFirstDigFltrEnable; external 'nicaiu.dll' name 'DAQmxGetCITwoEdgeSepFirstDigFltrEnable_VB6';
function DAQmxSetCITwoEdgeSepFirstDigFltrEnable; external 'nicaiu.dll';
function DAQmxResetCITwoEdgeSepFirstDigFltrEnable; external 'nicaiu.dll';
function DAQmxGetCITwoEdgeSepFirstDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxSetCITwoEdgeSepFirstDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxResetCITwoEdgeSepFirstDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxGetCITwoEdgeSepFirstDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxSetCITwoEdgeSepFirstDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxResetCITwoEdgeSepFirstDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxGetCITwoEdgeSepFirstDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxSetCITwoEdgeSepFirstDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxResetCITwoEdgeSepFirstDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxGetCITwoEdgeSepFirstDigSyncEnable; external 'nicaiu.dll' name 'DAQmxGetCITwoEdgeSepFirstDigSyncEnable_VB6';
function DAQmxSetCITwoEdgeSepFirstDigSyncEnable; external 'nicaiu.dll';
function DAQmxResetCITwoEdgeSepFirstDigSyncEnable; external 'nicaiu.dll';
function DAQmxGetCITwoEdgeSepSecondTerm; external 'nicaiu.dll';
function DAQmxSetCITwoEdgeSepSecondTerm; external 'nicaiu.dll';
function DAQmxResetCITwoEdgeSepSecondTerm; external 'nicaiu.dll';
function DAQmxGetCITwoEdgeSepSecondEdge; external 'nicaiu.dll';
function DAQmxSetCITwoEdgeSepSecondEdge; external 'nicaiu.dll';
function DAQmxResetCITwoEdgeSepSecondEdge; external 'nicaiu.dll';
function DAQmxGetCITwoEdgeSepSecondDigFltrEnable; external 'nicaiu.dll' name 'DAQmxGetCITwoEdgeSepSecondDigFltrEnable_VB6';
function DAQmxSetCITwoEdgeSepSecondDigFltrEnable; external 'nicaiu.dll';
function DAQmxResetCITwoEdgeSepSecondDigFltrEnable; external 'nicaiu.dll';
function DAQmxGetCITwoEdgeSepSecondDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxSetCITwoEdgeSepSecondDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxResetCITwoEdgeSepSecondDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxGetCITwoEdgeSepSecondDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxSetCITwoEdgeSepSecondDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxResetCITwoEdgeSepSecondDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxGetCITwoEdgeSepSecondDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxSetCITwoEdgeSepSecondDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxResetCITwoEdgeSepSecondDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxGetCITwoEdgeSepSecondDigSyncEnable; external 'nicaiu.dll' name 'DAQmxGetCITwoEdgeSepSecondDigSyncEnable_VB6';
function DAQmxSetCITwoEdgeSepSecondDigSyncEnable; external 'nicaiu.dll';
function DAQmxResetCITwoEdgeSepSecondDigSyncEnable; external 'nicaiu.dll';
function DAQmxGetCISemiPeriodUnits; external 'nicaiu.dll';
function DAQmxSetCISemiPeriodUnits; external 'nicaiu.dll';
function DAQmxResetCISemiPeriodUnits; external 'nicaiu.dll';
function DAQmxGetCISemiPeriodTerm; external 'nicaiu.dll';
function DAQmxSetCISemiPeriodTerm; external 'nicaiu.dll';
function DAQmxResetCISemiPeriodTerm; external 'nicaiu.dll';
function DAQmxGetCISemiPeriodStartingEdge; external 'nicaiu.dll';
function DAQmxSetCISemiPeriodStartingEdge; external 'nicaiu.dll';
function DAQmxResetCISemiPeriodStartingEdge; external 'nicaiu.dll';
function DAQmxGetCISemiPeriodDigFltrEnable; external 'nicaiu.dll' name 'DAQmxGetCISemiPeriodDigFltrEnable_VB6';
function DAQmxSetCISemiPeriodDigFltrEnable; external 'nicaiu.dll';
function DAQmxResetCISemiPeriodDigFltrEnable; external 'nicaiu.dll';
function DAQmxGetCISemiPeriodDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxSetCISemiPeriodDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxResetCISemiPeriodDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxGetCISemiPeriodDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxSetCISemiPeriodDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxResetCISemiPeriodDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxGetCISemiPeriodDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxSetCISemiPeriodDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxResetCISemiPeriodDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxGetCISemiPeriodDigSyncEnable; external 'nicaiu.dll' name 'DAQmxGetCISemiPeriodDigSyncEnable_VB6';
function DAQmxSetCISemiPeriodDigSyncEnable; external 'nicaiu.dll';
function DAQmxResetCISemiPeriodDigSyncEnable; external 'nicaiu.dll';
function DAQmxGetCITimestampUnits; external 'nicaiu.dll';
function DAQmxSetCITimestampUnits; external 'nicaiu.dll';
function DAQmxResetCITimestampUnits; external 'nicaiu.dll';
function DAQmxGetCITimestampInitialSeconds; external 'nicaiu.dll';
function DAQmxSetCITimestampInitialSeconds; external 'nicaiu.dll';
function DAQmxResetCITimestampInitialSeconds; external 'nicaiu.dll';
function DAQmxGetCIGPSSyncMethod; external 'nicaiu.dll';
function DAQmxSetCIGPSSyncMethod; external 'nicaiu.dll';
function DAQmxResetCIGPSSyncMethod; external 'nicaiu.dll';
function DAQmxGetCIGPSSyncSrc; external 'nicaiu.dll';
function DAQmxSetCIGPSSyncSrc; external 'nicaiu.dll';
function DAQmxResetCIGPSSyncSrc; external 'nicaiu.dll';
function DAQmxGetCICtrTimebaseSrc; external 'nicaiu.dll';
function DAQmxSetCICtrTimebaseSrc; external 'nicaiu.dll';
function DAQmxResetCICtrTimebaseSrc; external 'nicaiu.dll';
function DAQmxGetCICtrTimebaseRate; external 'nicaiu.dll';
function DAQmxSetCICtrTimebaseRate; external 'nicaiu.dll';
function DAQmxResetCICtrTimebaseRate; external 'nicaiu.dll';
function DAQmxGetCICtrTimebaseActiveEdge; external 'nicaiu.dll';
function DAQmxSetCICtrTimebaseActiveEdge; external 'nicaiu.dll';
function DAQmxResetCICtrTimebaseActiveEdge; external 'nicaiu.dll';
function DAQmxGetCICtrTimebaseDigFltrEnable; external 'nicaiu.dll' name 'DAQmxGetCICtrTimebaseDigFltrEnable_VB6';
function DAQmxSetCICtrTimebaseDigFltrEnable; external 'nicaiu.dll';
function DAQmxResetCICtrTimebaseDigFltrEnable; external 'nicaiu.dll';
function DAQmxGetCICtrTimebaseDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxSetCICtrTimebaseDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxResetCICtrTimebaseDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxGetCICtrTimebaseDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxSetCICtrTimebaseDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxResetCICtrTimebaseDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxGetCICtrTimebaseDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxSetCICtrTimebaseDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxResetCICtrTimebaseDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxGetCICtrTimebaseDigSyncEnable; external 'nicaiu.dll' name 'DAQmxGetCICtrTimebaseDigSyncEnable_VB6';
function DAQmxSetCICtrTimebaseDigSyncEnable; external 'nicaiu.dll';
function DAQmxResetCICtrTimebaseDigSyncEnable; external 'nicaiu.dll';
function DAQmxGetCICount; external 'nicaiu.dll';
function DAQmxGetCIOutputState; external 'nicaiu.dll';
function DAQmxGetCITCReached; external 'nicaiu.dll' name 'DAQmxGetCITCReached_VB6';
function DAQmxGetCICtrTimebaseMasterTimebaseDiv; external 'nicaiu.dll';
function DAQmxSetCICtrTimebaseMasterTimebaseDiv; external 'nicaiu.dll';
function DAQmxResetCICtrTimebaseMasterTimebaseDiv; external 'nicaiu.dll';
function DAQmxGetCIDataXferMech; external 'nicaiu.dll';
function DAQmxSetCIDataXferMech; external 'nicaiu.dll';
function DAQmxResetCIDataXferMech; external 'nicaiu.dll';
function DAQmxGetCINumPossiblyInvalidSamps; external 'nicaiu.dll';
function DAQmxGetCIDupCountPrevent; external 'nicaiu.dll' name 'DAQmxGetCIDupCountPrevent_VB6';
function DAQmxSetCIDupCountPrevent; external 'nicaiu.dll';
function DAQmxResetCIDupCountPrevent; external 'nicaiu.dll';
function DAQmxGetCIPrescaler; external 'nicaiu.dll';
function DAQmxSetCIPrescaler; external 'nicaiu.dll';
function DAQmxResetCIPrescaler; external 'nicaiu.dll';
function DAQmxGetCOOutputType; external 'nicaiu.dll';
function DAQmxGetCOPulseIdleState; external 'nicaiu.dll';
function DAQmxSetCOPulseIdleState; external 'nicaiu.dll';
function DAQmxResetCOPulseIdleState; external 'nicaiu.dll';
function DAQmxGetCOPulseTerm; external 'nicaiu.dll';
function DAQmxSetCOPulseTerm; external 'nicaiu.dll';
function DAQmxResetCOPulseTerm; external 'nicaiu.dll';
function DAQmxGetCOPulseTimeUnits; external 'nicaiu.dll';
function DAQmxSetCOPulseTimeUnits; external 'nicaiu.dll';
function DAQmxResetCOPulseTimeUnits; external 'nicaiu.dll';
function DAQmxGetCOPulseHighTime; external 'nicaiu.dll';
function DAQmxSetCOPulseHighTime; external 'nicaiu.dll';
function DAQmxResetCOPulseHighTime; external 'nicaiu.dll';
function DAQmxGetCOPulseLowTime; external 'nicaiu.dll';
function DAQmxSetCOPulseLowTime; external 'nicaiu.dll';
function DAQmxResetCOPulseLowTime; external 'nicaiu.dll';
function DAQmxGetCOPulseTimeInitialDelay; external 'nicaiu.dll';
function DAQmxSetCOPulseTimeInitialDelay; external 'nicaiu.dll';
function DAQmxResetCOPulseTimeInitialDelay; external 'nicaiu.dll';
function DAQmxGetCOPulseDutyCyc; external 'nicaiu.dll';
function DAQmxSetCOPulseDutyCyc; external 'nicaiu.dll';
function DAQmxResetCOPulseDutyCyc; external 'nicaiu.dll';
function DAQmxGetCOPulseFreqUnits; external 'nicaiu.dll';
function DAQmxSetCOPulseFreqUnits; external 'nicaiu.dll';
function DAQmxResetCOPulseFreqUnits; external 'nicaiu.dll';
function DAQmxGetCOPulseFreq; external 'nicaiu.dll';
function DAQmxSetCOPulseFreq; external 'nicaiu.dll';
function DAQmxResetCOPulseFreq; external 'nicaiu.dll';
function DAQmxGetCOPulseFreqInitialDelay; external 'nicaiu.dll';
function DAQmxSetCOPulseFreqInitialDelay; external 'nicaiu.dll';
function DAQmxResetCOPulseFreqInitialDelay; external 'nicaiu.dll';
function DAQmxGetCOPulseHighTicks; external 'nicaiu.dll';
function DAQmxSetCOPulseHighTicks; external 'nicaiu.dll';
function DAQmxResetCOPulseHighTicks; external 'nicaiu.dll';
function DAQmxGetCOPulseLowTicks; external 'nicaiu.dll';
function DAQmxSetCOPulseLowTicks; external 'nicaiu.dll';
function DAQmxResetCOPulseLowTicks; external 'nicaiu.dll';
function DAQmxGetCOPulseTicksInitialDelay; external 'nicaiu.dll';
function DAQmxSetCOPulseTicksInitialDelay; external 'nicaiu.dll';
function DAQmxResetCOPulseTicksInitialDelay; external 'nicaiu.dll';
function DAQmxGetCOCtrTimebaseSrc; external 'nicaiu.dll';
function DAQmxSetCOCtrTimebaseSrc; external 'nicaiu.dll';
function DAQmxResetCOCtrTimebaseSrc; external 'nicaiu.dll';
function DAQmxGetCOCtrTimebaseRate; external 'nicaiu.dll';
function DAQmxSetCOCtrTimebaseRate; external 'nicaiu.dll';
function DAQmxResetCOCtrTimebaseRate; external 'nicaiu.dll';
function DAQmxGetCOCtrTimebaseActiveEdge; external 'nicaiu.dll';
function DAQmxSetCOCtrTimebaseActiveEdge; external 'nicaiu.dll';
function DAQmxResetCOCtrTimebaseActiveEdge; external 'nicaiu.dll';
function DAQmxGetCOCtrTimebaseDigFltrEnable; external 'nicaiu.dll' name 'DAQmxGetCOCtrTimebaseDigFltrEnable_VB6';
function DAQmxSetCOCtrTimebaseDigFltrEnable; external 'nicaiu.dll';
function DAQmxResetCOCtrTimebaseDigFltrEnable; external 'nicaiu.dll';
function DAQmxGetCOCtrTimebaseDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxSetCOCtrTimebaseDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxResetCOCtrTimebaseDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxGetCOCtrTimebaseDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxSetCOCtrTimebaseDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxResetCOCtrTimebaseDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxGetCOCtrTimebaseDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxSetCOCtrTimebaseDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxResetCOCtrTimebaseDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxGetCOCtrTimebaseDigSyncEnable; external 'nicaiu.dll' name 'DAQmxGetCOCtrTimebaseDigSyncEnable_VB6';
function DAQmxSetCOCtrTimebaseDigSyncEnable; external 'nicaiu.dll';
function DAQmxResetCOCtrTimebaseDigSyncEnable; external 'nicaiu.dll';
function DAQmxGetCOCount; external 'nicaiu.dll';
function DAQmxGetCOOutputState; external 'nicaiu.dll';
function DAQmxGetCOAutoIncrCnt; external 'nicaiu.dll';
function DAQmxSetCOAutoIncrCnt; external 'nicaiu.dll';
function DAQmxResetCOAutoIncrCnt; external 'nicaiu.dll';
function DAQmxGetCOCtrTimebaseMasterTimebaseDiv; external 'nicaiu.dll';
function DAQmxSetCOCtrTimebaseMasterTimebaseDiv; external 'nicaiu.dll';
function DAQmxResetCOCtrTimebaseMasterTimebaseDiv; external 'nicaiu.dll';
function DAQmxGetCOPulseDone; external 'nicaiu.dll' name 'DAQmxGetCOPulseDone_VB6';
function DAQmxGetCOPrescaler; external 'nicaiu.dll';
function DAQmxSetCOPrescaler; external 'nicaiu.dll';
function DAQmxResetCOPrescaler; external 'nicaiu.dll';
function DAQmxGetCORdyForNewVal; external 'nicaiu.dll' name 'DAQmxGetCORdyForNewVal_VB6';
function DAQmxGetChanType; external 'nicaiu.dll';
function DAQmxGetPhysicalChanName; external 'nicaiu.dll';
function DAQmxGetChanDescr; external 'nicaiu.dll';
function DAQmxSetChanDescr; external 'nicaiu.dll';
function DAQmxResetChanDescr; external 'nicaiu.dll';
function DAQmxGetChanIsGlobal; external 'nicaiu.dll' name 'DAQmxGetChanIsGlobal_VB6';
function DAQmxGetExportedAIConvClkOutputTerm; external 'nicaiu.dll';
function DAQmxSetExportedAIConvClkOutputTerm; external 'nicaiu.dll';
function DAQmxResetExportedAIConvClkOutputTerm; external 'nicaiu.dll';
function DAQmxGetExportedAIConvClkPulsePolarity; external 'nicaiu.dll';
function DAQmxGetExported10MHzRefClkOutputTerm; external 'nicaiu.dll';
function DAQmxSetExported10MHzRefClkOutputTerm; external 'nicaiu.dll';
function DAQmxResetExported10MHzRefClkOutputTerm; external 'nicaiu.dll';
function DAQmxGetExported20MHzTimebaseOutputTerm; external 'nicaiu.dll';
function DAQmxSetExported20MHzTimebaseOutputTerm; external 'nicaiu.dll';
function DAQmxResetExported20MHzTimebaseOutputTerm; external 'nicaiu.dll';
function DAQmxGetExportedSampClkOutputBehavior; external 'nicaiu.dll';
function DAQmxSetExportedSampClkOutputBehavior; external 'nicaiu.dll';
function DAQmxResetExportedSampClkOutputBehavior; external 'nicaiu.dll';
function DAQmxGetExportedSampClkOutputTerm; external 'nicaiu.dll';
function DAQmxSetExportedSampClkOutputTerm; external 'nicaiu.dll';
function DAQmxResetExportedSampClkOutputTerm; external 'nicaiu.dll';
function DAQmxGetExportedSampClkPulsePolarity; external 'nicaiu.dll';
function DAQmxSetExportedSampClkPulsePolarity; external 'nicaiu.dll';
function DAQmxResetExportedSampClkPulsePolarity; external 'nicaiu.dll';
function DAQmxGetExportedSampClkTimebaseOutputTerm; external 'nicaiu.dll';
function DAQmxSetExportedSampClkTimebaseOutputTerm; external 'nicaiu.dll';
function DAQmxResetExportedSampClkTimebaseOutputTerm; external 'nicaiu.dll';
function DAQmxGetExportedDividedSampClkTimebaseOutputTerm; external 'nicaiu.dll';
function DAQmxSetExportedDividedSampClkTimebaseOutputTerm; external 'nicaiu.dll';
function DAQmxResetExportedDividedSampClkTimebaseOutputTerm; external 'nicaiu.dll';
function DAQmxGetExportedAdvTrigOutputTerm; external 'nicaiu.dll';
function DAQmxSetExportedAdvTrigOutputTerm; external 'nicaiu.dll';
function DAQmxResetExportedAdvTrigOutputTerm; external 'nicaiu.dll';
function DAQmxGetExportedAdvTrigPulsePolarity; external 'nicaiu.dll';
function DAQmxGetExportedAdvTrigPulseWidthUnits; external 'nicaiu.dll';
function DAQmxSetExportedAdvTrigPulseWidthUnits; external 'nicaiu.dll';
function DAQmxResetExportedAdvTrigPulseWidthUnits; external 'nicaiu.dll';
function DAQmxGetExportedAdvTrigPulseWidth; external 'nicaiu.dll';
function DAQmxSetExportedAdvTrigPulseWidth; external 'nicaiu.dll';
function DAQmxResetExportedAdvTrigPulseWidth; external 'nicaiu.dll';
function DAQmxGetExportedRefTrigOutputTerm; external 'nicaiu.dll';
function DAQmxSetExportedRefTrigOutputTerm; external 'nicaiu.dll';
function DAQmxResetExportedRefTrigOutputTerm; external 'nicaiu.dll';
function DAQmxGetExportedStartTrigOutputTerm; external 'nicaiu.dll';
function DAQmxSetExportedStartTrigOutputTerm; external 'nicaiu.dll';
function DAQmxResetExportedStartTrigOutputTerm; external 'nicaiu.dll';
function DAQmxGetExportedAdvCmpltEventOutputTerm; external 'nicaiu.dll';
function DAQmxSetExportedAdvCmpltEventOutputTerm; external 'nicaiu.dll';
function DAQmxResetExportedAdvCmpltEventOutputTerm; external 'nicaiu.dll';
function DAQmxGetExportedAdvCmpltEventDelay; external 'nicaiu.dll';
function DAQmxSetExportedAdvCmpltEventDelay; external 'nicaiu.dll';
function DAQmxResetExportedAdvCmpltEventDelay; external 'nicaiu.dll';
function DAQmxGetExportedAdvCmpltEventPulsePolarity; external 'nicaiu.dll';
function DAQmxSetExportedAdvCmpltEventPulsePolarity; external 'nicaiu.dll';
function DAQmxResetExportedAdvCmpltEventPulsePolarity; external 'nicaiu.dll';
function DAQmxGetExportedAdvCmpltEventPulseWidth; external 'nicaiu.dll';
function DAQmxSetExportedAdvCmpltEventPulseWidth; external 'nicaiu.dll';
function DAQmxResetExportedAdvCmpltEventPulseWidth; external 'nicaiu.dll';
function DAQmxGetExportedAIHoldCmpltEventOutputTerm; external 'nicaiu.dll';
function DAQmxSetExportedAIHoldCmpltEventOutputTerm; external 'nicaiu.dll';
function DAQmxResetExportedAIHoldCmpltEventOutputTerm; external 'nicaiu.dll';
function DAQmxGetExportedAIHoldCmpltEventPulsePolarity; external 'nicaiu.dll';
function DAQmxSetExportedAIHoldCmpltEventPulsePolarity; external 'nicaiu.dll';
function DAQmxResetExportedAIHoldCmpltEventPulsePolarity; external 'nicaiu.dll';
function DAQmxGetExportedChangeDetectEventOutputTerm; external 'nicaiu.dll';
function DAQmxSetExportedChangeDetectEventOutputTerm; external 'nicaiu.dll';
function DAQmxResetExportedChangeDetectEventOutputTerm; external 'nicaiu.dll';
function DAQmxGetExportedChangeDetectEventPulsePolarity; external 'nicaiu.dll';
function DAQmxSetExportedChangeDetectEventPulsePolarity; external 'nicaiu.dll';
function DAQmxResetExportedChangeDetectEventPulsePolarity; external 'nicaiu.dll';
function DAQmxGetExportedCtrOutEventOutputTerm; external 'nicaiu.dll';
function DAQmxSetExportedCtrOutEventOutputTerm; external 'nicaiu.dll';
function DAQmxResetExportedCtrOutEventOutputTerm; external 'nicaiu.dll';
function DAQmxGetExportedCtrOutEventOutputBehavior; external 'nicaiu.dll';
function DAQmxSetExportedCtrOutEventOutputBehavior; external 'nicaiu.dll';
function DAQmxResetExportedCtrOutEventOutputBehavior; external 'nicaiu.dll';
function DAQmxGetExportedCtrOutEventPulsePolarity; external 'nicaiu.dll';
function DAQmxSetExportedCtrOutEventPulsePolarity; external 'nicaiu.dll';
function DAQmxResetExportedCtrOutEventPulsePolarity; external 'nicaiu.dll';
function DAQmxGetExportedCtrOutEventToggleIdleState; external 'nicaiu.dll';
function DAQmxSetExportedCtrOutEventToggleIdleState; external 'nicaiu.dll';
function DAQmxResetExportedCtrOutEventToggleIdleState; external 'nicaiu.dll';
function DAQmxGetExportedHshkEventOutputTerm; external 'nicaiu.dll';
function DAQmxSetExportedHshkEventOutputTerm; external 'nicaiu.dll';
function DAQmxResetExportedHshkEventOutputTerm; external 'nicaiu.dll';
function DAQmxGetExportedHshkEventOutputBehavior; external 'nicaiu.dll';
function DAQmxSetExportedHshkEventOutputBehavior; external 'nicaiu.dll';
function DAQmxResetExportedHshkEventOutputBehavior; external 'nicaiu.dll';
function DAQmxGetExportedHshkEventDelay; external 'nicaiu.dll';
function DAQmxSetExportedHshkEventDelay; external 'nicaiu.dll';
function DAQmxResetExportedHshkEventDelay; external 'nicaiu.dll';
function DAQmxGetExportedHshkEventInterlockedAssertedLvl; external 'nicaiu.dll';
function DAQmxSetExportedHshkEventInterlockedAssertedLvl; external 'nicaiu.dll';
function DAQmxResetExportedHshkEventInterlockedAssertedLvl; external 'nicaiu.dll';
function DAQmxGetExportedHshkEventInterlockedAssertOnStart; external 'nicaiu.dll' name 'DAQmxGetExportedHshkEventInterlockedAssertOnStart_VB6';
function DAQmxSetExportedHshkEventInterlockedAssertOnStart; external 'nicaiu.dll';
function DAQmxResetExportedHshkEventInterlockedAssertOnStart; external 'nicaiu.dll';
function DAQmxGetExportedHshkEventInterlockedDeassertDelay; external 'nicaiu.dll';
function DAQmxSetExportedHshkEventInterlockedDeassertDelay; external 'nicaiu.dll';
function DAQmxResetExportedHshkEventInterlockedDeassertDelay; external 'nicaiu.dll';
function DAQmxGetExportedHshkEventPulsePolarity; external 'nicaiu.dll';
function DAQmxSetExportedHshkEventPulsePolarity; external 'nicaiu.dll';
function DAQmxResetExportedHshkEventPulsePolarity; external 'nicaiu.dll';
function DAQmxGetExportedHshkEventPulseWidth; external 'nicaiu.dll';
function DAQmxSetExportedHshkEventPulseWidth; external 'nicaiu.dll';
function DAQmxResetExportedHshkEventPulseWidth; external 'nicaiu.dll';
function DAQmxGetExportedRdyForXferEventOutputTerm; external 'nicaiu.dll';
function DAQmxSetExportedRdyForXferEventOutputTerm; external 'nicaiu.dll';
function DAQmxResetExportedRdyForXferEventOutputTerm; external 'nicaiu.dll';
function DAQmxGetExportedRdyForXferEventLvlActiveLvl; external 'nicaiu.dll';
function DAQmxSetExportedRdyForXferEventLvlActiveLvl; external 'nicaiu.dll';
function DAQmxResetExportedRdyForXferEventLvlActiveLvl; external 'nicaiu.dll';
function DAQmxGetExportedSyncPulseEventOutputTerm; external 'nicaiu.dll';
function DAQmxSetExportedSyncPulseEventOutputTerm; external 'nicaiu.dll';
function DAQmxResetExportedSyncPulseEventOutputTerm; external 'nicaiu.dll';
function DAQmxGetExportedWatchdogExpiredEventOutputTerm; external 'nicaiu.dll';
function DAQmxSetExportedWatchdogExpiredEventOutputTerm; external 'nicaiu.dll';
function DAQmxResetExportedWatchdogExpiredEventOutputTerm; external 'nicaiu.dll';
function DAQmxGetDevIsSimulated; external 'nicaiu.dll' name 'DAQmxGetDevIsSimulated_VB6';
function DAQmxGetDevProductType; external 'nicaiu.dll';
function DAQmxGetDevProductNum; external 'nicaiu.dll';
function DAQmxGetDevSerialNum; external 'nicaiu.dll';
function DAQmxGetDevAIPhysicalChans; external 'nicaiu.dll';
function DAQmxGetDevAOPhysicalChans; external 'nicaiu.dll';
function DAQmxGetDevDILines; external 'nicaiu.dll';
function DAQmxGetDevDIPorts; external 'nicaiu.dll';
function DAQmxGetDevDOLines; external 'nicaiu.dll';
function DAQmxGetDevDOPorts; external 'nicaiu.dll';
function DAQmxGetDevCIPhysicalChans; external 'nicaiu.dll';
function DAQmxGetDevCOPhysicalChans; external 'nicaiu.dll';
function DAQmxGetDevBusType; external 'nicaiu.dll';
function DAQmxGetDevPCIBusNum; external 'nicaiu.dll';
function DAQmxGetDevPCIDevNum; external 'nicaiu.dll';
function DAQmxGetDevPXIChassisNum; external 'nicaiu.dll';
function DAQmxGetDevPXISlotNum; external 'nicaiu.dll';
function DAQmxGetReadRelativeTo; external 'nicaiu.dll';
function DAQmxSetReadRelativeTo; external 'nicaiu.dll';
function DAQmxResetReadRelativeTo; external 'nicaiu.dll';
function DAQmxGetReadOffset; external 'nicaiu.dll';
function DAQmxSetReadOffset; external 'nicaiu.dll';
function DAQmxResetReadOffset; external 'nicaiu.dll';
function DAQmxGetReadChannelsToRead; external 'nicaiu.dll';
function DAQmxSetReadChannelsToRead; external 'nicaiu.dll';
function DAQmxResetReadChannelsToRead; external 'nicaiu.dll';
function DAQmxGetReadReadAllAvailSamp; external 'nicaiu.dll' name 'DAQmxGetReadReadAllAvailSamp_VB6';
function DAQmxSetReadReadAllAvailSamp; external 'nicaiu.dll';
function DAQmxResetReadReadAllAvailSamp; external 'nicaiu.dll';
function DAQmxGetReadAutoStart; external 'nicaiu.dll' name 'DAQmxGetReadAutoStart_VB6';
function DAQmxSetReadAutoStart; external 'nicaiu.dll';
function DAQmxResetReadAutoStart; external 'nicaiu.dll';
function DAQmxGetReadOverWrite; external 'nicaiu.dll';
function DAQmxSetReadOverWrite; external 'nicaiu.dll';
function DAQmxResetReadOverWrite; external 'nicaiu.dll';
function DAQmxGetReadCurrReadPos; external 'nicaiu.dll' name 'DAQmxGetReadCurrReadPos_VB6';
function DAQmxGetReadAvailSampPerChan; external 'nicaiu.dll';
function DAQmxGetReadTotalSampPerChanAcquired; external 'nicaiu.dll' name 'DAQmxGetReadTotalSampPerChanAcquired_VB6';
function DAQmxGetReadOverloadedChansExist; external 'nicaiu.dll' name 'DAQmxGetReadOverloadedChansExist_VB6';
function DAQmxGetReadOverloadedChans; external 'nicaiu.dll';
function DAQmxGetReadChangeDetectHasOverflowed; external 'nicaiu.dll' name 'DAQmxGetReadChangeDetectHasOverflowed_VB6';
function DAQmxGetReadRawDataWidth; external 'nicaiu.dll';
function DAQmxGetReadNumChans; external 'nicaiu.dll';
function DAQmxGetReadDigitalLinesBytesPerChan; external 'nicaiu.dll';
function DAQmxGetReadWaitMode; external 'nicaiu.dll';
function DAQmxSetReadWaitMode; external 'nicaiu.dll';
function DAQmxResetReadWaitMode; external 'nicaiu.dll';
function DAQmxGetReadSleepTime; external 'nicaiu.dll';
function DAQmxSetReadSleepTime; external 'nicaiu.dll';
function DAQmxResetReadSleepTime; external 'nicaiu.dll';
function DAQmxGetRealTimeConvLateErrorsToWarnings; external 'nicaiu.dll' name 'DAQmxGetRealTimeConvLateErrorsToWarnings_VB6';
function DAQmxSetRealTimeConvLateErrorsToWarnings; external 'nicaiu.dll';
function DAQmxResetRealTimeConvLateErrorsToWarnings; external 'nicaiu.dll';
function DAQmxGetRealTimeNumOfWarmupIters; external 'nicaiu.dll';
function DAQmxSetRealTimeNumOfWarmupIters; external 'nicaiu.dll';
function DAQmxResetRealTimeNumOfWarmupIters; external 'nicaiu.dll';
function DAQmxGetRealTimeWaitForNextSampClkWaitMode; external 'nicaiu.dll';
function DAQmxSetRealTimeWaitForNextSampClkWaitMode; external 'nicaiu.dll';
function DAQmxResetRealTimeWaitForNextSampClkWaitMode; external 'nicaiu.dll';
function DAQmxGetRealTimeReportMissedSamp; external 'nicaiu.dll' name 'DAQmxGetRealTimeReportMissedSamp_VB6';
function DAQmxSetRealTimeReportMissedSamp; external 'nicaiu.dll';
function DAQmxResetRealTimeReportMissedSamp; external 'nicaiu.dll';
function DAQmxGetRealTimeWriteRecoveryMode; external 'nicaiu.dll';
function DAQmxSetRealTimeWriteRecoveryMode; external 'nicaiu.dll';
function DAQmxResetRealTimeWriteRecoveryMode; external 'nicaiu.dll';
function DAQmxGetSwitchChanUsage; external 'nicaiu.dll';
function DAQmxSetSwitchChanUsage; external 'nicaiu.dll';
function DAQmxGetSwitchChanMaxACCarryCurrent; external 'nicaiu.dll';
function DAQmxGetSwitchChanMaxACSwitchCurrent; external 'nicaiu.dll';
function DAQmxGetSwitchChanMaxACCarryPwr; external 'nicaiu.dll';
function DAQmxGetSwitchChanMaxACSwitchPwr; external 'nicaiu.dll';
function DAQmxGetSwitchChanMaxDCCarryCurrent; external 'nicaiu.dll';
function DAQmxGetSwitchChanMaxDCSwitchCurrent; external 'nicaiu.dll';
function DAQmxGetSwitchChanMaxDCCarryPwr; external 'nicaiu.dll';
function DAQmxGetSwitchChanMaxDCSwitchPwr; external 'nicaiu.dll';
function DAQmxGetSwitchChanMaxACVoltage; external 'nicaiu.dll';
function DAQmxGetSwitchChanMaxDCVoltage; external 'nicaiu.dll';
function DAQmxGetSwitchChanWireMode; external 'nicaiu.dll';
function DAQmxGetSwitchChanBandwidth; external 'nicaiu.dll';
function DAQmxGetSwitchChanImpedance; external 'nicaiu.dll';
function DAQmxGetSwitchDevSettlingTime; external 'nicaiu.dll';
function DAQmxSetSwitchDevSettlingTime; external 'nicaiu.dll';
function DAQmxGetSwitchDevAutoConnAnlgBus; external 'nicaiu.dll' name 'DAQmxGetSwitchDevAutoConnAnlgBus_VB6';
function DAQmxSetSwitchDevAutoConnAnlgBus; external 'nicaiu.dll';
function DAQmxGetSwitchDevPwrDownLatchRelaysAfterSettling; external 'nicaiu.dll' name 'DAQmxGetSwitchDevPwrDownLatchRelaysAfterSettling_VB6';
function DAQmxSetSwitchDevPwrDownLatchRelaysAfterSettling; external 'nicaiu.dll';
function DAQmxGetSwitchDevSettled; external 'nicaiu.dll' name 'DAQmxGetSwitchDevSettled_VB6';
function DAQmxGetSwitchDevRelayList; external 'nicaiu.dll';
function DAQmxGetSwitchDevNumRelays; external 'nicaiu.dll';
function DAQmxGetSwitchDevSwitchChanList; external 'nicaiu.dll';
function DAQmxGetSwitchDevNumSwitchChans; external 'nicaiu.dll';
function DAQmxGetSwitchDevNumRows; external 'nicaiu.dll';
function DAQmxGetSwitchDevNumColumns; external 'nicaiu.dll';
function DAQmxGetSwitchDevTopology; external 'nicaiu.dll';
function DAQmxGetSwitchScanBreakMode; external 'nicaiu.dll';
function DAQmxSetSwitchScanBreakMode; external 'nicaiu.dll';
function DAQmxResetSwitchScanBreakMode; external 'nicaiu.dll';
function DAQmxGetSwitchScanRepeatMode; external 'nicaiu.dll';
function DAQmxSetSwitchScanRepeatMode; external 'nicaiu.dll';
function DAQmxResetSwitchScanRepeatMode; external 'nicaiu.dll';
function DAQmxGetSwitchScanWaitingForAdv; external 'nicaiu.dll' name 'DAQmxGetSwitchScanWaitingForAdv_VB6';
function DAQmxGetScaleDescr; external 'nicaiu.dll';
function DAQmxSetScaleDescr; external 'nicaiu.dll';
function DAQmxGetScaleScaledUnits; external 'nicaiu.dll';
function DAQmxSetScaleScaledUnits; external 'nicaiu.dll';
function DAQmxGetScalePreScaledUnits; external 'nicaiu.dll';
function DAQmxSetScalePreScaledUnits; external 'nicaiu.dll';
function DAQmxGetScaleType; external 'nicaiu.dll';
function DAQmxGetScaleLinSlope; external 'nicaiu.dll';
function DAQmxSetScaleLinSlope; external 'nicaiu.dll';
function DAQmxGetScaleLinYIntercept; external 'nicaiu.dll';
function DAQmxSetScaleLinYIntercept; external 'nicaiu.dll';
function DAQmxGetScaleMapScaledMax; external 'nicaiu.dll';
function DAQmxSetScaleMapScaledMax; external 'nicaiu.dll';
function DAQmxGetScaleMapPreScaledMax; external 'nicaiu.dll';
function DAQmxSetScaleMapPreScaledMax; external 'nicaiu.dll';
function DAQmxGetScaleMapScaledMin; external 'nicaiu.dll';
function DAQmxSetScaleMapScaledMin; external 'nicaiu.dll';
function DAQmxGetScaleMapPreScaledMin; external 'nicaiu.dll';
function DAQmxSetScaleMapPreScaledMin; external 'nicaiu.dll';
function DAQmxGetScalePolyForwardCoeff; external 'nicaiu.dll';
function DAQmxSetScalePolyForwardCoeff; external 'nicaiu.dll';
function DAQmxGetScalePolyReverseCoeff; external 'nicaiu.dll';
function DAQmxSetScalePolyReverseCoeff; external 'nicaiu.dll';
function DAQmxGetScaleTableScaledVals; external 'nicaiu.dll';
function DAQmxSetScaleTableScaledVals; external 'nicaiu.dll';
function DAQmxGetScaleTablePreScaledVals; external 'nicaiu.dll';
function DAQmxSetScaleTablePreScaledVals; external 'nicaiu.dll';
function DAQmxGetSysGlobalChans; external 'nicaiu.dll';
function DAQmxGetSysScales; external 'nicaiu.dll';
function DAQmxGetSysTasks; external 'nicaiu.dll';
function DAQmxGetSysDevNames; external 'nicaiu.dll';
function DAQmxGetSysNIDAQMajorVersion; external 'nicaiu.dll';
function DAQmxGetSysNIDAQMinorVersion; external 'nicaiu.dll';
function DAQmxGetTaskName; external 'nicaiu.dll';
function DAQmxGetTaskChannels; external 'nicaiu.dll';
function DAQmxGetTaskNumChans; external 'nicaiu.dll';
function DAQmxGetTaskDevices; external 'nicaiu.dll';
function DAQmxGetTaskComplete; external 'nicaiu.dll' name 'DAQmxGetTaskComplete_VB6';
function DAQmxGetSampQuantSampMode; external 'nicaiu.dll';
function DAQmxSetSampQuantSampMode; external 'nicaiu.dll';
function DAQmxResetSampQuantSampMode; external 'nicaiu.dll';
function DAQmxGetSampQuantSampPerChan; external 'nicaiu.dll' name 'DAQmxGetSampQuantSampPerChan_VB6';
function DAQmxSetSampQuantSampPerChan; external 'nicaiu.dll' name 'DAQmxSetSampQuantSampPerChan_VB6';
function DAQmxResetSampQuantSampPerChan; external 'nicaiu.dll';
function DAQmxGetSampTimingType; external 'nicaiu.dll';
function DAQmxSetSampTimingType; external 'nicaiu.dll';
function DAQmxResetSampTimingType; external 'nicaiu.dll';
function DAQmxGetSampClkRate; external 'nicaiu.dll';
function DAQmxSetSampClkRate; external 'nicaiu.dll';
function DAQmxResetSampClkRate; external 'nicaiu.dll';
function DAQmxGetSampClkMaxRate; external 'nicaiu.dll';
function DAQmxGetSampClkSrc; external 'nicaiu.dll';
function DAQmxSetSampClkSrc; external 'nicaiu.dll';
function DAQmxResetSampClkSrc; external 'nicaiu.dll';
function DAQmxGetSampClkActiveEdge; external 'nicaiu.dll';
function DAQmxSetSampClkActiveEdge; external 'nicaiu.dll';
function DAQmxResetSampClkActiveEdge; external 'nicaiu.dll';
function DAQmxGetSampClkTimebaseDiv; external 'nicaiu.dll';
function DAQmxSetSampClkTimebaseDiv; external 'nicaiu.dll';
function DAQmxResetSampClkTimebaseDiv; external 'nicaiu.dll';
function DAQmxGetSampClkTimebaseRate; external 'nicaiu.dll';
function DAQmxSetSampClkTimebaseRate; external 'nicaiu.dll';
function DAQmxResetSampClkTimebaseRate; external 'nicaiu.dll';
function DAQmxGetSampClkTimebaseSrc; external 'nicaiu.dll';
function DAQmxSetSampClkTimebaseSrc; external 'nicaiu.dll';
function DAQmxResetSampClkTimebaseSrc; external 'nicaiu.dll';
function DAQmxGetSampClkTimebaseActiveEdge; external 'nicaiu.dll';
function DAQmxSetSampClkTimebaseActiveEdge; external 'nicaiu.dll';
function DAQmxResetSampClkTimebaseActiveEdge; external 'nicaiu.dll';
function DAQmxGetSampClkTimebaseMasterTimebaseDiv; external 'nicaiu.dll';
function DAQmxSetSampClkTimebaseMasterTimebaseDiv; external 'nicaiu.dll';
function DAQmxResetSampClkTimebaseMasterTimebaseDiv; external 'nicaiu.dll';
function DAQmxGetSampClkDigFltrEnable; external 'nicaiu.dll' name 'DAQmxGetSampClkDigFltrEnable_VB6';
function DAQmxSetSampClkDigFltrEnable; external 'nicaiu.dll';
function DAQmxResetSampClkDigFltrEnable; external 'nicaiu.dll';
function DAQmxGetSampClkDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxSetSampClkDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxResetSampClkDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxGetSampClkDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxSetSampClkDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxResetSampClkDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxGetSampClkDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxSetSampClkDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxResetSampClkDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxGetSampClkDigSyncEnable; external 'nicaiu.dll' name 'DAQmxGetSampClkDigSyncEnable_VB6';
function DAQmxSetSampClkDigSyncEnable; external 'nicaiu.dll';
function DAQmxResetSampClkDigSyncEnable; external 'nicaiu.dll';
function DAQmxGetHshkDelayAfterXfer; external 'nicaiu.dll';
function DAQmxSetHshkDelayAfterXfer; external 'nicaiu.dll';
function DAQmxResetHshkDelayAfterXfer; external 'nicaiu.dll';
function DAQmxGetHshkStartCond; external 'nicaiu.dll';
function DAQmxSetHshkStartCond; external 'nicaiu.dll';
function DAQmxResetHshkStartCond; external 'nicaiu.dll';
function DAQmxGetHshkSampleInputDataWhen; external 'nicaiu.dll';
function DAQmxSetHshkSampleInputDataWhen; external 'nicaiu.dll';
function DAQmxResetHshkSampleInputDataWhen; external 'nicaiu.dll';
function DAQmxGetChangeDetectDIRisingEdgePhysicalChans; external 'nicaiu.dll';
function DAQmxSetChangeDetectDIRisingEdgePhysicalChans; external 'nicaiu.dll';
function DAQmxResetChangeDetectDIRisingEdgePhysicalChans; external 'nicaiu.dll';
function DAQmxGetChangeDetectDIFallingEdgePhysicalChans; external 'nicaiu.dll';
function DAQmxSetChangeDetectDIFallingEdgePhysicalChans; external 'nicaiu.dll';
function DAQmxResetChangeDetectDIFallingEdgePhysicalChans; external 'nicaiu.dll';
function DAQmxGetOnDemandSimultaneousAOEnable; external 'nicaiu.dll' name 'DAQmxGetOnDemandSimultaneousAOEnable_VB6';
function DAQmxSetOnDemandSimultaneousAOEnable; external 'nicaiu.dll';
function DAQmxResetOnDemandSimultaneousAOEnable; external 'nicaiu.dll';
function DAQmxGetAIConvRate; external 'nicaiu.dll';
function DAQmxSetAIConvRate; external 'nicaiu.dll';
function DAQmxResetAIConvRate; external 'nicaiu.dll';
function DAQmxGetAIConvMaxRate; external 'nicaiu.dll';
function DAQmxGetAIConvSrc; external 'nicaiu.dll';
function DAQmxSetAIConvSrc; external 'nicaiu.dll';
function DAQmxResetAIConvSrc; external 'nicaiu.dll';
function DAQmxGetAIConvActiveEdge; external 'nicaiu.dll';
function DAQmxSetAIConvActiveEdge; external 'nicaiu.dll';
function DAQmxResetAIConvActiveEdge; external 'nicaiu.dll';
function DAQmxGetAIConvTimebaseDiv; external 'nicaiu.dll';
function DAQmxSetAIConvTimebaseDiv; external 'nicaiu.dll';
function DAQmxResetAIConvTimebaseDiv; external 'nicaiu.dll';
function DAQmxGetAIConvTimebaseSrc; external 'nicaiu.dll';
function DAQmxSetAIConvTimebaseSrc; external 'nicaiu.dll';
function DAQmxResetAIConvTimebaseSrc; external 'nicaiu.dll';
function DAQmxGetMasterTimebaseRate; external 'nicaiu.dll';
function DAQmxSetMasterTimebaseRate; external 'nicaiu.dll';
function DAQmxResetMasterTimebaseRate; external 'nicaiu.dll';
function DAQmxGetMasterTimebaseSrc; external 'nicaiu.dll';
function DAQmxSetMasterTimebaseSrc; external 'nicaiu.dll';
function DAQmxResetMasterTimebaseSrc; external 'nicaiu.dll';
function DAQmxGetRefClkRate; external 'nicaiu.dll';
function DAQmxSetRefClkRate; external 'nicaiu.dll';
function DAQmxResetRefClkRate; external 'nicaiu.dll';
function DAQmxGetRefClkSrc; external 'nicaiu.dll';
function DAQmxSetRefClkSrc; external 'nicaiu.dll';
function DAQmxResetRefClkSrc; external 'nicaiu.dll';
function DAQmxGetSyncPulseSrc; external 'nicaiu.dll';
function DAQmxSetSyncPulseSrc; external 'nicaiu.dll';
function DAQmxResetSyncPulseSrc; external 'nicaiu.dll';
function DAQmxGetSyncPulseSyncTime; external 'nicaiu.dll';
function DAQmxGetSyncPulseMinDelayToStart; external 'nicaiu.dll';
function DAQmxSetSyncPulseMinDelayToStart; external 'nicaiu.dll';
function DAQmxResetSyncPulseMinDelayToStart; external 'nicaiu.dll';
function DAQmxGetDelayFromSampClkDelayUnits; external 'nicaiu.dll';
function DAQmxSetDelayFromSampClkDelayUnits; external 'nicaiu.dll';
function DAQmxResetDelayFromSampClkDelayUnits; external 'nicaiu.dll';
function DAQmxGetDelayFromSampClkDelay; external 'nicaiu.dll';
function DAQmxSetDelayFromSampClkDelay; external 'nicaiu.dll';
function DAQmxResetDelayFromSampClkDelay; external 'nicaiu.dll';
function DAQmxGetStartTrigType; external 'nicaiu.dll';
function DAQmxSetStartTrigType; external 'nicaiu.dll';
function DAQmxResetStartTrigType; external 'nicaiu.dll';
function DAQmxGetDigEdgeStartTrigSrc; external 'nicaiu.dll';
function DAQmxSetDigEdgeStartTrigSrc; external 'nicaiu.dll';
function DAQmxResetDigEdgeStartTrigSrc; external 'nicaiu.dll';
function DAQmxGetDigEdgeStartTrigEdge; external 'nicaiu.dll';
function DAQmxSetDigEdgeStartTrigEdge; external 'nicaiu.dll';
function DAQmxResetDigEdgeStartTrigEdge; external 'nicaiu.dll';
function DAQmxGetDigEdgeStartTrigDigFltrEnable; external 'nicaiu.dll' name 'DAQmxGetDigEdgeStartTrigDigFltrEnable_VB6';
function DAQmxSetDigEdgeStartTrigDigFltrEnable; external 'nicaiu.dll';
function DAQmxResetDigEdgeStartTrigDigFltrEnable; external 'nicaiu.dll';
function DAQmxGetDigEdgeStartTrigDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxSetDigEdgeStartTrigDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxResetDigEdgeStartTrigDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxGetDigEdgeStartTrigDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxSetDigEdgeStartTrigDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxResetDigEdgeStartTrigDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxGetDigEdgeStartTrigDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxSetDigEdgeStartTrigDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxResetDigEdgeStartTrigDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxGetDigEdgeStartTrigDigSyncEnable; external 'nicaiu.dll' name 'DAQmxGetDigEdgeStartTrigDigSyncEnable_VB6';
function DAQmxSetDigEdgeStartTrigDigSyncEnable; external 'nicaiu.dll';
function DAQmxResetDigEdgeStartTrigDigSyncEnable; external 'nicaiu.dll';
function DAQmxGetDigPatternStartTrigSrc; external 'nicaiu.dll';
function DAQmxSetDigPatternStartTrigSrc; external 'nicaiu.dll';
function DAQmxResetDigPatternStartTrigSrc; external 'nicaiu.dll';
function DAQmxGetDigPatternStartTrigPattern; external 'nicaiu.dll';
function DAQmxSetDigPatternStartTrigPattern; external 'nicaiu.dll';
function DAQmxResetDigPatternStartTrigPattern; external 'nicaiu.dll';
function DAQmxGetDigPatternStartTrigWhen; external 'nicaiu.dll';
function DAQmxSetDigPatternStartTrigWhen; external 'nicaiu.dll';
function DAQmxResetDigPatternStartTrigWhen; external 'nicaiu.dll';
function DAQmxGetAnlgEdgeStartTrigSrc; external 'nicaiu.dll';
function DAQmxSetAnlgEdgeStartTrigSrc; external 'nicaiu.dll';
function DAQmxResetAnlgEdgeStartTrigSrc; external 'nicaiu.dll';
function DAQmxGetAnlgEdgeStartTrigSlope; external 'nicaiu.dll';
function DAQmxSetAnlgEdgeStartTrigSlope; external 'nicaiu.dll';
function DAQmxResetAnlgEdgeStartTrigSlope; external 'nicaiu.dll';
function DAQmxGetAnlgEdgeStartTrigLvl; external 'nicaiu.dll';
function DAQmxSetAnlgEdgeStartTrigLvl; external 'nicaiu.dll';
function DAQmxResetAnlgEdgeStartTrigLvl; external 'nicaiu.dll';
function DAQmxGetAnlgEdgeStartTrigHyst; external 'nicaiu.dll';
function DAQmxSetAnlgEdgeStartTrigHyst; external 'nicaiu.dll';
function DAQmxResetAnlgEdgeStartTrigHyst; external 'nicaiu.dll';
function DAQmxGetAnlgEdgeStartTrigCoupling; external 'nicaiu.dll';
function DAQmxSetAnlgEdgeStartTrigCoupling; external 'nicaiu.dll';
function DAQmxResetAnlgEdgeStartTrigCoupling; external 'nicaiu.dll';
function DAQmxGetAnlgWinStartTrigSrc; external 'nicaiu.dll';
function DAQmxSetAnlgWinStartTrigSrc; external 'nicaiu.dll';
function DAQmxResetAnlgWinStartTrigSrc; external 'nicaiu.dll';
function DAQmxGetAnlgWinStartTrigWhen; external 'nicaiu.dll';
function DAQmxSetAnlgWinStartTrigWhen; external 'nicaiu.dll';
function DAQmxResetAnlgWinStartTrigWhen; external 'nicaiu.dll';
function DAQmxGetAnlgWinStartTrigTop; external 'nicaiu.dll';
function DAQmxSetAnlgWinStartTrigTop; external 'nicaiu.dll';
function DAQmxResetAnlgWinStartTrigTop; external 'nicaiu.dll';
function DAQmxGetAnlgWinStartTrigBtm; external 'nicaiu.dll';
function DAQmxSetAnlgWinStartTrigBtm; external 'nicaiu.dll';
function DAQmxResetAnlgWinStartTrigBtm; external 'nicaiu.dll';
function DAQmxGetAnlgWinStartTrigCoupling; external 'nicaiu.dll';
function DAQmxSetAnlgWinStartTrigCoupling; external 'nicaiu.dll';
function DAQmxResetAnlgWinStartTrigCoupling; external 'nicaiu.dll';
function DAQmxGetStartTrigDelay; external 'nicaiu.dll';
function DAQmxSetStartTrigDelay; external 'nicaiu.dll';
function DAQmxResetStartTrigDelay; external 'nicaiu.dll';
function DAQmxGetStartTrigDelayUnits; external 'nicaiu.dll';
function DAQmxSetStartTrigDelayUnits; external 'nicaiu.dll';
function DAQmxResetStartTrigDelayUnits; external 'nicaiu.dll';
function DAQmxGetStartTrigRetriggerable; external 'nicaiu.dll' name 'DAQmxGetStartTrigRetriggerable_VB6';
function DAQmxSetStartTrigRetriggerable; external 'nicaiu.dll';
function DAQmxResetStartTrigRetriggerable; external 'nicaiu.dll';
function DAQmxGetRefTrigType; external 'nicaiu.dll';
function DAQmxSetRefTrigType; external 'nicaiu.dll';
function DAQmxResetRefTrigType; external 'nicaiu.dll';
function DAQmxGetRefTrigPretrigSamples; external 'nicaiu.dll';
function DAQmxSetRefTrigPretrigSamples; external 'nicaiu.dll';
function DAQmxResetRefTrigPretrigSamples; external 'nicaiu.dll';
function DAQmxGetDigEdgeRefTrigSrc; external 'nicaiu.dll';
function DAQmxSetDigEdgeRefTrigSrc; external 'nicaiu.dll';
function DAQmxResetDigEdgeRefTrigSrc; external 'nicaiu.dll';
function DAQmxGetDigEdgeRefTrigEdge; external 'nicaiu.dll';
function DAQmxSetDigEdgeRefTrigEdge; external 'nicaiu.dll';
function DAQmxResetDigEdgeRefTrigEdge; external 'nicaiu.dll';
function DAQmxGetDigPatternRefTrigSrc; external 'nicaiu.dll';
function DAQmxSetDigPatternRefTrigSrc; external 'nicaiu.dll';
function DAQmxResetDigPatternRefTrigSrc; external 'nicaiu.dll';
function DAQmxGetDigPatternRefTrigPattern; external 'nicaiu.dll';
function DAQmxSetDigPatternRefTrigPattern; external 'nicaiu.dll';
function DAQmxResetDigPatternRefTrigPattern; external 'nicaiu.dll';
function DAQmxGetDigPatternRefTrigWhen; external 'nicaiu.dll';
function DAQmxSetDigPatternRefTrigWhen; external 'nicaiu.dll';
function DAQmxResetDigPatternRefTrigWhen; external 'nicaiu.dll';
function DAQmxGetAnlgEdgeRefTrigSrc; external 'nicaiu.dll';
function DAQmxSetAnlgEdgeRefTrigSrc; external 'nicaiu.dll';
function DAQmxResetAnlgEdgeRefTrigSrc; external 'nicaiu.dll';
function DAQmxGetAnlgEdgeRefTrigSlope; external 'nicaiu.dll';
function DAQmxSetAnlgEdgeRefTrigSlope; external 'nicaiu.dll';
function DAQmxResetAnlgEdgeRefTrigSlope; external 'nicaiu.dll';
function DAQmxGetAnlgEdgeRefTrigLvl; external 'nicaiu.dll';
function DAQmxSetAnlgEdgeRefTrigLvl; external 'nicaiu.dll';
function DAQmxResetAnlgEdgeRefTrigLvl; external 'nicaiu.dll';
function DAQmxGetAnlgEdgeRefTrigHyst; external 'nicaiu.dll';
function DAQmxSetAnlgEdgeRefTrigHyst; external 'nicaiu.dll';
function DAQmxResetAnlgEdgeRefTrigHyst; external 'nicaiu.dll';
function DAQmxGetAnlgEdgeRefTrigCoupling; external 'nicaiu.dll';
function DAQmxSetAnlgEdgeRefTrigCoupling; external 'nicaiu.dll';
function DAQmxResetAnlgEdgeRefTrigCoupling; external 'nicaiu.dll';
function DAQmxGetAnlgWinRefTrigSrc; external 'nicaiu.dll';
function DAQmxSetAnlgWinRefTrigSrc; external 'nicaiu.dll';
function DAQmxResetAnlgWinRefTrigSrc; external 'nicaiu.dll';
function DAQmxGetAnlgWinRefTrigWhen; external 'nicaiu.dll';
function DAQmxSetAnlgWinRefTrigWhen; external 'nicaiu.dll';
function DAQmxResetAnlgWinRefTrigWhen; external 'nicaiu.dll';
function DAQmxGetAnlgWinRefTrigTop; external 'nicaiu.dll';
function DAQmxSetAnlgWinRefTrigTop; external 'nicaiu.dll';
function DAQmxResetAnlgWinRefTrigTop; external 'nicaiu.dll';
function DAQmxGetAnlgWinRefTrigBtm; external 'nicaiu.dll';
function DAQmxSetAnlgWinRefTrigBtm; external 'nicaiu.dll';
function DAQmxResetAnlgWinRefTrigBtm; external 'nicaiu.dll';
function DAQmxGetAnlgWinRefTrigCoupling; external 'nicaiu.dll';
function DAQmxSetAnlgWinRefTrigCoupling; external 'nicaiu.dll';
function DAQmxResetAnlgWinRefTrigCoupling; external 'nicaiu.dll';
function DAQmxGetAdvTrigType; external 'nicaiu.dll';
function DAQmxSetAdvTrigType; external 'nicaiu.dll';
function DAQmxResetAdvTrigType; external 'nicaiu.dll';
function DAQmxGetDigEdgeAdvTrigSrc; external 'nicaiu.dll';
function DAQmxSetDigEdgeAdvTrigSrc; external 'nicaiu.dll';
function DAQmxResetDigEdgeAdvTrigSrc; external 'nicaiu.dll';
function DAQmxGetDigEdgeAdvTrigEdge; external 'nicaiu.dll';
function DAQmxSetDigEdgeAdvTrigEdge; external 'nicaiu.dll';
function DAQmxResetDigEdgeAdvTrigEdge; external 'nicaiu.dll';
function DAQmxGetDigEdgeAdvTrigDigFltrEnable; external 'nicaiu.dll' name 'DAQmxGetDigEdgeAdvTrigDigFltrEnable_VB6';
function DAQmxSetDigEdgeAdvTrigDigFltrEnable; external 'nicaiu.dll';
function DAQmxResetDigEdgeAdvTrigDigFltrEnable; external 'nicaiu.dll';
function DAQmxGetHshkTrigType; external 'nicaiu.dll';
function DAQmxSetHshkTrigType; external 'nicaiu.dll';
function DAQmxResetHshkTrigType; external 'nicaiu.dll';
function DAQmxGetInterlockedHshkTrigSrc; external 'nicaiu.dll';
function DAQmxSetInterlockedHshkTrigSrc; external 'nicaiu.dll';
function DAQmxResetInterlockedHshkTrigSrc; external 'nicaiu.dll';
function DAQmxGetInterlockedHshkTrigAssertedLvl; external 'nicaiu.dll';
function DAQmxSetInterlockedHshkTrigAssertedLvl; external 'nicaiu.dll';
function DAQmxResetInterlockedHshkTrigAssertedLvl; external 'nicaiu.dll';
function DAQmxGetPauseTrigType; external 'nicaiu.dll';
function DAQmxSetPauseTrigType; external 'nicaiu.dll';
function DAQmxResetPauseTrigType; external 'nicaiu.dll';
function DAQmxGetAnlgLvlPauseTrigSrc; external 'nicaiu.dll';
function DAQmxSetAnlgLvlPauseTrigSrc; external 'nicaiu.dll';
function DAQmxResetAnlgLvlPauseTrigSrc; external 'nicaiu.dll';
function DAQmxGetAnlgLvlPauseTrigWhen; external 'nicaiu.dll';
function DAQmxSetAnlgLvlPauseTrigWhen; external 'nicaiu.dll';
function DAQmxResetAnlgLvlPauseTrigWhen; external 'nicaiu.dll';
function DAQmxGetAnlgLvlPauseTrigLvl; external 'nicaiu.dll';
function DAQmxSetAnlgLvlPauseTrigLvl; external 'nicaiu.dll';
function DAQmxResetAnlgLvlPauseTrigLvl; external 'nicaiu.dll';
function DAQmxGetAnlgLvlPauseTrigHyst; external 'nicaiu.dll';
function DAQmxSetAnlgLvlPauseTrigHyst; external 'nicaiu.dll';
function DAQmxResetAnlgLvlPauseTrigHyst; external 'nicaiu.dll';
function DAQmxGetAnlgLvlPauseTrigCoupling; external 'nicaiu.dll';
function DAQmxSetAnlgLvlPauseTrigCoupling; external 'nicaiu.dll';
function DAQmxResetAnlgLvlPauseTrigCoupling; external 'nicaiu.dll';
function DAQmxGetAnlgWinPauseTrigSrc; external 'nicaiu.dll';
function DAQmxSetAnlgWinPauseTrigSrc; external 'nicaiu.dll';
function DAQmxResetAnlgWinPauseTrigSrc; external 'nicaiu.dll';
function DAQmxGetAnlgWinPauseTrigWhen; external 'nicaiu.dll';
function DAQmxSetAnlgWinPauseTrigWhen; external 'nicaiu.dll';
function DAQmxResetAnlgWinPauseTrigWhen; external 'nicaiu.dll';
function DAQmxGetAnlgWinPauseTrigTop; external 'nicaiu.dll';
function DAQmxSetAnlgWinPauseTrigTop; external 'nicaiu.dll';
function DAQmxResetAnlgWinPauseTrigTop; external 'nicaiu.dll';
function DAQmxGetAnlgWinPauseTrigBtm; external 'nicaiu.dll';
function DAQmxSetAnlgWinPauseTrigBtm; external 'nicaiu.dll';
function DAQmxResetAnlgWinPauseTrigBtm; external 'nicaiu.dll';
function DAQmxGetAnlgWinPauseTrigCoupling; external 'nicaiu.dll';
function DAQmxSetAnlgWinPauseTrigCoupling; external 'nicaiu.dll';
function DAQmxResetAnlgWinPauseTrigCoupling; external 'nicaiu.dll';
function DAQmxGetDigLvlPauseTrigSrc; external 'nicaiu.dll';
function DAQmxSetDigLvlPauseTrigSrc; external 'nicaiu.dll';
function DAQmxResetDigLvlPauseTrigSrc; external 'nicaiu.dll';
function DAQmxGetDigLvlPauseTrigWhen; external 'nicaiu.dll';
function DAQmxSetDigLvlPauseTrigWhen; external 'nicaiu.dll';
function DAQmxResetDigLvlPauseTrigWhen; external 'nicaiu.dll';
function DAQmxGetDigLvlPauseTrigDigFltrEnable; external 'nicaiu.dll' name 'DAQmxGetDigLvlPauseTrigDigFltrEnable_VB6';
function DAQmxSetDigLvlPauseTrigDigFltrEnable; external 'nicaiu.dll';
function DAQmxResetDigLvlPauseTrigDigFltrEnable; external 'nicaiu.dll';
function DAQmxGetDigLvlPauseTrigDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxSetDigLvlPauseTrigDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxResetDigLvlPauseTrigDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxGetDigLvlPauseTrigDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxSetDigLvlPauseTrigDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxResetDigLvlPauseTrigDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxGetDigLvlPauseTrigDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxSetDigLvlPauseTrigDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxResetDigLvlPauseTrigDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxGetDigLvlPauseTrigDigSyncEnable; external 'nicaiu.dll' name 'DAQmxGetDigLvlPauseTrigDigSyncEnable_VB6';
function DAQmxSetDigLvlPauseTrigDigSyncEnable; external 'nicaiu.dll';
function DAQmxResetDigLvlPauseTrigDigSyncEnable; external 'nicaiu.dll';
function DAQmxGetArmStartTrigType; external 'nicaiu.dll';
function DAQmxSetArmStartTrigType; external 'nicaiu.dll';
function DAQmxResetArmStartTrigType; external 'nicaiu.dll';
function DAQmxGetDigEdgeArmStartTrigSrc; external 'nicaiu.dll';
function DAQmxSetDigEdgeArmStartTrigSrc; external 'nicaiu.dll';
function DAQmxResetDigEdgeArmStartTrigSrc; external 'nicaiu.dll';
function DAQmxGetDigEdgeArmStartTrigEdge; external 'nicaiu.dll';
function DAQmxSetDigEdgeArmStartTrigEdge; external 'nicaiu.dll';
function DAQmxResetDigEdgeArmStartTrigEdge; external 'nicaiu.dll';
function DAQmxGetDigEdgeArmStartTrigDigFltrEnable; external 'nicaiu.dll' name 'DAQmxGetDigEdgeArmStartTrigDigFltrEnable_VB6';
function DAQmxSetDigEdgeArmStartTrigDigFltrEnable; external 'nicaiu.dll';
function DAQmxResetDigEdgeArmStartTrigDigFltrEnable; external 'nicaiu.dll';
function DAQmxGetDigEdgeArmStartTrigDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxSetDigEdgeArmStartTrigDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxResetDigEdgeArmStartTrigDigFltrMinPulseWidth; external 'nicaiu.dll';
function DAQmxGetDigEdgeArmStartTrigDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxSetDigEdgeArmStartTrigDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxResetDigEdgeArmStartTrigDigFltrTimebaseSrc; external 'nicaiu.dll';
function DAQmxGetDigEdgeArmStartTrigDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxSetDigEdgeArmStartTrigDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxResetDigEdgeArmStartTrigDigFltrTimebaseRate; external 'nicaiu.dll';
function DAQmxGetDigEdgeArmStartTrigDigSyncEnable; external 'nicaiu.dll' name 'DAQmxGetDigEdgeArmStartTrigDigSyncEnable_VB6';
function DAQmxSetDigEdgeArmStartTrigDigSyncEnable; external 'nicaiu.dll';
function DAQmxResetDigEdgeArmStartTrigDigSyncEnable; external 'nicaiu.dll';
function DAQmxGetWatchdogTimeout; external 'nicaiu.dll';
function DAQmxSetWatchdogTimeout; external 'nicaiu.dll';
function DAQmxResetWatchdogTimeout; external 'nicaiu.dll';
function DAQmxGetWatchdogExpirTrigType; external 'nicaiu.dll';
function DAQmxSetWatchdogExpirTrigType; external 'nicaiu.dll';
function DAQmxResetWatchdogExpirTrigType; external 'nicaiu.dll';
function DAQmxGetDigEdgeWatchdogExpirTrigSrc; external 'nicaiu.dll';
function DAQmxSetDigEdgeWatchdogExpirTrigSrc; external 'nicaiu.dll';
function DAQmxResetDigEdgeWatchdogExpirTrigSrc; external 'nicaiu.dll';
function DAQmxGetDigEdgeWatchdogExpirTrigEdge; external 'nicaiu.dll';
function DAQmxSetDigEdgeWatchdogExpirTrigEdge; external 'nicaiu.dll';
function DAQmxResetDigEdgeWatchdogExpirTrigEdge; external 'nicaiu.dll';
function DAQmxGetWatchdogDOExpirState; external 'nicaiu.dll';
function DAQmxSetWatchdogDOExpirState; external 'nicaiu.dll';
function DAQmxResetWatchdogDOExpirState; external 'nicaiu.dll';
function DAQmxGetWatchdogHasExpired; external 'nicaiu.dll' name 'DAQmxGetWatchdogHasExpired_VB6';
function DAQmxGetWriteRelativeTo; external 'nicaiu.dll';
function DAQmxSetWriteRelativeTo; external 'nicaiu.dll';
function DAQmxResetWriteRelativeTo; external 'nicaiu.dll';
function DAQmxGetWriteOffset; external 'nicaiu.dll';
function DAQmxSetWriteOffset; external 'nicaiu.dll';
function DAQmxResetWriteOffset; external 'nicaiu.dll';
function DAQmxGetWriteRegenMode; external 'nicaiu.dll';
function DAQmxSetWriteRegenMode; external 'nicaiu.dll';
function DAQmxResetWriteRegenMode; external 'nicaiu.dll';
function DAQmxGetWriteCurrWritePos; external 'nicaiu.dll' name 'DAQmxGetWriteCurrWritePos_VB6';
function DAQmxGetWriteSpaceAvail; external 'nicaiu.dll';
function DAQmxGetWriteTotalSampPerChanGenerated; external 'nicaiu.dll' name 'DAQmxGetWriteTotalSampPerChanGenerated_VB6';
function DAQmxGetWriteRawDataWidth; external 'nicaiu.dll';
function DAQmxGetWriteNumChans; external 'nicaiu.dll';
function DAQmxGetWriteWaitMode; external 'nicaiu.dll';
function DAQmxSetWriteWaitMode; external 'nicaiu.dll';
function DAQmxResetWriteWaitMode; external 'nicaiu.dll';
function DAQmxGetWriteSleepTime; external 'nicaiu.dll';
function DAQmxSetWriteSleepTime; external 'nicaiu.dll';
function DAQmxResetWriteSleepTime; external 'nicaiu.dll';
function DAQmxGetWriteDigitalLinesBytesPerChan; external 'nicaiu.dll';
function DAQmxGetPhysicalChanTEDSMfgID; external 'nicaiu.dll';
function DAQmxGetPhysicalChanTEDSModelNum; external 'nicaiu.dll';
function DAQmxGetPhysicalChanTEDSSerialNum; external 'nicaiu.dll';
function DAQmxGetPhysicalChanTEDSVersionNum; external 'nicaiu.dll';
function DAQmxGetPhysicalChanTEDSVersionLetter; external 'nicaiu.dll';
function DAQmxGetPhysicalChanTEDSBitStream; external 'nicaiu.dll';
function DAQmxGetPhysicalChanTEDSTemplateIDs; external 'nicaiu.dll';
function DAQmxGetPersistedTaskAuthor; external 'nicaiu.dll';
function DAQmxGetPersistedTaskAllowInteractiveEditing; external 'nicaiu.dll' name 'DAQmxGetPersistedTaskAllowInteractiveEditing_VB6';
function DAQmxGetPersistedTaskAllowInteractiveDeletion; external 'nicaiu.dll' name 'DAQmxGetPersistedTaskAllowInteractiveDeletion_VB6';
function DAQmxGetPersistedChanAuthor; external 'nicaiu.dll';
function DAQmxGetPersistedChanAllowInteractiveEditing; external 'nicaiu.dll' name 'DAQmxGetPersistedChanAllowInteractiveEditing_VB6';
function DAQmxGetPersistedChanAllowInteractiveDeletion; external 'nicaiu.dll' name 'DAQmxGetPersistedChanAllowInteractiveDeletion_VB6';
function DAQmxGetPersistedScaleAuthor; external 'nicaiu.dll';
function DAQmxGetPersistedScaleAllowInteractiveEditing; external 'nicaiu.dll' name 'DAQmxGetPersistedScaleAllowInteractiveEditing_VB6';
function DAQmxGetPersistedScaleAllowInteractiveDeletion; external 'nicaiu.dll' name 'DAQmxGetPersistedScaleAllowInteractiveDeletion_VB6';
end.
